2003-12-31 17:00  edwin

	* src/vm/jit/verify/typecheck.c: check JSR recursion, access flags,
	  special method invokation

2003-12-31 15:14  twisti

	* builtin.h, src/vm/builtin.h: Aaaaaahhhhhhhh!!! What's wrong with
	  me?

2003-12-31 15:11  twisti

	* builtin.h, src/vm/builtin.h: Damn, forgot to include config.h.

2003-12-31 15:07  twisti

	* builtin.h, src/vm/builtin.h: Define copysignf, finitef, fmodf,
	  isnanf if not found.

2003-12-31 15:05  edwin

	* loader.c, src/vm/loader.c: check constant_pool_count != 0

2003-12-31 14:58  twisti

	* configure.in: Check for copysign - copysignf, finite - finitef,
	  fmod - fmodf, isnan - isnanf. We have some problems on irix and
	  darwin.

2003-12-31 14:52  edwin

	* loader.c, src/vm/loader.c: check flags consistency, final, array
	  dimension, constant pool overflow

2003-12-31 14:22  edwin

	* global.h, src/vm/global.h: added TYPECHECK_STACK_COMPCAT
	  (disabled)

2003-12-31 02:41  edwin

	* src/vm/jit/stack.c: added computational category checking for
	  stack manipulations

2003-12-31 01:21  edwin

	* src/vm/jit/parse.c: check exception handler range, LOOKUPSWITCH
	  sort, TABLESWITCH bounds

2003-12-31 01:11  edwin

	* global.h, src/vm/global.h: added ACC_SUPER

2003-12-30 23:20  twisti

	* loader.c, src/vm/loader.c: - made code more readable

2003-12-30 22:35  twisti

	* asmpart.h, src/vm/jit/asmpart.h: Define asm_check_clinit for
	  static clinit.

2003-12-30 21:54  twisti

	* headers.c, src/cacaoh/headers.c: - generate classinfo initialized
	  offset - warning fix

2003-12-30 13:45  twisti

	* jni.c, src/native/jni.c: - made code more readable - fixed break
	  bug in jni_method_invokeNativeHelper

2003-12-24 16:39  jowenn

	* src/classpath/: acinclude.m4, aclocal.m4, configure: small
	  compiler fix

2003-12-22 11:08  edwin

	* src/vm/jit/verify/typecheck.c: comment

2003-12-21 14:56  twisti

	* main.c, src/cacao/cacao.c: Warning fixes.

2003-12-17 15:39  edwin

	* src/vm/jit/stack.c: further comments

2003-12-17 15:27  edwin

	* src/vm/jit/stack.c: further comments

2003-12-17 15:11  edwin

	* src/vm/jit/stack.c: comments and better error messages

2003-12-17 00:14  edwin

	* tests/Makefile.am: added -classpath .

2003-12-17 00:05  edwin

	* tests/kaffe/TestScript: added -classpath .

2003-12-16 23:46  edwin

	* global.h, src/vm/global.h, main.c, src/cacao/cacao.c,
	  src/vm/jit/jit.c, headers.c, src/cacaoh/headers.c: added
	  -noverify option

2003-12-16 23:30  edwin

	* src/mm/memory.c: make dump_alloc work for oversized blocks

2003-12-16 23:29  edwin

	* src/vm/jit/verify/typecheck.c: comments

2003-12-16 23:29  edwin

	* src/vm/jit/stack.c: added stack overflow checking and comments

2003-12-16 23:28  edwin

	* src/vm/jit/jit.c: builtin table fixes and loging

2003-12-16 23:27  edwin

	* typeinfo.h, src/vm/jit/verify/typeinfo.h: removed c++ comment

2003-12-16 20:29  edwin

	* src/vm/jit/alpha/codegen.c: use loging functions

2003-12-16 19:50  edwin

	* builtin.c, src/vm/builtin.c: safe methodindent--

2003-12-16 19:49  edwin

	* global.h, src/vm/global.h: removed c++ comments

2003-12-16 19:49  edwin

	* jni.c, src/native/jni.c: pointer cast bugfix

2003-12-16 16:46  edwin

	* jni.c, src/native/jni.c: vftbl argument for
	  builtin_arrayinstanceof

2003-12-16 15:46  edwin

	* src/vm/jit/jit.c: fixed builtin problem on alpha

2003-12-15 19:45  edwin

	* src/vm/jit/verify/typecheck.c: allow throwing across JSR
	  boundaries

2003-12-15 19:20  edwin

	* src/vm/jit/stack.c: show_icmd bugfix

2003-12-15 18:05  edwin

	* src/vm/jit/stack.c: DUP2_X2 bugfix

2003-12-15 17:34  twisti

	* native.c, src/native/native.c: - warning fixes - made some code
	  more readable

2003-12-15 17:13  twisti

	* loader.c, src/vm/loader.c: Removed heap_addreference calls.

2003-12-15 17:00  twisti

	* unzip.c, src/vm/unzip.c: C standard compile fix.

2003-12-15 16:47  twisti

	* builtin.c, src/vm/builtin.c: 64-bit warning fixes.

2003-12-15 16:24  twisti

	* builtin.c, src/vm/builtin.c: Compile fix.

2003-12-14 22:59  edwin

	* src/vm/jit/verify/typecheck.c: bugfix

2003-12-14 19:11  stefan

	* builtin.c, src/vm/builtin.c, src/vm/jit/i386/asmpart.S,
	  asmpart.h, src/vm/jit/asmpart.h: Native threads

2003-12-14 15:54  stefan

	* src/vm/jit/i386/codegen.h: More macros

2003-12-14 15:53  stefan

	* src/vm/jit/i386/codegen.c: Cleaned up cast lock, actually working
	  now

2003-12-14 14:38  twisti

	* src/vm/jit/i386/: codegen.c, codegen.h: Added code macros: -
	  i386_lock - i386_mov_mem_reg - i386_dec_mem - i386_xadd_reg_mem

2003-12-14 13:55  stefan

	* src/vm/jit/i386/codegen.c: Native threads

2003-12-14 13:54  edwin

	* loader.c, src/vm/loader.c, tables.c, src/vm/tables.c: safe
	  error(...) call

2003-12-14 13:50  edwin

	* contrib/check_dangerous_printf.pl: Check error(...) and .inc
	  files

2003-12-14 13:24  edwin

	* src/vm/jit/parse.c: added check for illegal opcode 186

2003-12-14 00:10  stefan

	* src/vm/jit/i386/asmpart.S, src/vm/jit/i386/codegen.c,
	  src/mm/boehm.c, src/native/vm/VMRuntime.c, asmpart.h, headers.c,
	  jni.c, loader.c, main.c, native.c, src/cacao/cacao.c,
	  src/cacaoh/headers.c, src/native/jni.c, src/native/native.c,
	  src/vm/loader.c, src/vm/jit/asmpart.h,
	  src/threads/green/threads.c: Get rid of asm_javacallmethod

2003-12-14 00:08  stefan

	* Makefile.am: Missing dependency added

2003-12-14 00:04  twisti

	* src/native/vm/VMClass.c: - added gnu header, emacs tailer - code
	  indent - don't return NoClassDefFoundError in forName(), a
	  ClassNotfoundException   is expected

2003-12-13 23:56  twisti

	* src/vm/jit/stack.c: - added i386 scratch register stuff - code
	  indent

2003-12-13 23:53  twisti

	* src/vm/jit/reg.h: Export reg_setup

2003-12-13 23:52  twisti

	* src/vm/jit/i386/: codegen.c, codegen.h: - most important:
	  exchanged REG_ITMP2 and REG_ITMP3, because we try to use
	  REG_ITMP3 as scratch register, if it's not used (right now, in
	  the whole   function, this will be changed) - CALCOFFSETBYTES and
	  CALCIMMEDIATEBYTES fixes

2003-12-13 23:49  twisti

	* src/vm/jit/i386/types.h: We do have SUPPORT_IFCVT and
	  SUPPORT_FICVT.

2003-12-13 23:47  twisti

	* src/vm/jit/i386/asmpart.S: - added gnu header and emacs tailer -
	  changes in the nat handling code

2003-12-13 23:42  twisti

	* src/vm/jit/reg.inc: - changes reg_init - added reg_setup - some
	  i386 stuff

2003-12-13 23:39  twisti

	* src/vm/jit/jit.c: - removed command line option variables - some
	  i386 stuff

2003-12-13 23:38  twisti

	* src/vm/jit/jit.h: - usage of imm_union in struct instruction -
	  define some i386 stuff

2003-12-13 23:36  stefan

	* src/vm/jit/powerpc/codegen.c: Get rid of asm_javacallmethod

2003-12-13 23:32  stefan

	* src/vm/jit/: alpha/asmpart.S, mips/codegen.c: Get rid of
	  asm_javacallmethod

2003-12-13 23:30  twisti

	* loader.c, src/vm/loader.c: - made code more readable (this one is
	  big!) - removed command line option variables

2003-12-13 23:27  twisti

	* loader.h, src/vm/loader.h: Removed command line option variables.

2003-12-13 23:26  twisti

	* native.h, src/native/native.h: - added
	  class_java_lang_NoClassDefFoundError - javastring_new and
	  javastring_new_char return now java_lang_String* (i	hope this
	  works as expected)

2003-12-13 23:25  twisti

	* native.c, src/native/native.c: - added
	  class_java_lang_NoClassDefFoundError - made code more readable -
	  javastring_new and javastring_new_char return now
	  java_lang_String* (i	 hope this works as expected)

2003-12-13 23:23  twisti

	* tables.h, src/vm/tables.h: Removed some needless defines.

2003-12-13 23:22  twisti

	* tables.c, src/vm/tables.c: - made some code more readable -
	  warning fix

2003-12-13 23:21  twisti

	* src/threads/green/threadio.h: Can't remember, but made some
	  compiling problems.

2003-12-13 23:20  twisti

	* src/threads/green/threads.c: Removed heap_addreference.

2003-12-13 23:14  twisti

	* main.h, src/cacao/cacao.h: Define command line option variables.

2003-12-13 23:13  twisti

	* main.c, src/cacao/cacao.c: - put all command line option
	  variables here - code beautify - removed heap_addreference -
	  print better exceptions

2003-12-13 23:10  twisti

	* jni.h, src/native/jni.h: Code beautify.

2003-12-13 23:09  twisti

	* jni.c, src/native/jni.c: Removed heap_addreference.

2003-12-13 23:05  twisti

	* headers.c, src/cacaoh/headers.c: - added command line option
	  variables - throw_noclassdeffounderror_message

2003-12-13 21:53  stefan

	* loader.c, src/vm/loader.c: Native threads

2003-12-13 21:47  stefan

	* src/vm/jit/jit.c: Native threads

2003-12-13 21:25  stefan

	* src/vm/jit/i386/asmpart.S: Native threads

2003-12-13 21:20  stefan

	* src/vm/jit/parse.c: Native threads

2003-12-13 21:07  stefan

	* global.h, src/vm/global.h: Missing ifdef added

2003-12-13 20:57  stefan

	* loader.c, src/vm/loader.c: Fixed loader crash

2003-12-13 19:52  stefan

	* src/mm/memory.h: Added GCFREE

2003-12-13 19:41  stefan

	* src/mm/: boehm.c, boehm.h: Added GCFREE

2003-12-13 19:19  stefan

	* global.h, src/vm/global.h, src/threads/green/threads.c: Native
	  threads

2003-12-13 16:52  stefan

	* Makefile.am: Don't rebuild everything all the time

2003-12-13 16:47  stefan

	* headers.c, src/cacaoh/headers.c: We don't need that

2003-12-13 13:39  stefan

	* headers.c, src/cacaoh/headers.c: Added option to omit header file
	  generation

2003-12-12 18:27  stefan

	* src/vm/jit/stack.c, typeinfo.c, src/vm/jit/verify/typeinfo.c:
	  This is still only C!

2003-12-12 18:23  stefan

	* src/vm/jit/jit.c: Did not compile on alpha

2003-12-12 18:18  stefan

	* loader.c, src/vm/loader.c: [no log message]

2003-12-11 22:23  edwin

	* ChangeLog, builtin.c, src/vm/builtin.c, loader.c, main.c,
	  native.c, contrib/check_dangerous_printf.pl, src/cacao/cacao.c,
	  src/native/native.c, src/vm/loader.c, src/vm/jit/jit.c,
	  src/vm/jit/parse.c, src/vm/jit/stack.c,
	  src/vm/jit/inline/inline.c, src/mm/memory.c,
	  src/native/vm/Constructor.c, src/vm/jit/verify/typecheck.c: fixed
	  loging crash caused by printf made loging safer added
	  check_dangerous_printf.pl script

2003-12-11 12:43  edwin

	* tests/: BasicToStrings.output, Makefile.am: do BasicToStrings
	  automatically

2003-12-11 12:11  edwin

	* builtin.h, src/vm/builtin.h, src/vm/jit/jit.c: documented new
	  builtin table made builtintablelen static again

2003-12-11 11:52  edwin

	* builtin.c, builtin.h, global.h, src/vm/builtin.c,
	  src/vm/builtin.h, src/vm/global.h, loader.c, tables.c,
	  src/vm/loader.c, src/vm/tables.c, src/vm/jit/jit.c,
	  src/vm/jit/jit.h, src/vm/jit/parse.c, src/vm/jit/stack.c,
	  src/vm/jit/verify/typecheck.c: changed builtin table layout
	  typecheck for all builtins

2003-12-10 16:41  edwin

	* loader.c, src/vm/loader.c, src/vm/jit/parse.c,
	  src/vm/jit/verify/typecheck.c: detect branches to middle of
	  instruction detect WIDE followed by incompatible opcode
	  typechecks for builtin functions typecheck statistics

2003-12-10 01:24  edwin

	* loader.c, src/vm/loader.c, src/vm/jit/jit.c, src/vm/jit/parse.c,
	  src/vm/jit/stack.c, src/vm/jit/verify/typecheck.c: added
	  end-of-bytecode check fixed stack-underflow check added variable
	  index check

2003-12-09 19:56  edwin

	* jni.c, loader.c, loader.h, src/native/jni.c, src/vm/loader.c,
	  src/vm/loader.h, native.c, tables.c, tables.h,
	  src/native/native.c, src/vm/tables.c, src/vm/tables.h,
	  src/vm/jit/parse.c, src/vm/jit/inline/inline.c,
	  src/vm/jit/inline/parseRT.c, src/vm/jit/stack.c,
	  src/vm/jit/i386/codegen.c, src/vm/jit/verify/typecheck.c,
	  src/native/vm/VMClassLoader.c, src/threads/green/locks.c,
	  src/threads/green/threads.c, src/vm/jit/x86_64/codegen.c: added
	  UTF-8 validation made descriptor parsing safer added stack
	  underflow checks added end-of-file checks in loader.c added
	  detection for infinite linking loops bugfixes new functions:
	  type_from_descriptor, loader_load_sysclass, class_fetchmethod

2003-12-08 20:51  edwin

	* global.h, loader.c, loader.h, typeinfo.c, src/vm/global.h,
	  src/vm/loader.c, src/vm/loader.h, src/vm/jit/jit.h,
	  src/vm/jit/verify/typeinfo.c, src/native/vm/Field.c,
	  src/native/vm/VMClass.c, src/vm/jit/verify/typecheck.c,
	  tests/TestArrayClasses.java, tests/TestArrayClasses.output: made
	  descriptor parsing safer + array classes fix

2003-12-08 17:02  edwin

	* global.h, src/vm/global.h: minor change in descriptor parsing
	  macros

2003-12-08 16:46  edwin

	* global.h, src/vm/global.h: minor change in descriptor parsing
	  macros

2003-12-08 15:44  edwin

	* typeinfo.h, src/vm/jit/verify/typecheck.c,
	  src/vm/jit/verify/typeinfo.h: added #includes and emacs tailer

2003-12-08 15:26  edwin

	* global.h, loader.c, src/vm/global.h, src/vm/loader.c, typeinfo.c,
	  typeinfo.h, src/vm/jit/stack.c, src/vm/jit/verify/typecheck.c,
	  src/vm/jit/verify/typeinfo.c, src/vm/jit/verify/typeinfo.h: added
	  uninitialized object typecheck

2003-12-08 14:03  jowenn

	* builtin.c, src/vm/builtin.c, jni.c, src/native/jni.c,
	  src/native/vm/VMClass.c, src/vm/jit/i386/codegen.c,
	  src/native/vm/VMSecurityManager.c: array out of memory fixlet,
	  InvocationTargetException handling, less debug output, removal of
	  unneded code in the i386jit

2003-12-07 23:02  twisti

	* global.h, src/vm/global.h: Define immediate union.

2003-12-07 22:58  twisti

	* builtin.c, src/vm/builtin.c, builtin.h, src/vm/builtin.h: -
	  removed usage of native-math.h - code beautify

2003-12-07 21:40  twisti

	* src/vm/jit/x86_64/asmpart.S: - added gnu header - implemented
	  asm_calljavafunction2 - usage of offclassvftbl in exception
	  handling code - implemented helper function asm_printf

2003-12-07 21:39  twisti

	* src/vm/jit/x86_64/codegen.h: use again INT_ARG_CNT stuff

2003-12-07 21:38  twisti

	* src/vm/jit/x86_64/codegen.c: - reverted intreg_argnum back to
	  INT_ARG_CNT - handling of more than 5 params in native stub

2003-12-07 18:32  twisti

	* jni.c, src/native/jni.c: - added gnu header - add some includes -
	  code beautify

2003-12-07 18:31  twisti

	* native.c, src/native/native.c: - added includes - code beautify

2003-12-07 18:29  twisti

	* typeinfo.c, src/vm/jit/verify/typeinfo.c: - added standard
	  includes - add emacs tailer

2003-12-07 18:28  twisti

	* typeinfo.h, src/vm/jit/verify/typeinfo.h: - added stdio.h include
	  - changed header define to the cacao _standard_ - added emacs
	  tailer

2003-12-07 18:26  twisti

	* loader.h, src/vm/loader.h: Added stdio.h include.

2003-12-07 18:24  twisti

	* src/native/vm/: Constructor.c, FileChannelImpl.c, Method.c,
	  Proxy.c, VMClass.c, VMClassLoader.c, VMObject.c,
	  VMObjectStreamClass.c, VMRuntime.c, VMSecurityManager.c,
	  VMSystem.c, VMThread.c: Added standard includes, which are
	  needed.

2003-12-07 18:20  twisti

	* global.h, src/vm/global.h: Removed standard defines.

2003-12-07 17:26  edwin

	* src/vm/jit/verify/typecheck.c: minor loging changes

2003-12-07 16:54  edwin

	* tables.c, tables.h, src/native/vm/Constructor.c, src/vm/tables.c,
	  src/vm/tables.h, src/native/vm/VMClass.c,
	  src/native/vm/VMObject.c, tests/Makefile.am,
	  tests/kaffe/Makefile.am, tests/kaffe/TestScript: added loging
	  functions, made kaffe tests run

2003-12-07 15:45  edwin

	* global.h, src/vm/global.h, src/vm/jit/verify/typecheck.c: some
	  typecheck fixes

2003-12-07 14:42  edwin

	* typeinfo.c, src/vm/jit/verify/typecheck.c,
	  src/vm/jit/verify/typeinfo.c: added method invocation typecheck

2003-12-07 13:45  edwin

	* typeinfo.c, src/vm/jit/verify/typeinfo.c,
	  src/vm/jit/verify/typecheck.c: added exception handler typecheck
	  + bugfix

2003-12-06 21:10  edwin

	* Makefile.am, builtin.c, builtin.h, global.h, src/vm/builtin.c,
	  src/vm/builtin.h, src/vm/global.h, loader.c, loader.h, main.c,
	  typeinfo.c, typeinfo.h, src/cacao/cacao.c, src/vm/loader.c,
	  src/vm/loader.h, src/vm/jit/Makefile.am,
	  src/vm/jit/verify/typeinfo.c, src/vm/jit/verify/typeinfo.h,
	  src/vm/jit/jit.c, src/vm/jit/jit.h, src/vm/jit/parse.c,
	  src/vm/jit/stack.c, src/vm/jit/verify/typecheck.c: added the
	  typechecker (not yet complete)

2003-12-05 22:28  jowenn

	* tests/BasicToStrings.java: Testcase for Method.toString and other
	  basic to strings

2003-12-05 22:27  jowenn

	* src/: classpath/vm/reference/java/lang/VMClass.java,
	  classpath/vm/reference/java/lang/reflect/Constructor.java,
	  classpath/vm/reference/java/lang/reflect/Method.java,
	  native/vm/VMClass.c: fix for VMClass.getName + additional public
	  static native String getBeautifiedName(Class). For
	  Constructor/Method.toString. Perhaps that should be done in java
	  later on, or with an indirection through Class.getBeautifiedName
	  or something like that

2003-12-05 20:00  jowenn

	* loader.c, src/native/vm/VMClass.c, src/vm/loader.c: 1) fix for
	  getDeclaredClass(publiconly=true) returning protected classes 2)
	  hiding <init> and <clinit> from getDeclaredMethods 3) don't
	  derive primitive types from Object 4) hide the clone method of
	  array classes in getDeclaredMethods

2003-12-05 19:17  stefan

	* native.c, src/native/native.c: This is C

2003-12-05 19:16  stefan

	* src/vm/jit/alpha/asmpart.S: Sanitized labels (somewhat)

2003-12-05 19:15  stefan

	* src/vm/jit/: alpha/codegen.c, mips/codegen.c, powerpc/codegen.c:
	  Made loging thread-safe

2003-12-05 19:03  stefan

	* builtin.c, headers.c, loader.c, main.c, src/cacao/cacao.c,
	  src/cacaoh/headers.c, src/vm/builtin.c, src/vm/loader.c,
	  native.c, tables.c, src/native/native.c, src/vm/tables.c,
	  src/vm/jit/inline/inline.c, src/vm/jit/jit.c, src/vm/jit/parse.c,
	  src/vm/jit/i386/codegen.c, src/mm/boehm.c,
	  src/vm/jit/x86_64/codegen.c, src/native/vm/Constructor.c,
	  src/mm/memory.c: Made loging thread-safe

2003-12-05 00:50  jowenn

	* jni.c, src/native/jni.c, src/vm/jit/i386/codegen.c,
	  tests/ReflectEx.java: Make exceptions thrown from bytecode  back
	  to native code work again

2003-12-04 23:29  edwin

	* Makefile.am, global.h, loader.c, main.c, tables.c,
	  src/cacao/cacao.c, src/vm/global.h, src/vm/loader.c,
	  src/vm/tables.c, tables.h, typeinfo.c, typeinfo.h, typeinfo.tst,
	  src/vm/tables.h, src/vm/jit/verify/typeinfo.c,
	  src/vm/jit/verify/typeinfo.h, src/vm/jit/verify/typeinfo.tst:
	  preparations for the typechecker

2003-12-04 12:34  stefan

	* jni.c, src/native/jni.c, builtin.c, src/vm/builtin.c: This is C

2003-12-04 02:25  jowenn

	* builtin.c, headers.c, jni.c, src/cacaoh/headers.c,
	  src/native/jni.c, src/vm/builtin.c, src/native/vm/Method.c,
	  src/native/vm/VMClass.c, src/vm/jit/alpha/asmpart.S,
	  src/vm/jit/i386/asmpart.S: one bug less related to
	  class/exception handing and use_class_as_object. Thanks to twisti
	  for tracking it down. More standard compliant handling of errors
	  during Method.invoke

2003-12-02 17:50  twisti

	* src/toolbox/: chain.c, list.c, list.h, tree.c, tree.h: Forgot to
	  add GNU headers, here they are.

2003-12-01 16:33  jowenn

	* Makefile.am, builtin.c, global.h, headers.c, jni.c, jni.h,
	  loader.c, src/cacaoh/headers.c, src/native/jni.c,
	  src/native/jni.h, src/vm/builtin.c, src/vm/global.h,
	  src/vm/loader.c, native.c, native.h, tables.c,
	  src/classpath/gnu/java/awt/Makefile.in,
	  src/classpath/gnu/java/awt/image/Makefile.in,
	  src/classpath/gnu/java/awt/peer/Makefile.in,
	  src/classpath/gnu/java/awt/peer/gtk/Makefile.in,
	  src/classpath/java/lang/Class.java, src/native/native.c,
	  src/native/native.h, src/vm/tables.c,
	  src/classpath/java/lang/Double.java,
	  src/classpath/native/target/generic/target_generic_network.h,
	  src/native/vm/Constructor.c, src/native/vm/Method.c,
	  src/native/vm/VMClass.c, tests/network/urltest.java: reflection,
	  loader fix (before it did offer an unloaded (not found) class as
	  loaded if it has been requested a second time. jni modifications,
	  classinfo structures are now created with GCNEW, fix for arrays
	  with size <0

2003-11-26 00:39  jowenn

	* src/vm/jit/alpha/asmpart.S: try fixing alpha

2003-11-25 00:12  twisti

	* loader.c, src/vm/loader.c: Also compile without zlib.

2003-11-24 23:44  twisti

	* tests/jvm98/Makefile.am: There is no -ieee switch anymore.

2003-11-24 23:20  twisti

	* tests/Makefile.in: Always changed, too annoying.

2003-11-24 21:55  twisti

	* Makefile.am: Link cacao with nat/libnat.a and jni.o

2003-11-24 21:50  twisti

	* jni.c, jni.h, native.c, src/native/jni.c, src/native/jni.h,
	  src/native/native.c, headers.c, native.h, src/cacaoh/headers.c,
	  src/native/native.h: - build a libnat.a - build jni himself -
	  generate #ifndef -- #define in nat/*.h files

2003-11-24 21:48  twisti

	* src/native/: vm/Constructor.c, vm/Field.c, vm/FileChannelImpl.c,
	  vm/Makefile.am, vm/Method.c, vm/Proxy.c, vm/VMClass.c,
	  vm/VMClassLoader.c, vm/VMObject.c, vm/VMObjectStreamClass.c,
	  vm/VMRuntime.c, vm/VMSecurityManager.c, vm/VMSystem.c,
	  vm/VMThread.c, include/java_lang_ClassLoader.h,
	  include/java_lang_Cloneable.h, include/java_lang_Object.h,
	  include/java_lang_String.h, include/java_lang_Thread.h,
	  include/java_lang_ThreadGroup.h, include/java_lang_Throwable.h,
	  include/java_lang_VMObject.h: - we now build a libnat.a - #ifndef
	  + #define in header files are generated

2003-11-23 23:14  jowenn

	* jni.c, src/native/jni.c, loader.c, native.c, native.h, unzip.c,
	  unzip.h, src/native/native.c, src/native/native.h,
	  src/vm/loader.c, src/vm/unzip.c, src/vm/unzip.h: faster zip
	  implementation, works only for one zip archive right now, since
	  there is a single static pointer. Will be removed in the future.
	  helper code for reflection

2003-11-23 23:00  jowenn

	* src/native/vm/: Constructor.c, Field.c, Method.c, VMClass.c,
	  VMThread.c: better reflection code

2003-11-23 22:55  jowenn

	* src/threads/green/: threads.c, threads.h: make threads work again
	  (means, they don't crash anymore, just block the application),
	  must have forgotten to commit/merge that

2003-11-23 15:36  edwin

	* global.h, src/vm/global.h: removed mysterious class_array
	  declaration

2003-11-23 15:04  edwin

	* builtin.c, global.h, jni.c, loader.c, loader.h, src/native/jni.c,
	  src/vm/builtin.c, src/vm/global.h, src/vm/loader.c,
	  src/vm/loader.h, src/classpath/doc/hacking.info,
	  src/classpath/java/lang/Double.java, src/native/vm/VMClass.c,
	  src/native/vm/VMObject.c, src/native/vm/VMSecurityManager.c,
	  src/native/vm/VMSystem.c, src/vm/jit/parse.c, tests/Makefile.am:
	  new array classes cleanup + made tests (except fp*) work

2003-11-23 14:06  edwin

	* tests/: TestArrayClasses.java, TestArrayClasses.output,
	  TestBase.java: Re-added tests for array classes

2003-11-21 20:05  jowenn

	* Makefile.am, headers.c, src/cacaoh/headers.c: missed a header.c
	  change related to arrayarray

2003-11-21 19:35  jowenn

	* src/: classpath/native/Makefile.am, classpath/native/Makefile.in,
	  classpath/native/cni/Makefile.am,
	  classpath/native/cni/Makefile.in,
	  classpath/native/fdlibm/Makefile.am,
	  classpath/native/fdlibm/Makefile.in,
	  classpath/native/fdlibm/dtoa.c, classpath/native/fdlibm/e_acos.c,
	  classpath/native/fdlibm/e_asin.c,
	  classpath/native/fdlibm/e_atan2.c,
	  classpath/native/fdlibm/e_exp.c,
	  classpath/native/fdlibm/e_fmod.c,
	  classpath/native/fdlibm/e_log.c, classpath/native/fdlibm/e_pow.c,
	  classpath/native/fdlibm/e_rem_pio2.c,
	  classpath/native/fdlibm/e_remainder.c,
	  classpath/native/fdlibm/e_scalb.c,
	  classpath/native/fdlibm/e_sqrt.c,
	  classpath/native/fdlibm/fdlibm.h,
	  classpath/native/fdlibm/ieeefp.h,
	  classpath/native/fdlibm/java-assert.h,
	  classpath/native/fdlibm/k_cos.c,
	  classpath/native/fdlibm/k_rem_pio2.c,
	  classpath/native/fdlibm/k_sin.c, classpath/native/fdlibm/k_tan.c,
	  classpath/native/fdlibm/mprec.c, classpath/native/fdlibm/mprec.h,
	  classpath/native/fdlibm/s_atan.c,
	  classpath/native/fdlibm/s_ceil.c,
	  classpath/native/fdlibm/s_copysign.c,
	  classpath/native/fdlibm/s_cos.c,
	  classpath/native/fdlibm/s_fabs.c,
	  classpath/native/fdlibm/s_floor.c,
	  classpath/native/fdlibm/s_rint.c,
	  classpath/native/fdlibm/s_scalbn.c,
	  classpath/native/fdlibm/s_sin.c, classpath/native/fdlibm/s_tan.c,
	  classpath/native/fdlibm/sf_fabs.c,
	  classpath/native/fdlibm/sf_rint.c,
	  classpath/native/fdlibm/strtod.c,
	  classpath/native/fdlibm/w_acos.c,
	  classpath/native/fdlibm/w_asin.c,
	  classpath/native/fdlibm/w_atan2.c,
	  classpath/native/fdlibm/w_exp.c,
	  classpath/native/fdlibm/w_fmod.c,
	  classpath/native/fdlibm/w_log.c, classpath/native/fdlibm/w_pow.c,
	  classpath/native/fdlibm/w_remainder.c,
	  classpath/native/fdlibm/w_sqrt.c,
	  classpath/native/jni/Makefile.am,
	  classpath/native/jni/Makefile.in,
	  classpath/native/jni/classpath/Makefile.am,
	  classpath/native/jni/classpath/Makefile.in,
	  classpath/native/jni/classpath/jcl.c,
	  classpath/native/jni/classpath/jcl.h,
	  classpath/native/jni/classpath/jnilink.c,
	  classpath/native/jni/classpath/jnilink.h,
	  classpath/native/jni/classpath/native_state.c,
	  classpath/native/jni/classpath/native_state.h,
	  classpath/native/jni/classpath/primlib.c,
	  classpath/native/jni/classpath/primlib.h,
	  classpath/native/jni/gtk-peer/.cvsignore,
	  classpath/native/jni/gtk-peer/Makefile.am,
	  classpath/native/jni/gtk-peer/Makefile.in,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCanvasPeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxMenuItemPeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxPeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuBarPeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPanelPeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollBarPeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollPanePeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextComponentPeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextFieldPeer.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c,
	  classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c,
	  classpath/native/jni/gtk-peer/gthread-jni.c,
	  classpath/native/jni/gtk-peer/gthread-jni.h,
	  classpath/native/jni/gtk-peer/gtkpeer.h,
	  classpath/native/jni/java-io/FileDescriptor.c,
	  classpath/native/jni/java-io/Makefile.am,
	  classpath/native/jni/java-io/Makefile.in,
	  classpath/native/jni/java-io/java_io_File.c,
	  classpath/native/jni/java-io/java_io_ObjectInputStream.c,
	  classpath/native/jni/java-io/javaio.c,
	  classpath/native/jni/java-io/javaio.h,
	  classpath/native/jni/java-lang/Makefile.am,
	  classpath/native/jni/java-lang/Makefile.in,
	  classpath/native/jni/java-lang/java_lang_Double.c,
	  classpath/native/jni/java-lang/java_lang_Math.c,
	  classpath/native/jni/java-lang/java_lang_Object.c,
	  classpath/native/jni/java-lang/java_lang_VMDouble.c,
	  classpath/native/jni/java-lang/java_lang_VMFloat.c,
	  classpath/native/jni/java-lang/java_lang_VMSystem.c,
	  classpath/native/jni/java-lang/java_lang_reflect_Array.c,
	  classpath/native/jni/java-net/Makefile.am,
	  classpath/native/jni/java-net/Makefile.in,
	  classpath/native/jni/java-net/java_net_InetAddress.c,
	  classpath/native/jni/java-net/java_net_NetworkInterface.c,
	  classpath/native/jni/java-net/java_net_PlainDatagramSocketImpl.c,
	  classpath/native/jni/java-net/java_net_PlainSocketImpl.c,
	  classpath/native/jni/java-net/javanet.c,
	  classpath/native/jni/java-net/javanet.h,
	  classpath/native/jni/java-nio/Makefile.am,
	  classpath/native/jni/java-nio/Makefile.in,
	  classpath/native/jni/java-nio/java_nio_DirectByteBufferImpl.c,
	  classpath/native/jni/java-nio/java_nio_FileChannelImpl.c,
	  classpath/native/jni/java-nio/java_nio_FileLockImpl.c,
	  classpath/native/jni/java-util/Makefile.am,
	  classpath/native/jni/java-util/Makefile.in,
	  classpath/native/jni/java-util/java_util_TimeZone.c,
	  classpath/native/target/Makefile.am,
	  classpath/native/target/Makefile.in,
	  classpath/native/target/readme.txt,
	  classpath/native/target/Linux/Makefile.am,
	  classpath/native/target/Linux/Makefile.in,
	  classpath/native/target/Linux/target_native.h,
	  classpath/native/target/Linux/target_native_file.h,
	  classpath/native/target/Linux/target_native_io.h,
	  classpath/native/target/Linux/target_native_math_float.h,
	  classpath/native/target/Linux/target_native_math_int.h,
	  classpath/native/target/Linux/target_native_misc.h,
	  classpath/native/target/Linux/target_native_network.h,
	  classpath/native/target/generic/Makefile.am,
	  classpath/native/target/generic/Makefile.in,
	  classpath/native/target/generic/target_generic.h,
	  classpath/native/target/generic/target_generic_file.h,
	  classpath/native/target/generic/target_generic_io.h,
	  classpath/native/target/generic/target_generic_math_float.h,
	  classpath/native/target/generic/target_generic_math_int.h,
	  classpath/native/target/generic/target_generic_misc.h,
	  classpath/native/target/generic/target_generic_network.h,
	  classpath/resource/Makefile.am, classpath/resource/Makefile.in,
	  classpath/resource/orp-1.0.8.patch,
	  classpath/resource/orp-1.0.9.patch,
	  classpath/resource/gnu/Makefile.am,
	  classpath/resource/gnu/Makefile.in,
	  classpath/resource/gnu/java/Makefile.am,
	  classpath/resource/gnu/java/Makefile.in,
	  classpath/resource/gnu/java/awt/Makefile.am,
	  classpath/resource/gnu/java/awt/Makefile.in,
	  classpath/resource/gnu/java/awt/peer/Makefile.am,
	  classpath/resource/gnu/java/awt/peer/Makefile.in,
	  classpath/resource/gnu/java/awt/peer/gtk/Makefile.am,
	  classpath/resource/gnu/java/awt/peer/gtk/Makefile.in,
	  classpath/resource/gnu/java/awt/peer/gtk/font.properties,
	  classpath/resource/java/Makefile.am,
	  classpath/resource/java/Makefile.in,
	  classpath/resource/java/security/Makefile.am,
	  classpath/resource/java/security/Makefile.in,
	  classpath/resource/java/security/classpath.security,
	  classpath/resource/java/util/Makefile.am,
	  classpath/resource/java/util/Makefile.in,
	  classpath/resource/java/util/iso3166-a3.properties,
	  classpath/resource/java/util/iso3166.properties,
	  classpath/resource/java/util/iso3166_de.properties,
	  classpath/resource/java/util/iso639-a2-old.properties,
	  classpath/resource/java/util/iso639-a3.properties,
	  classpath/resource/java/util/iso639.properties,
	  classpath/resource/java/util/iso639_de.properties,
	  classpath/resource/java/util/iso639_fr.properties,
	  classpath/resource/java/util/iso639_ga.properties,
	  classpath/vm/Makefile.am, classpath/vm/Makefile.in,
	  classpath/vm/reference/Makefile.am,
	  classpath/vm/reference/Makefile.in,
	  classpath/vm/reference/java/Makefile.am,
	  classpath/vm/reference/java/Makefile.in,
	  classpath/vm/reference/java/io/Makefile.am,
	  classpath/vm/reference/java/io/Makefile.in,
	  classpath/vm/reference/java/io/VMObjectStreamClass.java,
	  classpath/vm/reference/java/lang/Makefile.am,
	  classpath/vm/reference/java/lang/Makefile.in,
	  classpath/vm/reference/java/lang/Runtime.java,
	  classpath/vm/reference/java/lang/Thread.java,
	  classpath/vm/reference/java/lang/VMClass.java,
	  classpath/vm/reference/java/lang/VMClassLoader.java,
	  classpath/vm/reference/java/lang/VMDouble.java,
	  classpath/vm/reference/java/lang/VMFloat.java,
	  classpath/vm/reference/java/lang/VMObject.java,
	  classpath/vm/reference/java/lang/VMSecurityManager.java,
	  classpath/vm/reference/java/lang/VMString.java,
	  classpath/vm/reference/java/lang/VMSystem.java,
	  classpath/vm/reference/java/lang/VMThrowable.java,
	  classpath/vm/reference/java/lang/reflect/Constructor.java,
	  classpath/vm/reference/java/lang/reflect/Field.java,
	  classpath/vm/reference/java/lang/reflect/Makefile.am,
	  classpath/vm/reference/java/lang/reflect/Makefile.in,
	  classpath/vm/reference/java/lang/reflect/Method.java,
	  vm/jit/Makefile.am, vm/jit/codegen.inc, vm/jit/jit.c,
	  vm/jit/inline/inline.c, vm/jit/inline/inline.h, vm/jit/jit.h,
	  vm/jit/parse.c, vm/jit/parse.h, vm/jit/inline/parseRT.c,
	  vm/jit/inline/parseRT.h, vm/jit/inline/parseRTstats.c,
	  vm/jit/inline/parseRTstats.h, vm/jit/reg.h, vm/jit/reg.inc,
	  vm/jit/stack.c, vm/jit/stack.h, vm/jit/inline/sets.c,
	  vm/jit/inline/sets.h, vm/jit/alpha/Makefile.am,
	  vm/jit/alpha/asmpart.S, vm/jit/alpha/codegen.c,
	  vm/jit/alpha/codegen.h, vm/jit/alpha/disass.c,
	  vm/jit/alpha/disass.h, vm/jit/alpha/types.h,
	  vm/jit/i386/Makefile.am, vm/jit/i386/asmpart.S,
	  vm/jit/i386/codegen.c, vm/jit/i386/codegen.h,
	  vm/jit/i386/disass.c, vm/jit/i386/disass.h, vm/jit/i386/types.h,
	  vm/jit/loop/Makefile.am, vm/jit/loop/analyze.c,
	  vm/jit/loop/analyze.h, vm/jit/loop/graph.c, vm/jit/loop/graph.h,
	  vm/jit/loop/loop.c, vm/jit/loop/loop.h, vm/jit/loop/tracing.c,
	  vm/jit/loop/tracing.h, vm/jit/mips/Makefile.am,
	  vm/jit/mips/codegen.c, native/vm/Constructor.c,
	  vm/jit/mips/codegen.h, vm/jit/mips/disass.c,
	  vm/jit/mips/disass.h, vm/jit/mips/types.h, native/vm/Field.c,
	  native/vm/FileChannelImpl.c, native/vm/GtkComponentPeer.c,
	  native/vm/GtkFileDialogPeer.c, native/vm/GtkScrollPanePeer.c,
	  native/vm/Method.c, native/vm/Proxy.c, native/vm/VMClass.c,
	  native/vm/VMClassLoader.c, native/vm/VMObject.c,
	  native/vm/VMRuntime.c, native/vm/VMThread.c,
	  native/vm/VMObjectStreamClass.c, native/vm/VMSecurityManager.c,
	  native/vm/VMSystem.c, native/include/java_lang_ClassLoader.h,
	  native/include/java_lang_Cloneable.h,
	  native/include/java_lang_Object.h,
	  native/include/java_lang_String.h,
	  native/include/java_lang_Thread.h,
	  native/include/java_lang_ThreadGroup.h,
	  native/include/java_lang_Throwable.h,
	  native/include/java_lang_VMObject.h: merge from gnuclasspath
	  branch. I hope I didn't miss or revert any modifications from
	  head accidently

2003-11-21 19:29  jowenn

	* src/classpath/: javax/swing/event/Makefile.am,
	  javax/swing/event/Makefile.in,
	  javax/swing/event/MenuDragMouseEvent.java,
	  javax/swing/event/MenuDragMouseListener.java,
	  javax/swing/event/MenuEvent.java,
	  javax/swing/event/MenuKeyEvent.java,
	  javax/swing/event/MenuKeyListener.java,
	  javax/swing/event/MenuListener.java,
	  javax/swing/event/MouseInputAdapter.java,
	  javax/swing/event/MouseInputListener.java,
	  javax/swing/event/PopupMenuEvent.java,
	  javax/swing/event/PopupMenuListener.java,
	  javax/swing/event/SwingPropertyChangeSupport.java,
	  javax/swing/event/TableColumnModelEvent.java,
	  javax/swing/event/TableColumnModelListener.java,
	  javax/swing/event/TableModelEvent.java,
	  javax/swing/event/TableModelListener.java,
	  javax/swing/event/TreeExpansionEvent.java,
	  javax/swing/event/TreeExpansionListener.java,
	  javax/swing/event/TreeModelEvent.java,
	  javax/swing/event/TreeModelListener.java,
	  javax/swing/event/TreeSelectionEvent.java,
	  javax/swing/event/TreeSelectionListener.java,
	  javax/swing/event/TreeWillExpandListener.java,
	  javax/swing/event/UndoableEditEvent.java,
	  javax/swing/event/UndoableEditListener.java,
	  javax/swing/event/package.html,
	  javax/swing/filechooser/FileFilter.java,
	  javax/swing/filechooser/FileSystemView.java,
	  javax/swing/filechooser/FileView.java,
	  javax/swing/filechooser/Makefile.am,
	  javax/swing/filechooser/Makefile.in,
	  javax/swing/filechooser/package.html,
	  javax/swing/plaf/ActionMapUIResource.java,
	  javax/swing/plaf/BorderUIResource.java,
	  javax/swing/plaf/ButtonUI.java,
	  javax/swing/plaf/ColorChooserUI.java,
	  javax/swing/plaf/ColorUIResource.java,
	  javax/swing/plaf/ComboBoxUI.java,
	  javax/swing/plaf/ComponentInputMapUIResource.java,
	  javax/swing/plaf/ComponentUI.java,
	  javax/swing/plaf/DesktopIconUI.java,
	  javax/swing/plaf/DesktopPaneUI.java,
	  javax/swing/plaf/DimensionUIResource.java,
	  javax/swing/plaf/FileChooserUI.java,
	  javax/swing/plaf/FontUIResource.java,
	  javax/swing/plaf/IconUIResource.java,
	  javax/swing/plaf/InputMapUIResource.java,
	  javax/swing/plaf/InsetsUIResource.java,
	  javax/swing/plaf/InternalFrameUI.java,
	  javax/swing/plaf/LabelUI.java, javax/swing/plaf/ListUI.java,
	  javax/swing/plaf/Makefile.am, javax/swing/plaf/Makefile.in,
	  javax/swing/plaf/MenuBarUI.java,
	  javax/swing/plaf/MenuItemUI.java,
	  javax/swing/plaf/OptionPaneUI.java,
	  javax/swing/plaf/PanelUI.java, javax/swing/plaf/PopupMenuUI.java,
	  javax/swing/plaf/ProgressBarUI.java,
	  javax/swing/plaf/RootPaneUI.java,
	  javax/swing/plaf/ScrollBarUI.java,
	  javax/swing/plaf/ScrollPaneUI.java,
	  javax/swing/plaf/SeparatorUI.java,
	  javax/swing/plaf/SliderUI.java,
	  javax/swing/plaf/SplitPaneUI.java,
	  javax/swing/plaf/TabbedPaneUI.java,
	  javax/swing/plaf/TableHeaderUI.java,
	  javax/swing/plaf/TableUI.java, javax/swing/plaf/TextUI.java,
	  javax/swing/plaf/ToolBarUI.java, javax/swing/plaf/ToolTipUI.java,
	  javax/swing/plaf/TreeUI.java, javax/swing/plaf/UIResource.java,
	  javax/swing/plaf/ViewportUI.java, javax/swing/plaf/package.html,
	  javax/swing/plaf/basic/BasicBorders.java,
	  javax/swing/plaf/basic/BasicButtonUI.java,
	  javax/swing/plaf/basic/BasicCheckBoxUI.java,
	  javax/swing/plaf/basic/BasicDefaults.java,
	  javax/swing/plaf/basic/BasicGraphicsUtils.java,
	  javax/swing/plaf/basic/BasicIconFactory.java,
	  javax/swing/plaf/basic/BasicLabelUI.java,
	  javax/swing/plaf/basic/BasicListUI.java,
	  javax/swing/plaf/basic/BasicLookAndFeel.java,
	  javax/swing/plaf/basic/BasicOptionPaneUI.java,
	  javax/swing/plaf/basic/BasicPanelUI.java,
	  javax/swing/plaf/basic/BasicRadioButtonUI.java,
	  javax/swing/plaf/basic/BasicScrollPaneUI.java,
	  javax/swing/plaf/basic/BasicSplitPaneDivider.java,
	  javax/swing/plaf/basic/BasicSplitPaneUI.java,
	  javax/swing/plaf/basic/BasicTabbedPaneUI.java,
	  javax/swing/plaf/basic/BasicTextUI.java,
	  javax/swing/plaf/basic/BasicToggleButtonUI.java,
	  javax/swing/plaf/basic/BasicTreeUI.java,
	  javax/swing/plaf/basic/BasicViewportUI.java,
	  javax/swing/plaf/basic/Makefile.am,
	  javax/swing/plaf/basic/Makefile.in,
	  javax/swing/plaf/basic/package.html,
	  javax/swing/plaf/metal/Makefile.am,
	  javax/swing/plaf/metal/Makefile.in,
	  javax/swing/plaf/metal/MetalLookAndFeel.java,
	  javax/swing/plaf/metal/package.html,
	  javax/swing/table/AbstractTableModel.java,
	  javax/swing/table/DefaultTableCellRenderer.java,
	  javax/swing/table/DefaultTableColumnModel.java,
	  javax/swing/table/DefaultTableModel.java,
	  javax/swing/table/JTableHeader.java,
	  javax/swing/table/Makefile.am, javax/swing/table/Makefile.in,
	  javax/swing/table/TableCellEditor.java,
	  javax/swing/table/TableCellRenderer.java,
	  javax/swing/table/TableColumn.java,
	  javax/swing/table/TableColumnModel.java,
	  javax/swing/table/TableModel.java,
	  javax/swing/table/package.html,
	  javax/swing/text/AbstractDocument.java,
	  javax/swing/text/AttributeSet.java,
	  javax/swing/text/BadLocationException.java,
	  javax/swing/text/Caret.java,
	  javax/swing/text/CharacterIterator.java,
	  javax/swing/text/ComponentView.java,
	  javax/swing/text/DefaultCaret.java,
	  javax/swing/text/DefaultEditorKit.java,
	  javax/swing/text/Document.java,
	  javax/swing/text/DocumentFilter.java,
	  javax/swing/text/EditorKit.java, javax/swing/text/Element.java,
	  javax/swing/text/GapContent.java,
	  javax/swing/text/JTextComponent.java,
	  javax/swing/text/Keymap.java, javax/swing/text/Makefile.am,
	  javax/swing/text/Makefile.in,
	  javax/swing/text/MutableAttributeSet.java,
	  javax/swing/text/NavigationFilter.java,
	  javax/swing/text/PlainDocument.java,
	  javax/swing/text/PlainEditorKit.java,
	  javax/swing/text/Position.java, javax/swing/text/Segment.java,
	  javax/swing/text/Style.java,
	  javax/swing/text/StyledDocument.java,
	  javax/swing/text/StyledEditorKit.java,
	  javax/swing/text/TextAction.java, javax/swing/text/View.java,
	  javax/swing/text/ViewFactory.java, javax/swing/text/package.html,
	  javax/swing/text/html/HTML.java,
	  javax/swing/text/html/Makefile.am,
	  javax/swing/text/html/Makefile.in,
	  javax/swing/text/html/package.html,
	  javax/swing/text/html/parser/Makefile.am,
	  javax/swing/text/html/parser/Makefile.in,
	  javax/swing/text/html/parser/ParserDelegator.java,
	  javax/swing/text/html/parser/package.html,
	  javax/swing/tree/AbstractLayoutCache.java,
	  javax/swing/tree/DefaultMutableTreeNode.java,
	  javax/swing/tree/DefaultTreeCellEditor.java,
	  javax/swing/tree/DefaultTreeCellRenderer.java,
	  javax/swing/tree/DefaultTreeModel.java,
	  javax/swing/tree/DefaultTreeSelectionModel.java,
	  javax/swing/tree/ExpandVetoException.java,
	  javax/swing/tree/FixedHeightLayoutCache.java,
	  javax/swing/tree/Makefile.am, javax/swing/tree/Makefile.in,
	  javax/swing/tree/MutableTreeNode.java,
	  javax/swing/tree/RowMapper.java,
	  javax/swing/tree/TreeCellEditor.java,
	  javax/swing/tree/TreeCellRenderer.java,
	  javax/swing/tree/TreeModel.java, javax/swing/tree/TreeNode.java,
	  javax/swing/tree/TreePath.java,
	  javax/swing/tree/TreeSelectionModel.java,
	  javax/swing/tree/VariableHeightLayoutCache.java,
	  javax/swing/tree/package.html,
	  javax/swing/undo/AbstractUndoableEdit.java,
	  javax/swing/undo/CannotRedoException.java,
	  javax/swing/undo/CannotUndoException.java,
	  javax/swing/undo/CompoundEdit.java, javax/swing/undo/Makefile.am,
	  javax/swing/undo/Makefile.in, javax/swing/undo/StateEdit.java,
	  javax/swing/undo/StateEditable.java,
	  javax/swing/undo/UndoManager.java,
	  javax/swing/undo/UndoableEdit.java,
	  javax/swing/undo/UndoableEditSupport.java,
	  javax/swing/undo/package.html,
	  javax/transaction/HeuristicCommitException.java,
	  javax/transaction/HeuristicMixedException.java,
	  javax/transaction/HeuristicRollbackException.java,
	  javax/transaction/InvalidTransactionException.java,
	  javax/transaction/Makefile.am, javax/transaction/Makefile.in,
	  javax/transaction/NotSupportedException.java,
	  javax/transaction/RollbackException.java,
	  javax/transaction/Status.java,
	  javax/transaction/Synchronization.java,
	  javax/transaction/SystemException.java,
	  javax/transaction/Transaction.java,
	  javax/transaction/TransactionManager.java,
	  javax/transaction/TransactionRequiredException.java,
	  javax/transaction/TransactionRolledbackException.java,
	  javax/transaction/UserTransaction.java,
	  javax/transaction/xa/Makefile.am,
	  javax/transaction/xa/Makefile.in,
	  javax/transaction/xa/XAException.java,
	  javax/transaction/xa/XAResource.java,
	  javax/transaction/xa/Xid.java, lib/Makefile, lib/Makefile.am,
	  lib/Makefile.in, lib/classes, lib/classes.1, lib/classes1.tgz,
	  lib/compile-classes, lib/gen-classlist.sh,
	  lib/gen-classlist.sh.in, lib/gen_nio.sh, lib/gen_nio.sh.in,
	  lib/glibj.zip, lib/java.dep, lib/mkcollections.pl.in,
	  lib/resources, lib/standard.omit: merge from gnuclasspath branch.
	  I hope I didn't miss or revert any modifications from head
	  accidently

2003-11-21 19:26  jowenn

	* src/classpath/: java/awt/Menu.java, java/awt/MenuBar.java,
	  java/awt/MenuComponent.java, java/awt/MenuContainer.java,
	  java/awt/MenuItem.java, java/awt/MenuShortcut.java,
	  java/awt/PageAttributes.java, java/awt/Paint.java,
	  java/awt/PaintContext.java, java/awt/Panel.java,
	  java/awt/Point.java, java/awt/Polygon.java,
	  java/awt/PopupMenu.java, java/awt/PrintGraphics.java,
	  java/awt/PrintJob.java, java/awt/Rectangle.java,
	  java/awt/RenderingHints.java, java/awt/Robot.java,
	  java/awt/ScrollPane.java, java/awt/ScrollPaneAdjustable.java,
	  java/awt/Scrollbar.java, java/awt/Shape.java,
	  java/awt/Stroke.java, java/awt/SystemColor.java,
	  java/awt/TextArea.java, java/awt/TextComponent.java,
	  java/awt/TextField.java, java/awt/TexturePaint.java,
	  java/awt/Toolkit.java, java/awt/Transparency.java,
	  java/awt/Window.java, java/awt/package.html,
	  java/awt/color/.cvsignore, java/awt/color/CMMException.java,
	  java/awt/color/ColorSpace.java,
	  java/awt/color/ICC_ColorSpace.java,
	  java/awt/color/ICC_Profile.java,
	  java/awt/color/ICC_ProfileGray.java,
	  java/awt/color/ICC_ProfileRGB.java, java/awt/color/Makefile.am,
	  java/awt/color/Makefile.in,
	  java/awt/color/ProfileDataException.java,
	  java/awt/color/package.html, java/awt/datatransfer/.cvsignore,
	  java/awt/datatransfer/Clipboard.java,
	  java/awt/datatransfer/ClipboardOwner.java,
	  java/awt/datatransfer/DataFlavor.java,
	  java/awt/datatransfer/FlavorMap.java,
	  java/awt/datatransfer/FlavorTable.java,
	  java/awt/datatransfer/Makefile.am,
	  java/awt/datatransfer/Makefile.in,
	  java/awt/datatransfer/MimeTypeParseException.java,
	  java/awt/datatransfer/StringSelection.java,
	  java/awt/datatransfer/SystemFlavorMap.java,
	  java/awt/datatransfer/Transferable.java,
	  java/awt/datatransfer/UnsupportedFlavorException.java,
	  java/awt/datatransfer/package.html, java/awt/dnd/.cvsignore,
	  java/awt/dnd/Autoscroll.java, java/awt/dnd/DnDConstants.java,
	  java/awt/dnd/DnDEventMulticaster.java,
	  java/awt/dnd/DragGestureEvent.java,
	  java/awt/dnd/DragGestureListener.java,
	  java/awt/dnd/DragGestureRecognizer.java,
	  java/awt/dnd/DragSource.java,
	  java/awt/dnd/DragSourceAdapter.java,
	  java/awt/dnd/DragSourceContext.java,
	  java/awt/dnd/DragSourceDragEvent.java,
	  java/awt/dnd/DragSourceDropEvent.java,
	  java/awt/dnd/DragSourceEvent.java,
	  java/awt/dnd/DragSourceListener.java,
	  java/awt/dnd/DragSourceMotionListener.java,
	  java/awt/dnd/DropTarget.java,
	  java/awt/dnd/DropTargetAdapter.java,
	  java/awt/dnd/DropTargetContext.java,
	  java/awt/dnd/DropTargetDragEvent.java,
	  java/awt/dnd/DropTargetDropEvent.java,
	  java/awt/dnd/DropTargetEvent.java,
	  java/awt/dnd/DropTargetListener.java,
	  java/awt/dnd/InvalidDnDOperationException.java,
	  java/awt/dnd/Makefile.am, java/awt/dnd/Makefile.in,
	  java/awt/dnd/MouseDragGestureRecognizer.java,
	  java/awt/dnd/package.html, java/awt/dnd/peer/.cvsignore,
	  java/awt/dnd/peer/DragSourceContextPeer.java,
	  java/awt/dnd/peer/DropTargetContextPeer.java,
	  java/awt/dnd/peer/DropTargetPeer.java,
	  java/awt/dnd/peer/Makefile.am, java/awt/dnd/peer/Makefile.in,
	  java/awt/dnd/peer/package.html, java/awt/event/.cvsignore,
	  java/awt/event/AWTEventListener.java,
	  java/awt/event/AWTEventListenerProxy.java,
	  java/awt/event/ActionEvent.java,
	  java/awt/event/ActionListener.java,
	  java/awt/event/AdjustmentEvent.java,
	  java/awt/event/AdjustmentListener.java,
	  java/awt/event/ComponentAdapter.java,
	  java/awt/event/ComponentEvent.java,
	  java/awt/event/ComponentListener.java,
	  java/awt/event/ContainerAdapter.java,
	  java/awt/event/ContainerEvent.java,
	  java/awt/event/ContainerListener.java,
	  java/awt/event/FocusAdapter.java, java/awt/event/FocusEvent.java,
	  java/awt/event/FocusListener.java,
	  java/awt/event/HierarchyBoundsAdapter.java,
	  java/awt/event/HierarchyBoundsListener.java,
	  java/awt/event/HierarchyEvent.java,
	  java/awt/event/HierarchyListener.java,
	  java/awt/event/InputEvent.java,
	  java/awt/event/InputMethodEvent.java,
	  java/awt/event/InputMethodListener.java,
	  java/awt/event/InvocationEvent.java,
	  java/awt/event/ItemEvent.java, java/awt/event/ItemListener.java,
	  java/awt/event/KeyAdapter.java, java/awt/event/KeyEvent.java,
	  java/awt/event/KeyListener.java, java/awt/event/Makefile.am,
	  java/awt/event/Makefile.in, java/awt/event/MouseAdapter.java,
	  java/awt/event/MouseEvent.java,
	  java/awt/event/MouseListener.java,
	  java/awt/event/MouseMotionAdapter.java,
	  java/awt/event/MouseMotionListener.java,
	  java/awt/event/MouseWheelEvent.java,
	  java/awt/event/MouseWheelListener.java,
	  java/awt/event/PaintEvent.java, java/awt/event/TextEvent.java,
	  java/awt/event/TextListener.java,
	  java/awt/event/WindowAdapter.java,
	  java/awt/event/WindowEvent.java,
	  java/awt/event/WindowFocusListener.java,
	  java/awt/event/WindowListener.java,
	  java/awt/event/WindowStateListener.java,
	  java/awt/event/package.html, java/awt/font/.cvsignore,
	  java/awt/font/FontRenderContext.java,
	  java/awt/font/GlyphJustificationInfo.java,
	  java/awt/font/GlyphMetrics.java, java/awt/font/GlyphVector.java,
	  java/awt/font/GraphicAttribute.java,
	  java/awt/font/ImageGraphicAttribute.java,
	  java/awt/font/LineBreakMeasurer.java,
	  java/awt/font/LineMetrics.java, java/awt/font/Makefile.am,
	  java/awt/font/Makefile.in, java/awt/font/MultipleMaster.java,
	  java/awt/font/NumericShaper.java, java/awt/font/OpenType.java,
	  java/awt/font/ShapeGraphicAttribute.java,
	  java/awt/font/TextAttribute.java, java/awt/font/TextHitInfo.java,
	  java/awt/font/TextLayout.java, java/awt/font/TextMeasurer.java,
	  java/awt/font/TransformAttribute.java,
	  java/awt/font/package.html, java/awt/geom/.cvsignore,
	  java/awt/geom/AffineTransform.java, java/awt/geom/Arc2D.java,
	  java/awt/geom/Area.java, java/awt/geom/CubicCurve2D.java,
	  java/awt/geom/Dimension2D.java, java/awt/geom/Ellipse2D.java,
	  java/awt/geom/FlatteningPathIterator.java,
	  java/awt/geom/GeneralPath.java,
	  java/awt/geom/IllegalPathStateException.java,
	  java/awt/geom/Line2D.java, java/awt/geom/Makefile.am,
	  java/awt/geom/Makefile.in,
	  java/awt/geom/NoninvertibleTransformException.java,
	  java/awt/geom/PathIterator.java, java/awt/geom/Point2D.java,
	  java/awt/geom/QuadCurve2D.java, java/awt/geom/Rectangle2D.java,
	  java/awt/geom/RectangularShape.java,
	  java/awt/geom/RoundRectangle2D.java, java/awt/geom/package.html,
	  java/awt/geom/doc-files/CubicCurve2D-1.png,
	  java/awt/geom/doc-files/CubicCurve2D-2.png,
	  java/awt/geom/doc-files/CubicCurve2D-3.png,
	  java/awt/geom/doc-files/CubicCurve2D-4.png,
	  java/awt/geom/doc-files/CubicCurve2D-5.png,
	  java/awt/geom/doc-files/FlatteningPathIterator-1.html,
	  java/awt/geom/doc-files/QuadCurve2D-1.png,
	  java/awt/geom/doc-files/QuadCurve2D-2.png,
	  java/awt/geom/doc-files/QuadCurve2D-3.png,
	  java/awt/geom/doc-files/QuadCurve2D-4.png,
	  java/awt/geom/doc-files/QuadCurve2D-5.png,
	  java/awt/im/.cvsignore, java/awt/im/InputContext.java,
	  java/awt/im/InputMethodHighlight.java,
	  java/awt/im/InputMethodRequests.java,
	  java/awt/im/InputSubset.java, java/awt/im/Makefile.am,
	  java/awt/im/Makefile.in, java/awt/im/package.html,
	  java/awt/im/spi/.cvsignore, java/awt/im/spi/InputMethod.java,
	  java/awt/im/spi/InputMethodContext.java,
	  java/awt/im/spi/InputMethodDescriptor.java,
	  java/awt/im/spi/Makefile.am, java/awt/im/spi/Makefile.in,
	  java/awt/im/spi/package.html, java/awt/image/.cvsignore,
	  java/awt/image/AreaAveragingScaleFilter.java,
	  java/awt/image/BufferStrategy.java,
	  java/awt/image/BufferedImage.java,
	  java/awt/image/BufferedImageOp.java,
	  java/awt/image/ColorModel.java,
	  java/awt/image/ComponentColorModel.java,
	  java/awt/image/ComponentSampleModel.java,
	  java/awt/image/CropImageFilter.java,
	  java/awt/image/DataBuffer.java,
	  java/awt/image/DataBufferByte.java,
	  java/awt/image/DataBufferInt.java,
	  java/awt/image/DataBufferUShort.java,
	  java/awt/image/DirectColorModel.java,
	  java/awt/image/FilteredImageSource.java,
	  java/awt/image/ImageConsumer.java,
	  java/awt/image/ImageFilter.java,
	  java/awt/image/ImageObserver.java,
	  java/awt/image/ImageProducer.java,
	  java/awt/image/ImagingOpException.java,
	  java/awt/image/IndexColorModel.java, java/awt/image/Makefile.am,
	  java/awt/image/Makefile.in,
	  java/awt/image/MemoryImageSource.java,
	  java/awt/image/PackedColorModel.java,
	  java/awt/image/PixelGrabber.java,
	  java/awt/image/RGBImageFilter.java, java/awt/image/Raster.java,
	  java/awt/image/RasterFormatException.java,
	  java/awt/image/RasterOp.java, java/awt/image/RenderedImage.java,
	  java/awt/image/ReplicateScaleFilter.java,
	  java/awt/image/SampleModel.java,
	  java/awt/image/SinglePixelPackedSampleModel.java,
	  java/awt/image/TileObserver.java,
	  java/awt/image/VolatileImage.java,
	  java/awt/image/WritableRaster.java,
	  java/awt/image/WritableRenderedImage.java,
	  java/awt/image/package.html,
	  java/awt/image/renderable/.cvsignore,
	  java/awt/image/renderable/ContextualRenderedImageFactory.java,
	  java/awt/image/renderable/Makefile.am,
	  java/awt/image/renderable/Makefile.in,
	  java/awt/image/renderable/ParameterBlock.java,
	  java/awt/image/renderable/RenderContext.java,
	  java/awt/image/renderable/RenderableImage.java,
	  java/awt/image/renderable/RenderableImageOp.java,
	  java/awt/image/renderable/RenderableImageProducer.java,
	  java/awt/image/renderable/RenderedImageFactory.java,
	  java/awt/image/renderable/package.html, java/awt/peer/.cvsignore,
	  java/awt/peer/ButtonPeer.java, java/awt/peer/CanvasPeer.java,
	  java/awt/peer/CheckboxMenuItemPeer.java,
	  java/awt/peer/CheckboxPeer.java, java/awt/peer/ChoicePeer.java,
	  java/awt/peer/ComponentPeer.java,
	  java/awt/peer/ContainerPeer.java, java/awt/peer/DialogPeer.java,
	  java/awt/peer/FileDialogPeer.java, java/awt/peer/FontPeer.java,
	  java/awt/peer/FramePeer.java, java/awt/peer/LabelPeer.java,
	  java/awt/peer/LightweightPeer.java, java/awt/peer/ListPeer.java,
	  java/awt/peer/Makefile.am, java/awt/peer/Makefile.in,
	  java/awt/peer/MenuBarPeer.java,
	  java/awt/peer/MenuComponentPeer.java,
	  java/awt/peer/MenuItemPeer.java, java/awt/peer/MenuPeer.java,
	  java/awt/peer/PanelPeer.java, java/awt/peer/PopupMenuPeer.java,
	  java/awt/peer/RobotPeer.java, java/awt/peer/ScrollPanePeer.java,
	  java/awt/peer/ScrollbarPeer.java,
	  java/awt/peer/TextAreaPeer.java,
	  java/awt/peer/TextComponentPeer.java,
	  java/awt/peer/TextFieldPeer.java, java/awt/peer/WindowPeer.java,
	  java/awt/peer/package.html, java/awt/print/.cvsignore,
	  java/awt/print/Book.java, java/awt/print/Makefile.am,
	  java/awt/print/Makefile.in, java/awt/print/PageFormat.java,
	  java/awt/print/Pageable.java, java/awt/print/Paper.java,
	  java/awt/print/Printable.java,
	  java/awt/print/PrinterAbortException.java,
	  java/awt/print/PrinterException.java,
	  java/awt/print/PrinterGraphics.java,
	  java/awt/print/PrinterIOException.java,
	  java/awt/print/PrinterJob.java, java/awt/print/package.html,
	  java/beans/AppletInitializer.java,
	  java/beans/BeanDescriptor.java, java/beans/BeanInfo.java,
	  java/beans/Beans.java, java/beans/Customizer.java,
	  java/beans/DesignMode.java, java/beans/EventSetDescriptor.java,
	  java/beans/ExceptionListener.java,
	  java/beans/FeatureDescriptor.java,
	  java/beans/IndexedPropertyDescriptor.java,
	  java/beans/IntrospectionException.java,
	  java/beans/Introspector.java, java/beans/Makefile.am,
	  java/beans/Makefile.in, java/beans/MethodDescriptor.java,
	  java/beans/ParameterDescriptor.java,
	  java/beans/PropertyChangeEvent.java,
	  java/beans/PropertyChangeListener.java,
	  java/beans/PropertyChangeListenerProxy.java,
	  java/beans/PropertyChangeSupport.java,
	  java/beans/PropertyDescriptor.java,
	  java/beans/PropertyEditor.java,
	  java/beans/PropertyEditorManager.java,
	  java/beans/PropertyEditorSupport.java,
	  java/beans/PropertyVetoException.java,
	  java/beans/SimpleBeanInfo.java, java/beans/TODO,
	  java/beans/VetoableChangeListener.java,
	  java/beans/VetoableChangeListenerProxy.java,
	  java/beans/VetoableChangeSupport.java,
	  java/beans/Visibility.java, java/beans/package.html,
	  java/beans/beancontext/BeanContext.java,
	  java/beans/beancontext/BeanContextChild.java,
	  java/beans/beancontext/BeanContextChildComponentProxy.java,
	  java/beans/beancontext/BeanContextChildSupport.java,
	  java/beans/beancontext/BeanContextContainerProxy.java,
	  java/beans/beancontext/BeanContextEvent.java,
	  java/beans/beancontext/BeanContextMembershipEvent.java,
	  java/beans/beancontext/BeanContextMembershipListener.java,
	  java/beans/beancontext/BeanContextProxy.java,
	  java/beans/beancontext/BeanContextServiceAvailableEvent.java,
	  java/beans/beancontext/BeanContextServiceProvider.java,
	  java/beans/beancontext/BeanContextServiceProviderBeanInfo.java,
	  java/beans/beancontext/BeanContextServiceRevokedEvent.java,
	  java/beans/beancontext/BeanContextServiceRevokedListener.java,
	  java/beans/beancontext/BeanContextServices.java,
	  java/beans/beancontext/BeanContextServicesListener.java,
	  java/beans/beancontext/BeanContextServicesSupport.java,
	  java/beans/beancontext/BeanContextSupport.java,
	  java/beans/beancontext/Makefile.am,
	  java/beans/beancontext/Makefile.in,
	  java/beans/beancontext/package.html,
	  java/io/BufferedInputStream.java,
	  java/io/BufferedOutputStream.java, java/io/BufferedReader.java,
	  java/io/BufferedWriter.java, java/io/ByteArrayInputStream.java,
	  java/io/ByteArrayOutputStream.java, java/io/CharArrayReader.java,
	  java/io/CharArrayWriter.java,
	  java/io/CharConversionException.java, java/io/DataInput.java,
	  java/io/DataInputStream.java, java/io/DataOutput.java,
	  java/io/DataOutputStream.java, java/io/EOFException.java,
	  java/io/Externalizable.java, java/io/File.java,
	  java/io/FileDescriptor.java, java/io/FileFilter.java,
	  java/io/FileInputStream.java, java/io/FileNotFoundException.java,
	  java/io/FileOutputStream.java, java/io/FilePermission.java,
	  java/io/FileReader.java, java/io/FileWriter.java,
	  java/io/FilenameFilter.java, java/io/FilterInputStream.java,
	  java/io/FilterOutputStream.java, java/io/FilterReader.java,
	  java/io/FilterWriter.java, java/io/IOException.java,
	  java/io/InputStream.java, java/io/InputStreamReader.java,
	  java/io/InterruptedIOException.java,
	  java/io/InvalidClassException.java,
	  java/io/InvalidObjectException.java,
	  java/io/LineNumberInputStream.java,
	  java/io/LineNumberReader.java, java/io/Makefile.am,
	  java/io/Makefile.in, java/io/NotActiveException.java,
	  java/io/NotSerializableException.java, java/io/ObjectInput.java,
	  java/io/ObjectInputStream.java,
	  java/io/ObjectInputValidation.java, java/io/ObjectOutput.java,
	  java/io/ObjectOutputStream.java, java/io/ObjectStreamClass.java,
	  java/io/ObjectStreamConstants.java,
	  java/io/ObjectStreamException.java,
	  java/io/ObjectStreamField.java,
	  java/io/OptionalDataException.java, java/io/OutputStream.java,
	  java/io/OutputStreamWriter.java, java/io/PipedInputStream.java,
	  java/io/PipedOutputStream.java, java/io/PipedReader.java,
	  java/io/PipedWriter.java, java/io/PrintStream.java,
	  java/io/PrintWriter.java, java/io/PushbackInputStream.java,
	  java/io/PushbackReader.java, java/io/RandomAccessFile.java,
	  java/io/Reader.java, java/io/SequenceInputStream.java,
	  java/io/Serializable.java, java/io/SerializablePermission.java,
	  java/io/StreamCorruptedException.java,
	  java/io/StreamTokenizer.java,
	  java/io/StringBufferInputStream.java, java/io/StringReader.java,
	  java/io/StringWriter.java, java/io/SyncFailedException.java,
	  java/io/UTFDataFormatException.java,
	  java/io/UnsupportedEncodingException.java,
	  java/io/WriteAbortedException.java, java/io/Writer.java,
	  java/io/package.html, java/lang/AbstractMethodError.java,
	  java/lang/ArithmeticException.java,
	  java/lang/ArrayIndexOutOfBoundsException.java,
	  java/lang/ArrayStoreException.java,
	  java/lang/AssertionError.java, java/lang/Boolean.java,
	  java/lang/Byte.java, java/lang/CharSequence.java,
	  java/lang/Character.java, java/lang/Class.java,
	  java/lang/ClassCastException.java,
	  java/lang/ClassCircularityError.java,
	  java/lang/ClassFormatError.java, java/lang/ClassLoader.java,
	  java/lang/ClassNotFoundException.java,
	  java/lang/CloneNotSupportedException.java,
	  java/lang/Cloneable.java, java/lang/Comparable.java,
	  java/lang/Compiler.java, java/lang/Double.java,
	  java/lang/Error.java, java/lang/Exception.java,
	  java/lang/ExceptionInInitializerError.java, java/lang/Float.java,
	  java/lang/IllegalAccessError.java,
	  java/lang/IllegalAccessException.java,
	  java/lang/IllegalArgumentException.java,
	  java/lang/IllegalMonitorStateException.java,
	  java/lang/IllegalStateException.java,
	  java/lang/IllegalThreadStateException.java,
	  java/lang/IncompatibleClassChangeError.java,
	  java/lang/IndexOutOfBoundsException.java,
	  java/lang/InheritableThreadLocal.java,
	  java/lang/InstantiationError.java,
	  java/lang/InstantiationException.java, java/lang/Integer.java,
	  java/lang/InternalError.java,
	  java/lang/InterruptedException.java, java/lang/JOWENNTest1.java,
	  java/lang/LinkageError.java, java/lang/Long.java,
	  java/lang/Makefile.am, java/lang/Makefile.in,
	  java/lang/Math.java, java/lang/NegativeArraySizeException.java,
	  java/lang/NoClassDefFoundError.java,
	  java/lang/NoSuchFieldError.java,
	  java/lang/NoSuchFieldException.java,
	  java/lang/NoSuchMethodError.java,
	  java/lang/NoSuchMethodException.java,
	  java/lang/NullPointerException.java, java/lang/Number.java,
	  java/lang/NumberFormatException.java, java/lang/Object.java,
	  java/lang/OutOfMemoryError.java, java/lang/Package.java,
	  java/lang/Process.java, java/lang/Runnable.java,
	  java/lang/RuntimeException.java,
	  java/lang/RuntimePermission.java,
	  java/lang/SecurityException.java, java/lang/SecurityManager.java,
	  java/lang/Short.java, java/lang/StackOverflowError.java,
	  java/lang/StackTraceElement.java, java/lang/StrictMath.java,
	  java/lang/String.java, java/lang/StringBuffer.java,
	  java/lang/StringIndexOutOfBoundsException.java,
	  java/lang/System.java, java/lang/ThreadDeath.java,
	  java/lang/ThreadGroup.java, java/lang/ThreadLocal.java,
	  java/lang/Throwable.java, java/lang/UnknownError.java,
	  java/lang/UnsatisfiedLinkError.java,
	  java/lang/UnsupportedClassVersionError.java,
	  java/lang/UnsupportedOperationException.java,
	  java/lang/VerifyError.java, java/lang/VirtualMachineError.java,
	  java/lang/Void.java, java/lang/package.html,
	  java/lang/ref/Makefile.am, java/lang/ref/Makefile.in,
	  java/lang/ref/PhantomReference.java,
	  java/lang/ref/Reference.java, java/lang/ref/ReferenceQueue.java,
	  java/lang/ref/SoftReference.java,
	  java/lang/ref/WeakReference.java, java/lang/ref/package.html,
	  java/lang/reflect/AccessibleObject.java,
	  java/lang/reflect/Array.java,
	  java/lang/reflect/InvocationHandler.java,
	  java/lang/reflect/InvocationTargetException.java,
	  java/lang/reflect/Makefile.am, java/lang/reflect/Makefile.in,
	  java/lang/reflect/Member.java, java/lang/reflect/Modifier.java,
	  java/lang/reflect/Proxy.java, java/lang/reflect/README,
	  java/lang/reflect/ReflectPermission.java, java/lang/reflect/TODO,
	  java/lang/reflect/UndeclaredThrowableException.java,
	  java/lang/reflect/package.html, java/math/BigDecimal.java,
	  java/math/BigInteger.java, java/math/Makefile.am,
	  java/math/Makefile.in, java/math/package.html,
	  java/net/Authenticator.java, java/net/BindException.java,
	  java/net/ConnectException.java, java/net/ContentHandler.java,
	  java/net/ContentHandlerFactory.java,
	  java/net/DatagramPacket.java, java/net/DatagramSocket.java,
	  java/net/DatagramSocketImpl.java,
	  java/net/DatagramSocketImplFactory.java,
	  java/net/FileNameMap.java, java/net/HttpURLConnection.java,
	  java/net/Inet4Address.java, java/net/Inet6Address.java,
	  java/net/InetAddress.java, java/net/InetSocketAddress.java,
	  java/net/JarURLConnection.java, java/net/Makefile.am,
	  java/net/Makefile.in, java/net/MalformedURLException.java,
	  java/net/MimeTypeMapper.java, java/net/MulticastSocket.java,
	  java/net/NetPermission.java, java/net/NetworkInterface.java,
	  java/net/NoRouteToHostException.java,
	  java/net/PasswordAuthentication.java,
	  java/net/PlainDatagramSocketImpl.java,
	  java/net/PlainSocketImpl.java,
	  java/net/PortUnreachableException.java,
	  java/net/ProtocolException.java, java/net/STATUS,
	  java/net/ServerSocket.java, java/net/Socket.java,
	  java/net/SocketAddress.java, java/net/SocketException.java,
	  java/net/SocketImpl.java, java/net/SocketImplFactory.java,
	  java/net/SocketInputStream.java, java/net/SocketOptions.java,
	  java/net/SocketOutputStream.java, java/net/SocketPermission.java,
	  java/net/SocketTimeoutException.java, java/net/TODO,
	  java/net/URI.java, java/net/URISyntaxException.java,
	  java/net/URL.java, java/net/URLClassLoader.java,
	  java/net/URLConnection.java, java/net/URLDecoder.java,
	  java/net/URLEncoder.java, java/net/URLStreamHandler.java,
	  java/net/URLStreamHandlerFactory.java,
	  java/net/UnknownHostException.java,
	  java/net/UnknownServiceException.java, java/net/package.html,
	  java/nio/Buffer.java, java/nio/BufferOverflowException.java,
	  java/nio/BufferUnderflowException.java, java/nio/ByteBuffer.java,
	  java/nio/ByteBufferImpl.java, java/nio/ByteOrder.java,
	  java/nio/CharBuffer.java, java/nio/CharBufferImpl.java,
	  java/nio/CharViewBufferImpl.java,
	  java/nio/DirectByteBufferImpl.java, java/nio/DoubleBuffer.java,
	  java/nio/DoubleBufferImpl.java,
	  java/nio/DoubleViewBufferImpl.java, java/nio/FloatBuffer.java,
	  java/nio/FloatBufferImpl.java, java/nio/FloatViewBufferImpl.java,
	  java/nio/IntBuffer.java, java/nio/IntBufferImpl.java,
	  java/nio/IntViewBufferImpl.java,
	  java/nio/InvalidMarkException.java, java/nio/LongBuffer.java,
	  java/nio/LongBufferImpl.java, java/nio/LongViewBufferImpl.java,
	  java/nio/Makefile.am, java/nio/Makefile.in,
	  java/nio/MappedByteBuffer.java,
	  java/nio/MappedByteBufferImpl.java,
	  java/nio/ReadOnlyBufferException.java, java/nio/ShortBuffer.java,
	  java/nio/ShortBufferImpl.java, java/nio/ShortViewBufferImpl.java,
	  java/nio/package.html,
	  java/nio/channels/AlreadyConnectedException.java,
	  java/nio/channels/AsynchronousCloseException.java,
	  java/nio/channels/ByteChannel.java,
	  java/nio/channels/CancelledKeyException.java,
	  java/nio/channels/Channel.java, java/nio/channels/Channels.java,
	  java/nio/channels/ClosedByInterruptException.java,
	  java/nio/channels/ClosedChannelException.java,
	  java/nio/channels/ClosedSelectorException.java,
	  java/nio/channels/ConnectionPendingException.java,
	  java/nio/channels/DatagramChannel.java,
	  java/nio/channels/FileChannel.java,
	  java/nio/channels/FileChannelImpl.java,
	  java/nio/channels/FileLock.java,
	  java/nio/channels/FileLockInterruptionException.java,
	  java/nio/channels/GatheringByteChannel.java,
	  java/nio/channels/IllegalBlockingModeException.java,
	  java/nio/channels/IllegalSelectorException.java,
	  java/nio/channels/InterruptibleChannel.java,
	  java/nio/channels/Makefile.am, java/nio/channels/Makefile.in,
	  java/nio/channels/NoConnectionPendingException.java,
	  java/nio/channels/NonReadableChannelException.java,
	  java/nio/channels/NonWritableChannelException.java,
	  java/nio/channels/NotYetBoundException.java,
	  java/nio/channels/NotYetConnectedException.java,
	  java/nio/channels/OverlappingFileLockException.java,
	  java/nio/channels/Pipe.java,
	  java/nio/channels/ReadableByteChannel.java,
	  java/nio/channels/ScatteringByteChannel.java,
	  java/nio/channels/SelectableChannel.java,
	  java/nio/channels/SelectionKey.java,
	  java/nio/channels/Selector.java,
	  java/nio/channels/ServerSocketChannel.java,
	  java/nio/channels/SocketChannel.java,
	  java/nio/channels/UnresolvedAddressException.java,
	  java/nio/channels/UnsupportedAddressTypeException.java,
	  java/nio/channels/WritableByteChannel.java,
	  java/nio/channels/package.html,
	  java/nio/channels/spi/AbstractInterruptibleChannel.java,
	  java/nio/channels/spi/AbstractSelectableChannel.java,
	  java/nio/channels/spi/AbstractSelectionKey.java,
	  java/nio/channels/spi/AbstractSelector.java,
	  java/nio/channels/spi/Makefile.am,
	  java/nio/channels/spi/Makefile.in,
	  java/nio/channels/spi/SelectorProvider.java,
	  java/nio/channels/spi/package.html,
	  java/nio/charset/CharacterCodingException.java,
	  java/nio/charset/Charset.java,
	  java/nio/charset/CharsetDecoder.java,
	  java/nio/charset/CharsetEncoder.java,
	  java/nio/charset/CoderMalfunctionError.java,
	  java/nio/charset/CoderResult.java,
	  java/nio/charset/CodingErrorAction.java,
	  java/nio/charset/IllegalCharsetNameException.java,
	  java/nio/charset/Makefile.am, java/nio/charset/Makefile.in,
	  java/nio/charset/MalformedInputException.java,
	  java/nio/charset/UnmappableCharacterException.java,
	  java/nio/charset/UnsupportedCharsetException.java,
	  java/nio/charset/package.html,
	  java/nio/charset/spi/CharsetProvider.java,
	  java/nio/charset/spi/Makefile.am,
	  java/nio/charset/spi/Makefile.in,
	  java/nio/charset/spi/package.html, java/rmi/AccessException.java,
	  java/rmi/AlreadyBoundException.java,
	  java/rmi/ConnectException.java, java/rmi/ConnectIOException.java,
	  java/rmi/Makefile.am, java/rmi/Makefile.in,
	  java/rmi/MarshalException.java, java/rmi/MarshalledObject.java,
	  java/rmi/Naming.java, java/rmi/NoSuchObjectException.java,
	  java/rmi/NotBoundException.java,
	  java/rmi/RMISecurityException.java,
	  java/rmi/RMISecurityManager.java, java/rmi/Remote.java,
	  java/rmi/RemoteException.java, java/rmi/ServerError.java,
	  java/rmi/ServerException.java,
	  java/rmi/ServerRuntimeException.java,
	  java/rmi/StubNotFoundException.java,
	  java/rmi/UnexpectedException.java,
	  java/rmi/UnknownHostException.java,
	  java/rmi/UnmarshalException.java, java/rmi/package.html,
	  java/rmi/activation/Activatable.java,
	  java/rmi/activation/ActivateFailedException.java,
	  java/rmi/activation/ActivationDesc.java,
	  java/rmi/activation/ActivationException.java,
	  java/rmi/activation/ActivationGroup.java,
	  java/rmi/activation/ActivationGroupDesc.java,
	  java/rmi/activation/ActivationGroupID.java,
	  java/rmi/activation/ActivationID.java,
	  java/rmi/activation/ActivationInstantiator.java,
	  java/rmi/activation/ActivationMonitor.java,
	  java/rmi/activation/ActivationSystem.java,
	  java/rmi/activation/Activator.java,
	  java/rmi/activation/Makefile.am, java/rmi/activation/Makefile.in,
	  java/rmi/activation/UnknownGroupException.java,
	  java/rmi/activation/UnknownObjectException.java,
	  java/rmi/activation/package.html, java/rmi/dgc/DGC.java,
	  java/rmi/dgc/Lease.java, java/rmi/dgc/Makefile.am,
	  java/rmi/dgc/Makefile.in, java/rmi/dgc/VMID.java,
	  java/rmi/dgc/package.html, java/rmi/registry/LocateRegistry.java,
	  java/rmi/registry/Makefile.am, java/rmi/registry/Makefile.in,
	  java/rmi/registry/Registry.java,
	  java/rmi/registry/RegistryHandler.java,
	  java/rmi/registry/package.html,
	  java/rmi/server/ExportException.java,
	  java/rmi/server/LoaderHandler.java,
	  java/rmi/server/LogStream.java, java/rmi/server/Makefile.am,
	  java/rmi/server/Makefile.in, java/rmi/server/ObjID.java,
	  java/rmi/server/Operation.java,
	  java/rmi/server/RMIClassLoader.java,
	  java/rmi/server/RMIClassLoaderSpi.java,
	  java/rmi/server/RMIClientSocketFactory.java,
	  java/rmi/server/RMIFailureHandler.java,
	  java/rmi/server/RMIServerSocketFactory.java,
	  java/rmi/server/RMISocketFactory.java,
	  java/rmi/server/RemoteCall.java,
	  java/rmi/server/RemoteObject.java,
	  java/rmi/server/RemoteRef.java,
	  java/rmi/server/RemoteServer.java,
	  java/rmi/server/RemoteStub.java,
	  java/rmi/server/ServerCloneException.java,
	  java/rmi/server/ServerNotActiveException.java,
	  java/rmi/server/ServerRef.java, java/rmi/server/Skeleton.java,
	  java/rmi/server/SkeletonMismatchException.java,
	  java/rmi/server/SkeletonNotFoundException.java,
	  java/rmi/server/SocketSecurityException.java,
	  java/rmi/server/UID.java,
	  java/rmi/server/UnicastRemoteObject.java,
	  java/rmi/server/Unreferenced.java, java/rmi/server/package.html,
	  java/security/AccessControlContext.java,
	  java/security/AccessControlException.java,
	  java/security/AccessController.java,
	  java/security/AlgorithmParameterGenerator.java,
	  java/security/AlgorithmParameterGeneratorSpi.java,
	  java/security/AlgorithmParameters.java,
	  java/security/AlgorithmParametersSpi.java,
	  java/security/AllPermission.java,
	  java/security/BasicPermission.java,
	  java/security/Certificate.java, java/security/CodeSource.java,
	  java/security/DigestException.java,
	  java/security/DigestInputStream.java,
	  java/security/DigestOutputStream.java,
	  java/security/DomainCombiner.java,
	  java/security/DummyKeyPairGenerator.java,
	  java/security/DummyMessageDigest.java,
	  java/security/DummySignature.java,
	  java/security/GeneralSecurityException.java,
	  java/security/Guard.java, java/security/GuardedObject.java,
	  java/security/Identity.java, java/security/IdentityScope.java,
	  java/security/InvalidAlgorithmParameterException.java,
	  java/security/InvalidKeyException.java,
	  java/security/InvalidParameterException.java,
	  java/security/Key.java, java/security/KeyException.java,
	  java/security/KeyFactory.java, java/security/KeyFactorySpi.java,
	  java/security/KeyManagementException.java,
	  java/security/KeyPair.java, java/security/KeyPairGenerator.java,
	  java/security/KeyPairGeneratorSpi.java,
	  java/security/KeyStore.java,
	  java/security/KeyStoreException.java,
	  java/security/KeyStoreSpi.java, java/security/Makefile.am,
	  java/security/Makefile.in, java/security/MessageDigest.java,
	  java/security/MessageDigestSpi.java,
	  java/security/NoSuchAlgorithmException.java,
	  java/security/NoSuchProviderException.java,
	  java/security/Permission.java,
	  java/security/PermissionCollection.java,
	  java/security/Permissions.java, java/security/Policy.java,
	  java/security/Principal.java, java/security/PrivateKey.java,
	  java/security/PrivilegedAction.java,
	  java/security/PrivilegedActionException.java,
	  java/security/PrivilegedExceptionAction.java,
	  java/security/ProtectionDomain.java, java/security/Provider.java,
	  java/security/ProviderException.java,
	  java/security/PublicKey.java,
	  java/security/SecureClassLoader.java,
	  java/security/SecureRandom.java,
	  java/security/SecureRandomSpi.java, java/security/Security.java,
	  java/security/SecurityPermission.java,
	  java/security/Signature.java,
	  java/security/SignatureException.java,
	  java/security/SignatureSpi.java, java/security/SignedObject.java,
	  java/security/Signer.java,
	  java/security/UnrecoverableKeyException.java,
	  java/security/UnresolvedPermission.java,
	  java/security/package.html, java/security/acl/Acl.java,
	  java/security/acl/AclEntry.java,
	  java/security/acl/AclNotFoundException.java,
	  java/security/acl/Group.java,
	  java/security/acl/LastOwnerException.java,
	  java/security/acl/Makefile.am, java/security/acl/Makefile.in,
	  java/security/acl/NotOwnerException.java,
	  java/security/acl/Owner.java, java/security/acl/Permission.java,
	  java/security/acl/package.html, java/security/cert/CRL.java,
	  java/security/cert/CRLException.java,
	  java/security/cert/CRLSelector.java,
	  java/security/cert/CertPath.java,
	  java/security/cert/CertPathBuilder.java,
	  java/security/cert/CertPathBuilderException.java,
	  java/security/cert/CertPathBuilderResult.java,
	  java/security/cert/CertPathBuilderSpi.java,
	  java/security/cert/CertPathParameters.java,
	  java/security/cert/CertPathValidator.java,
	  java/security/cert/CertPathValidatorException.java,
	  java/security/cert/CertPathValidatorResult.java,
	  java/security/cert/CertPathValidatorSpi.java,
	  java/security/cert/CertSelector.java,
	  java/security/cert/CertStore.java,
	  java/security/cert/CertStoreException.java,
	  java/security/cert/CertStoreParameters.java,
	  java/security/cert/CertStoreSpi.java,
	  java/security/cert/Certificate.java,
	  java/security/cert/CertificateEncodingException.java,
	  java/security/cert/CertificateException.java,
	  java/security/cert/CertificateExpiredException.java,
	  java/security/cert/CertificateFactory.java,
	  java/security/cert/CertificateFactorySpi.java,
	  java/security/cert/CertificateNotYetValidException.java,
	  java/security/cert/CertificateParsingException.java,
	  java/security/cert/CollectionCertStoreParameters.java,
	  java/security/cert/LDAPCertStoreParameters.java,
	  java/security/cert/Makefile.am, java/security/cert/Makefile.in,
	  java/security/cert/PKIXBuilderParameters.java,
	  java/security/cert/PKIXCertPathBuilderResult.java,
	  java/security/cert/PKIXCertPathChecker.java,
	  java/security/cert/PKIXCertPathValidatorResult.java,
	  java/security/cert/PKIXParameters.java,
	  java/security/cert/PolicyNode.java,
	  java/security/cert/PolicyQualifierInfo.java,
	  java/security/cert/TrustAnchor.java,
	  java/security/cert/X509CRL.java,
	  java/security/cert/X509CRLEntry.java,
	  java/security/cert/X509Certificate.java,
	  java/security/cert/X509Extension.java,
	  java/security/cert/package.html,
	  java/security/interfaces/DSAKey.java,
	  java/security/interfaces/DSAKeyPairGenerator.java,
	  java/security/interfaces/DSAParams.java,
	  java/security/interfaces/DSAPrivateKey.java,
	  java/security/interfaces/DSAPublicKey.java,
	  java/security/interfaces/Makefile.am,
	  java/security/interfaces/Makefile.in,
	  java/security/interfaces/RSAKey.java,
	  java/security/interfaces/RSAMultiPrimePrivateCrtKey.java,
	  java/security/interfaces/RSAPrivateCrtKey.java,
	  java/security/interfaces/RSAPrivateKey.java,
	  java/security/interfaces/RSAPublicKey.java,
	  java/security/interfaces/package.html,
	  java/security/spec/AlgorithmParameterSpec.java,
	  java/security/spec/DSAParameterSpec.java,
	  java/security/spec/DSAPrivateKeySpec.java,
	  java/security/spec/DSAPublicKeySpec.java,
	  java/security/spec/EncodedKeySpec.java,
	  java/security/spec/InvalidKeySpecException.java,
	  java/security/spec/InvalidParameterSpecException.java,
	  java/security/spec/KeySpec.java, java/security/spec/Makefile.am,
	  java/security/spec/Makefile.in,
	  java/security/spec/PKCS8EncodedKeySpec.java,
	  java/security/spec/PSSParameterSpec.java,
	  java/security/spec/RSAKeyGenParameterSpec.java,
	  java/security/spec/RSAMultiPrimePrivateCrtKeySpec.java,
	  java/security/spec/RSAOtherPrimeInfo.java,
	  java/security/spec/RSAPrivateCrtKeySpec.java,
	  java/security/spec/RSAPrivateKeySpec.java,
	  java/security/spec/RSAPublicKeySpec.java,
	  java/security/spec/X509EncodedKeySpec.java,
	  java/security/spec/package.html, java/sql/Array.java,
	  java/sql/BatchUpdateException.java, java/sql/Blob.java,
	  java/sql/CallableStatement.java, java/sql/Clob.java,
	  java/sql/Connection.java, java/sql/DataTruncation.java,
	  java/sql/DatabaseMetaData.java, java/sql/Date.java,
	  java/sql/Driver.java, java/sql/DriverManager.java,
	  java/sql/DriverPropertyInfo.java, java/sql/Makefile.am,
	  java/sql/Makefile.in, java/sql/ParameterMetaData.java,
	  java/sql/PreparedStatement.java, java/sql/Ref.java,
	  java/sql/ResultSet.java, java/sql/ResultSetMetaData.java,
	  java/sql/SQLData.java, java/sql/SQLException.java,
	  java/sql/SQLInput.java, java/sql/SQLOutput.java,
	  java/sql/SQLPermission.java, java/sql/SQLWarning.java,
	  java/sql/Savepoint.java, java/sql/Statement.java,
	  java/sql/Struct.java, java/sql/Time.java,
	  java/sql/Timestamp.java, java/sql/Types.java,
	  java/sql/package.html, java/text/Annotation.java,
	  java/text/AttributedCharacterIterator.java,
	  java/text/AttributedString.java,
	  java/text/AttributedStringIterator.java,
	  java/text/BreakIterator.java, java/text/CharacterIterator.java,
	  java/text/ChoiceFormat.java,
	  java/text/CollationElementIterator.java,
	  java/text/CollationKey.java, java/text/Collator.java,
	  java/text/DateFormat.java, java/text/DateFormatSymbols.java,
	  java/text/DecimalFormat.java,
	  java/text/DecimalFormatSymbols.java,
	  java/text/FieldPosition.java, java/text/Format.java,
	  java/text/Makefile.am, java/text/Makefile.in,
	  java/text/MessageFormat.java, java/text/NumberFormat.java,
	  java/text/ParseException.java, java/text/ParsePosition.java,
	  java/text/RuleBasedCollator.java,
	  java/text/SimpleDateFormat.java,
	  java/text/StringCharacterIterator.java, java/text/package.html,
	  java/util/AbstractCollection.java, java/util/AbstractList.java,
	  java/util/AbstractMap.java,
	  java/util/AbstractSequentialList.java,
	  java/util/AbstractSet.java, java/util/ArrayList.java,
	  java/util/Arrays.java, java/util/BitSet.java,
	  java/util/Calendar.java, java/util/Collection.java,
	  java/util/Collections.java, java/util/Comparator.java,
	  java/util/ConcurrentModificationException.java,
	  java/util/Date.java, java/util/Dictionary.java,
	  java/util/EmptyStackException.java, java/util/Enumeration.java,
	  java/util/EventListener.java, java/util/EventListenerProxy.java,
	  java/util/EventObject.java, java/util/GregorianCalendar.java,
	  java/util/HashMap.java, java/util/HashSet.java,
	  java/util/Hashtable.java, java/util/IdentityHashMap.java,
	  java/util/Iterator.java, java/util/LinkedHashMap.java,
	  java/util/LinkedHashSet.java, java/util/LinkedList.java,
	  java/util/List.java, java/util/ListIterator.java,
	  java/util/ListResourceBundle.java, java/util/Locale.java,
	  java/util/Makefile.am, java/util/Makefile.in, java/util/Map.java,
	  java/util/MissingResourceException.java,
	  java/util/NoSuchElementException.java, java/util/Observable.java,
	  java/util/Observer.java, java/util/Properties.java,
	  java/util/PropertyPermission.java,
	  java/util/PropertyPermissionCollection.java,
	  java/util/PropertyResourceBundle.java, java/util/Random.java,
	  java/util/RandomAccess.java, java/util/ResourceBundle.java,
	  java/util/Set.java, java/util/SimpleTimeZone.java,
	  java/util/SortedMap.java, java/util/SortedSet.java,
	  java/util/Stack.java, java/util/StringTokenizer.java,
	  java/util/TimeZone.java, java/util/Timer.java,
	  java/util/TimerTask.java,
	  java/util/TooManyListenersException.java, java/util/TreeMap.java,
	  java/util/TreeSet.java, java/util/Vector.java,
	  java/util/WeakHashMap.java, java/util/package.html,
	  java/util/jar/Attributes.java, java/util/jar/JarEntry.java,
	  java/util/jar/JarException.java, java/util/jar/JarFile.java,
	  java/util/jar/JarInputStream.java,
	  java/util/jar/JarOutputStream.java, java/util/jar/Makefile.am,
	  java/util/jar/Makefile.in, java/util/jar/Manifest.java,
	  java/util/jar/package.html,
	  java/util/logging/ConsoleHandler.java,
	  java/util/logging/ErrorManager.java,
	  java/util/logging/FileHandler.java,
	  java/util/logging/Filter.java, java/util/logging/Formatter.java,
	  java/util/logging/Handler.java, java/util/logging/Level.java,
	  java/util/logging/LogManager.java,
	  java/util/logging/LogRecord.java, java/util/logging/Logger.java,
	  java/util/logging/LoggingPermission.java,
	  java/util/logging/Makefile.am, java/util/logging/Makefile.in,
	  java/util/logging/MemoryHandler.java,
	  java/util/logging/SimpleFormatter.java,
	  java/util/logging/SocketHandler.java,
	  java/util/logging/StreamHandler.java,
	  java/util/logging/XMLFormatter.java,
	  java/util/logging/package.html,
	  java/util/prefs/AbstractPreferences.java,
	  java/util/prefs/BackingStoreException.java,
	  java/util/prefs/InvalidPreferencesFormatException.java,
	  java/util/prefs/Makefile.am, java/util/prefs/Makefile.in,
	  java/util/prefs/NodeChangeEvent.java,
	  java/util/prefs/NodeChangeListener.java,
	  java/util/prefs/PreferenceChangeEvent.java,
	  java/util/prefs/PreferenceChangeListener.java,
	  java/util/prefs/Preferences.java,
	  java/util/prefs/PreferencesFactory.java,
	  java/util/prefs/package.html, java/util/regex/Makefile.am,
	  java/util/regex/Makefile.in, java/util/regex/Matcher.java,
	  java/util/regex/Pattern.java,
	  java/util/regex/PatternSyntaxException.java,
	  java/util/regex/package.html, java/util/zip/Adler32.java,
	  java/util/zip/CRC32.java, java/util/zip/CheckedInputStream.java,
	  java/util/zip/CheckedOutputStream.java,
	  java/util/zip/Checksum.java,
	  java/util/zip/DataFormatException.java,
	  java/util/zip/Deflater.java,
	  java/util/zip/DeflaterConstants.java,
	  java/util/zip/DeflaterEngine.java,
	  java/util/zip/DeflaterHuffman.java,
	  java/util/zip/DeflaterOutputStream.java,
	  java/util/zip/DeflaterPending.java,
	  java/util/zip/GZIPInputStream.java,
	  java/util/zip/GZIPOutputStream.java, java/util/zip/Inflater.java,
	  java/util/zip/InflaterDynHeader.java,
	  java/util/zip/InflaterHuffmanTree.java,
	  java/util/zip/InflaterInputStream.java,
	  java/util/zip/Makefile.am, java/util/zip/Makefile.in,
	  java/util/zip/OutputWindow.java,
	  java/util/zip/PendingBuffer.java,
	  java/util/zip/StreamManipulator.java,
	  java/util/zip/ZipConstants.java, java/util/zip/ZipEntry.java,
	  java/util/zip/ZipException.java, java/util/zip/ZipFile.java,
	  java/util/zip/ZipInputStream.java,
	  java/util/zip/ZipOutputStream.java, java/util/zip/package.html,
	  javax/Makefile.am, javax/Makefile.in,
	  javax/accessibility/Accessible.java,
	  javax/accessibility/AccessibleAction.java,
	  javax/accessibility/AccessibleBundle.java,
	  javax/accessibility/AccessibleComponent.java,
	  javax/accessibility/AccessibleContext.java,
	  javax/accessibility/AccessibleEditableText.java,
	  javax/accessibility/AccessibleExtendedComponent.java,
	  javax/accessibility/AccessibleExtendedTable.java,
	  javax/accessibility/AccessibleHyperlink.java,
	  javax/accessibility/AccessibleHypertext.java,
	  javax/accessibility/AccessibleIcon.java,
	  javax/accessibility/AccessibleKeyBinding.java,
	  javax/accessibility/AccessibleRelation.java,
	  javax/accessibility/AccessibleRelationSet.java,
	  javax/accessibility/AccessibleResourceBundle.java,
	  javax/accessibility/AccessibleRole.java,
	  javax/accessibility/AccessibleSelection.java,
	  javax/accessibility/AccessibleState.java,
	  javax/accessibility/AccessibleStateSet.java,
	  javax/accessibility/AccessibleTable.java,
	  javax/accessibility/AccessibleTableModelChange.java,
	  javax/accessibility/AccessibleText.java,
	  javax/accessibility/AccessibleValue.java,
	  javax/accessibility/Makefile.am, javax/accessibility/Makefile.in,
	  javax/accessibility/package.html,
	  javax/naming/AuthenticationException.java,
	  javax/naming/AuthenticationNotSupportedException.java,
	  javax/naming/BinaryRefAddr.java, javax/naming/Binding.java,
	  javax/naming/CannotProceedException.java,
	  javax/naming/CommunicationException.java,
	  javax/naming/CompositeName.java, javax/naming/CompoundName.java,
	  javax/naming/ConfigurationException.java,
	  javax/naming/Context.java,
	  javax/naming/ContextNotEmptyException.java,
	  javax/naming/InitialContext.java,
	  javax/naming/InsufficientResourcesException.java,
	  javax/naming/InterruptedNamingException.java,
	  javax/naming/InvalidNameException.java,
	  javax/naming/LimitExceededException.java,
	  javax/naming/LinkException.java,
	  javax/naming/LinkLoopException.java, javax/naming/LinkRef.java,
	  javax/naming/Makefile.am, javax/naming/Makefile.in,
	  javax/naming/MalformedLinkException.java, javax/naming/Name.java,
	  javax/naming/NameAlreadyBoundException.java,
	  javax/naming/NameClassPair.java,
	  javax/naming/NameNotFoundException.java,
	  javax/naming/NameParser.java,
	  javax/naming/NamingEnumeration.java,
	  javax/naming/NamingException.java,
	  javax/naming/NamingSecurityException.java,
	  javax/naming/NoInitialContextException.java,
	  javax/naming/NoPermissionException.java,
	  javax/naming/NotContextException.java,
	  javax/naming/OperationNotSupportedException.java,
	  javax/naming/PartialResultException.java,
	  javax/naming/RefAddr.java, javax/naming/Reference.java,
	  javax/naming/Referenceable.java,
	  javax/naming/ReferralException.java,
	  javax/naming/ServiceUnavailableException.java,
	  javax/naming/SizeLimitExceededException.java,
	  javax/naming/StringRefAddr.java,
	  javax/naming/TimeLimitExceededException.java,
	  javax/naming/package.html, javax/naming/directory/Attribute.java,
	  javax/naming/directory/AttributeInUseException.java,
	  javax/naming/directory/AttributeModificationException.java,
	  javax/naming/directory/Attributes.java,
	  javax/naming/directory/BasicAttribute.java,
	  javax/naming/directory/BasicAttributes.java,
	  javax/naming/directory/DirContext.java,
	  javax/naming/directory/InitialDirContext.java,
	  javax/naming/directory/InvalidAttributeIdentifierException.java,
	  javax/naming/directory/InvalidAttributeValueException.java,
	  javax/naming/directory/InvalidAttributesException.java,
	  javax/naming/directory/InvalidSearchControlsException.java,
	  javax/naming/directory/InvalidSearchFilterException.java,
	  javax/naming/directory/Makefile.am,
	  javax/naming/directory/Makefile.in,
	  javax/naming/directory/ModificationItem.java,
	  javax/naming/directory/NoSuchAttributeException.java,
	  javax/naming/directory/SchemaViolationException.java,
	  javax/naming/directory/SearchControls.java,
	  javax/naming/directory/SearchResult.java,
	  javax/naming/event/EventContext.java,
	  javax/naming/event/EventDirContext.java,
	  javax/naming/event/Makefile.am, javax/naming/event/Makefile.in,
	  javax/naming/event/NamespaceChangeListener.java,
	  javax/naming/event/NamingEvent.java,
	  javax/naming/event/NamingExceptionEvent.java,
	  javax/naming/event/NamingListener.java,
	  javax/naming/event/ObjectChangeListener.java,
	  javax/naming/ldap/Control.java,
	  javax/naming/ldap/ControlFactory.java,
	  javax/naming/ldap/ExtendedRequest.java,
	  javax/naming/ldap/ExtendedResponse.java,
	  javax/naming/ldap/HasControls.java,
	  javax/naming/ldap/InitialLdapContext.java,
	  javax/naming/ldap/LdapContext.java,
	  javax/naming/ldap/LdapReferralException.java,
	  javax/naming/ldap/Makefile.am, javax/naming/ldap/Makefile.in,
	  javax/naming/ldap/UnsolicitedNotification.java,
	  javax/naming/ldap/UnsolicitedNotificationEvent.java,
	  javax/naming/ldap/UnsolicitedNotificationListener.java,
	  javax/naming/spi/DirObjectFactory.java,
	  javax/naming/spi/DirStateFactory.java,
	  javax/naming/spi/DirectoryManager.java,
	  javax/naming/spi/InitialContextFactory.java,
	  javax/naming/spi/InitialContextFactoryBuilder.java,
	  javax/naming/spi/Makefile.am, javax/naming/spi/Makefile.in,
	  javax/naming/spi/NamingManager.java,
	  javax/naming/spi/ObjectFactory.java,
	  javax/naming/spi/ObjectFactoryBuilder.java,
	  javax/naming/spi/ResolveResult.java,
	  javax/naming/spi/Resolver.java,
	  javax/naming/spi/StateFactory.java, javax/print/Makefile.am,
	  javax/print/Makefile.in, javax/print/attribute/Attribute.java,
	  javax/print/attribute/AttributeSet.java,
	  javax/print/attribute/Makefile.am,
	  javax/print/attribute/Makefile.in,
	  javax/print/attribute/package.html, javax/rmi/BAD_OPERATION.java,
	  javax/rmi/Makefile.am, javax/rmi/Makefile.in, javax/rmi/ORB.java,
	  javax/rmi/PortableRemoteObject.java,
	  javax/rmi/CORBA/ClassDesc.java, javax/rmi/CORBA/Makefile.am,
	  javax/rmi/CORBA/Makefile.in, javax/rmi/CORBA/ObjectImpl.java,
	  javax/rmi/CORBA/PortableRemoteObjectDelegate.java,
	  javax/rmi/CORBA/Stub.java, javax/rmi/CORBA/StubDelegate.java,
	  javax/rmi/CORBA/SystemException.java, javax/rmi/CORBA/Tie.java,
	  javax/rmi/CORBA/Util.java, javax/rmi/CORBA/UtilDelegate.java,
	  javax/rmi/CORBA/ValueHandler.java, javax/security/Makefile.am,
	  javax/security/Makefile.in, javax/security/auth/Makefile.am,
	  javax/security/auth/Makefile.in,
	  javax/security/auth/x500/Makefile.am,
	  javax/security/auth/x500/Makefile.in,
	  javax/security/auth/x500/X500Principal.java,
	  javax/sql/ConnectionEvent.java,
	  javax/sql/ConnectionEventListener.java,
	  javax/sql/ConnectionPoolDataSource.java,
	  javax/sql/DataSource.java, javax/sql/Makefile.am,
	  javax/sql/Makefile.in, javax/sql/PooledConnection.java,
	  javax/sql/RowSet.java, javax/sql/RowSetEvent.java,
	  javax/sql/RowSetInternal.java, javax/sql/RowSetListener.java,
	  javax/sql/RowSetMetaData.java, javax/sql/RowSetReader.java,
	  javax/sql/RowSetWriter.java, javax/sql/XAConnection.java,
	  javax/sql/XADataSource.java, javax/sql/package.html,
	  javax/swing/AbstractAction.java, javax/swing/AbstractButton.java,
	  javax/swing/AbstractCellEditor.java,
	  javax/swing/AbstractListModel.java, javax/swing/AbstractSet.java,
	  javax/swing/Action.java, javax/swing/ActionMap.java,
	  javax/swing/BorderFactory.java,
	  javax/swing/BoundedRangeModel.java, javax/swing/Box.java,
	  javax/swing/BoxLayout.java, javax/swing/ButtonGroup.java,
	  javax/swing/ButtonModel.java, javax/swing/CellEditor.java,
	  javax/swing/CellRendererPane.java,
	  javax/swing/ComboBoxEditor.java, javax/swing/ComboBoxModel.java,
	  javax/swing/ComponentInputMap.java,
	  javax/swing/DebugGraphics.java,
	  javax/swing/DefaultBoundedRangeModel.java,
	  javax/swing/DefaultButtonModel.java,
	  javax/swing/DefaultCellEditor.java,
	  javax/swing/DefaultCellRenderer.java,
	  javax/swing/DefaultComboBoxModel.java,
	  javax/swing/DefaultDesktopManager.java,
	  javax/swing/DefaultFocusManager.java,
	  javax/swing/DefaultListCellRenderer.java,
	  javax/swing/DefaultListModel.java,
	  javax/swing/DefaultListSelectionModel.java,
	  javax/swing/DefaultSingleSelectionModel.java,
	  javax/swing/DesktopManager.java, javax/swing/FocusManager.java,
	  javax/swing/GrayFilter.java, javax/swing/Icon.java,
	  javax/swing/ImageIcon.java, javax/swing/InputMap.java,
	  javax/swing/InputVerifier.java, javax/swing/JApplet.java,
	  javax/swing/JButton.java, javax/swing/JCheckBox.java,
	  javax/swing/JCheckBoxMenuItem.java,
	  javax/swing/JColorChooser.java, javax/swing/JComboBox.java,
	  javax/swing/JComponent.java, javax/swing/JDesktopPane.java,
	  javax/swing/JDialog.java, javax/swing/JEditorPane.java,
	  javax/swing/JFileChooser.java,
	  javax/swing/JFormattedTextField.java, javax/swing/JFrame.java,
	  javax/swing/JInternalFrame.java, javax/swing/JLabel.java,
	  javax/swing/JLayeredPane.java, javax/swing/JList.java,
	  javax/swing/JMenu.java, javax/swing/JMenuBar.java,
	  javax/swing/JMenuItem.java, javax/swing/JOptionPane.java,
	  javax/swing/JPanel.java, javax/swing/JPasswordField.java,
	  javax/swing/JPopupMenu.java, javax/swing/JProgressBar.java,
	  javax/swing/JRadioButton.java,
	  javax/swing/JRadioButtonMenuItem.java,
	  javax/swing/JRootPane.java, javax/swing/JScrollBar.java,
	  javax/swing/JScrollPane.java, javax/swing/JSeparator.java,
	  javax/swing/JSlider.java, javax/swing/JSplitPane.java,
	  javax/swing/JTabbedPane.java, javax/swing/JTable.java,
	  javax/swing/JTextField.java, javax/swing/JTextPane.java,
	  javax/swing/JToggleButton.java, javax/swing/JToolBar.java,
	  javax/swing/JToolTip.java, javax/swing/JTree.java,
	  javax/swing/JViewport.java, javax/swing/JWindow.java,
	  javax/swing/KeyStroke.java, javax/swing/ListCellRenderer.java,
	  javax/swing/ListModel.java, javax/swing/ListSelectionModel.java,
	  javax/swing/LookAndFeel.java, javax/swing/Makefile.am,
	  javax/swing/Makefile.in, javax/swing/MenuElement.java,
	  javax/swing/MenuSelectionManager.java,
	  javax/swing/MutableComboBoxModel.java,
	  javax/swing/OverlayLayout.java, javax/swing/Popup.java,
	  javax/swing/PopupFactory.java, javax/swing/ProgressMonitor.java,
	  javax/swing/ProgressMonitorInputStream.java,
	  javax/swing/Renderer.java, javax/swing/RepaintManager.java,
	  javax/swing/RootPaneContainer.java,
	  javax/swing/ScrollPaneConstants.java,
	  javax/swing/ScrollPaneLayout.java, javax/swing/Scrollable.java,
	  javax/swing/SingleSelectionModel.java,
	  javax/swing/SizeRequirements.java, javax/swing/SizeSequence.java,
	  javax/swing/SpinnerModel.java, javax/swing/SwingConstants.java,
	  javax/swing/SwingUtilities.java, javax/swing/Timer.java,
	  javax/swing/ToggleButtonModel.java,
	  javax/swing/ToolTipManager.java, javax/swing/UIDefaults.java,
	  javax/swing/UIManager.java,
	  javax/swing/UnsupportedLookAndFeelException.java,
	  javax/swing/ViewportLayout.java,
	  javax/swing/WindowConstants.java, javax/swing/package.html,
	  javax/swing/border/AbstractBorder.java,
	  javax/swing/border/BevelBorder.java,
	  javax/swing/border/Border.java,
	  javax/swing/border/CompoundBorder.java,
	  javax/swing/border/EmptyBorder.java,
	  javax/swing/border/EtchedBorder.java,
	  javax/swing/border/LineBorder.java,
	  javax/swing/border/Makefile.am, javax/swing/border/Makefile.in,
	  javax/swing/border/MatteBorder.java,
	  javax/swing/border/SoftBevelBorder.java,
	  javax/swing/border/TitledBorder.java,
	  javax/swing/border/package.html,
	  javax/swing/colorchooser/AbstractColorChooserPanel.java,
	  javax/swing/colorchooser/ColorChooserComponentFactory.java,
	  javax/swing/colorchooser/ColorSelectionModel.java,
	  javax/swing/colorchooser/DefaultColorSelectionModel.java,
	  javax/swing/colorchooser/Makefile.am,
	  javax/swing/colorchooser/Makefile.in,
	  javax/swing/colorchooser/package.html,
	  javax/swing/event/AncestorEvent.java,
	  javax/swing/event/AncestorListener.java,
	  javax/swing/event/CaretEvent.java,
	  javax/swing/event/CaretListener.java,
	  javax/swing/event/CellEditorListener.java,
	  javax/swing/event/ChangeEvent.java,
	  javax/swing/event/ChangeListener.java,
	  javax/swing/event/DocumentEvent.java,
	  javax/swing/event/DocumentListener.java,
	  javax/swing/event/EventListenerList.java,
	  javax/swing/event/HyperlinkEvent.java,
	  javax/swing/event/HyperlinkListener.java,
	  javax/swing/event/InternalFrameAdapter.java,
	  javax/swing/event/InternalFrameEvent.java,
	  javax/swing/event/InternalFrameListener.java,
	  javax/swing/event/ListDataEvent.java,
	  javax/swing/event/ListDataListener.java,
	  javax/swing/event/ListSelectionEvent.java,
	  javax/swing/event/ListSelectionListener.java: merge from
	  gnuclasspath branch. I hope I didn't miss or revert any
	  modifications from head accidently

2003-11-21 19:23  jowenn

	* Makefile.am, acconfig.h, asmpart.h, builtin.c, builtin.h,
	  configure.in, src/vm/builtin.c, src/vm/builtin.h,
	  src/vm/jit/asmpart.h, global.h, headers.c, jni.c, jni.h,
	  loader.c, src/cacaoh/headers.c, src/native/jni.c,
	  src/native/jni.h, src/vm/global.h, src/vm/loader.c, loader.h,
	  main.c, main.h, natcalls.h, native.c, native.h,
	  src/cacao/cacao.c, src/cacao/cacao.h, src/native/natcalls.h,
	  src/native/native.c, src/native/native.h, src/vm/loader.h,
	  tables.c, tables.h, unzip.c, unzip.h, src/vm/tables.c,
	  src/vm/tables.h, src/vm/unzip.c, src/vm/unzip.h,
	  src/classpath/AUTHORS, src/classpath/BUGS, src/classpath/COPYING,
	  src/classpath/ChangeLog, src/classpath/HACKING,
	  src/classpath/INSTALL, src/classpath/LICENSE,
	  src/classpath/Makefile.am, src/classpath/Makefile.in,
	  src/classpath/NEWS, src/classpath/README, src/classpath/THANKYOU,
	  src/classpath/TODO, src/classpath/acinclude.m4,
	  src/classpath/aclocal.m4, src/classpath/config.guess,
	  src/classpath/config.sub, src/classpath/configure,
	  src/classpath/configure.in, src/classpath/depcomp,
	  src/classpath/install-sh, src/classpath/ltmain.sh,
	  src/classpath/mauve-classpath, src/classpath/missing,
	  src/classpath/mkinstalldirs, src/classpath/stamp-h.in,
	  src/classpath/doc/Makefile.am, src/classpath/doc/Makefile.in,
	  src/classpath/doc/hacking.info,
	  src/classpath/doc/hacking.texinfo, src/classpath/doc/texinfo.tex,
	  src/classpath/doc/vmintegration.info,
	  src/classpath/doc/vmintegration.texinfo,
	  src/classpath/doc/api/Makefile.am,
	  src/classpath/doc/api/Makefile.in,
	  src/classpath/doc/api/classpath-copyright.xml,
	  src/classpath/external/Makefile.am,
	  src/classpath/external/Makefile.in,
	  src/classpath/external/README, src/classpath/gnu/Makefile.am,
	  src/classpath/gnu/Makefile.in,
	  src/classpath/gnu/classpath/Configuration.java.in,
	  src/classpath/gnu/classpath/Makefile.am,
	  src/classpath/gnu/classpath/Makefile.in,
	  src/classpath/gnu/classpath/RawData.java,
	  src/classpath/gnu/java/Makefile.am,
	  src/classpath/gnu/java/Makefile.in,
	  src/classpath/gnu/java/awt/BitMaskExtent.java,
	  src/classpath/gnu/java/awt/BitwiseXORComposite.java,
	  src/classpath/gnu/java/awt/Buffers.java,
	  src/classpath/gnu/java/awt/ClasspathToolkit.java,
	  src/classpath/gnu/java/awt/ComponentDataBlitOp.java,
	  src/classpath/gnu/java/awt/EventModifier.java,
	  src/classpath/gnu/java/awt/GLightweightPeer.java,
	  src/classpath/gnu/java/awt/Makefile.am,
	  src/classpath/gnu/java/awt/Makefile.in,
	  src/classpath/gnu/java/awt/image/.cvsignore,
	  src/classpath/gnu/java/awt/image/ImageDecoder.java,
	  src/classpath/gnu/java/awt/image/Makefile.am,
	  src/classpath/gnu/java/awt/image/Makefile.in,
	  src/classpath/gnu/java/awt/image/XBMDecoder.java,
	  src/classpath/gnu/java/awt/peer/.cvsignore,
	  src/classpath/gnu/java/awt/peer/ClasspathFontPeer.java,
	  src/classpath/gnu/java/awt/peer/GLightweightPeer.java,
	  src/classpath/gnu/java/awt/peer/Makefile.am,
	  src/classpath/gnu/java/awt/peer/Makefile.in,
	  src/classpath/gnu/java/awt/peer/gtk/.cvsignore,
	  src/classpath/gnu/java/awt/peer/gtk/GdkClasspathFontPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GdkFontMetrics.java,
	  src/classpath/gnu/java/awt/peer/gtk/GdkGlyphVector.java,
	  src/classpath/gnu/java/awt/peer/gtk/GdkGraphics.java,
	  src/classpath/gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	  src/classpath/gnu/java/awt/peer/gtk/GdkPixbufDecoder.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkArg.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkArgList.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkCanvasPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkCheckboxGroupPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkCheckboxMenuItemPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkCheckboxPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkChoicePeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkClipboard.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkContainerPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkDialogPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkFontPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkFramePeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkGenericPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkImage.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkImagePainter.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkLabelPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkListPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkMainThread.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkMenuBarPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkMenuComponentPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkMenuItemPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkMenuPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkOffScreenImage.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkPanelPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkPopupMenuPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkScrollPanePeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkScrollbarPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkTextAreaPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkTextComponentPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkTextFieldPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkToolkit.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkWindowPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/Makefile.am,
	  src/classpath/gnu/java/awt/peer/gtk/Makefile.in,
	  src/classpath/gnu/java/awt/peer/gtk/Test.java,
	  src/classpath/gnu/java/awt/peer/gtk/TestAWT.java,
	  src/classpath/gnu/java/beans/BeanInfoEmbryo.java,
	  src/classpath/gnu/java/beans/EmptyBeanInfo.java,
	  src/classpath/gnu/java/beans/ExplicitBeanInfo.java,
	  src/classpath/gnu/java/beans/IntrospectionIncubator.java,
	  src/classpath/gnu/java/beans/Makefile.am,
	  src/classpath/gnu/java/beans/Makefile.in,
	  src/classpath/gnu/java/beans/TODO,
	  src/classpath/gnu/java/beans/editors/ColorEditor.java,
	  src/classpath/gnu/java/beans/editors/FontEditor.java,
	  src/classpath/gnu/java/beans/editors/Makefile.am,
	  src/classpath/gnu/java/beans/editors/Makefile.in,
	  src/classpath/gnu/java/beans/editors/NativeBooleanEditor.java,
	  src/classpath/gnu/java/beans/editors/NativeByteEditor.java,
	  src/classpath/gnu/java/beans/editors/NativeDoubleEditor.java,
	  src/classpath/gnu/java/beans/editors/NativeFloatEditor.java,
	  src/classpath/gnu/java/beans/editors/NativeIntEditor.java,
	  src/classpath/gnu/java/beans/editors/NativeLongEditor.java,
	  src/classpath/gnu/java/beans/editors/NativeShortEditor.java,
	  src/classpath/gnu/java/beans/editors/StringEditor.java,
	  src/classpath/gnu/java/beans/editors/TODO,
	  src/classpath/gnu/java/io/ASN1ParsingException.java,
	  src/classpath/gnu/java/io/Base64InputStream.java,
	  src/classpath/gnu/java/io/ClassLoaderObjectInputStream.java,
	  src/classpath/gnu/java/io/EncodingManager.java,
	  src/classpath/gnu/java/io/Makefile.am,
	  src/classpath/gnu/java/io/Makefile.in,
	  src/classpath/gnu/java/io/NullOutputStream.java,
	  src/classpath/gnu/java/io/ObjectIdentityWrapper.java,
	  src/classpath/gnu/java/io/PlatformHelper.java,
	  src/classpath/gnu/java/io/decode/Decoder.java,
	  src/classpath/gnu/java/io/decode/Decoder8859_1.java,
	  src/classpath/gnu/java/io/decode/Decoder8859_2.java,
	  src/classpath/gnu/java/io/decode/Decoder8859_3.java,
	  src/classpath/gnu/java/io/decode/Decoder8859_4.java,
	  src/classpath/gnu/java/io/decode/Decoder8859_5.java,
	  src/classpath/gnu/java/io/decode/DecoderEightBitLookup.java,
	  src/classpath/gnu/java/io/decode/DecoderUTF8.java,
	  src/classpath/gnu/java/io/decode/Makefile.am,
	  src/classpath/gnu/java/io/decode/Makefile.in,
	  src/classpath/gnu/java/io/encode/Encoder.java,
	  src/classpath/gnu/java/io/encode/Encoder8859_1.java,
	  src/classpath/gnu/java/io/encode/Encoder8859_2.java,
	  src/classpath/gnu/java/io/encode/Encoder8859_3.java,
	  src/classpath/gnu/java/io/encode/Encoder8859_4.java,
	  src/classpath/gnu/java/io/encode/Encoder8859_5.java,
	  src/classpath/gnu/java/io/encode/EncoderEightBitLookup.java,
	  src/classpath/gnu/java/io/encode/EncoderUTF8.java,
	  src/classpath/gnu/java/io/encode/Makefile.am,
	  src/classpath/gnu/java/io/encode/Makefile.in,
	  src/classpath/gnu/java/lang/ArrayHelper.java,
	  src/classpath/gnu/java/lang/CharData.java,
	  src/classpath/gnu/java/lang/ClassHelper.java,
	  src/classpath/gnu/java/lang/ClassLoaderHelper.java,
	  src/classpath/gnu/java/lang/MainThread.java,
	  src/classpath/gnu/java/lang/Makefile.am,
	  src/classpath/gnu/java/lang/Makefile.in,
	  src/classpath/gnu/java/lang/SystemClassLoader.java,
	  src/classpath/gnu/java/lang/reflect/Makefile.am,
	  src/classpath/gnu/java/lang/reflect/Makefile.in,
	  src/classpath/gnu/java/lang/reflect/TypeSignature.java,
	  src/classpath/gnu/java/locale/Calendar.java,
	  src/classpath/gnu/java/locale/Calendar_de.java,
	  src/classpath/gnu/java/locale/Calendar_en.java,
	  src/classpath/gnu/java/locale/Calendar_nl.java,
	  src/classpath/gnu/java/locale/LocaleInformation.java,
	  src/classpath/gnu/java/locale/LocaleInformation_af_ZA.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ar_AE.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ar_BH.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ar_DZ.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ar_EG.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ar_IN.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ar_IQ.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ar_JO.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ar_KW.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ar_LB.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ar_LY.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ar_MA.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ar_OM.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ar_QA.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ar_SD.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ar_SY.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ar_TN.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ar_YE.java,
	  src/classpath/gnu/java/locale/LocaleInformation_be_BY.java,
	  src/classpath/gnu/java/locale/LocaleInformation_bn_IN.java,
	  src/classpath/gnu/java/locale/LocaleInformation_br_FR.java,
	  src/classpath/gnu/java/locale/LocaleInformation_bs_BA.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ca_ES.java,
	  src/classpath/gnu/java/locale/LocaleInformation_cs_CZ.java,
	  src/classpath/gnu/java/locale/LocaleInformation_cy_GB.java,
	  src/classpath/gnu/java/locale/LocaleInformation_da_DK.java,
	  src/classpath/gnu/java/locale/LocaleInformation_de.java,
	  src/classpath/gnu/java/locale/LocaleInformation_de_AT.java,
	  src/classpath/gnu/java/locale/LocaleInformation_de_BE.java,
	  src/classpath/gnu/java/locale/LocaleInformation_de_CH.java,
	  src/classpath/gnu/java/locale/LocaleInformation_de_DE.java,
	  src/classpath/gnu/java/locale/LocaleInformation_de_LU.java,
	  src/classpath/gnu/java/locale/LocaleInformation_el_GR.java,
	  src/classpath/gnu/java/locale/LocaleInformation_en.java,
	  src/classpath/gnu/java/locale/LocaleInformation_en_AU.java,
	  src/classpath/gnu/java/locale/LocaleInformation_en_BW.java,
	  src/classpath/gnu/java/locale/LocaleInformation_en_CA.java,
	  src/classpath/gnu/java/locale/LocaleInformation_en_DK.java,
	  src/classpath/gnu/java/locale/LocaleInformation_en_GB.java,
	  src/classpath/gnu/java/locale/LocaleInformation_en_HK.java,
	  src/classpath/gnu/java/locale/LocaleInformation_en_IE.java,
	  src/classpath/gnu/java/locale/LocaleInformation_en_IN.java,
	  src/classpath/gnu/java/locale/LocaleInformation_en_NZ.java,
	  src/classpath/gnu/java/locale/LocaleInformation_en_PH.java,
	  src/classpath/gnu/java/locale/LocaleInformation_en_SG.java,
	  src/classpath/gnu/java/locale/LocaleInformation_en_US.java,
	  src/classpath/gnu/java/locale/LocaleInformation_en_ZA.java,
	  src/classpath/gnu/java/locale/LocaleInformation_en_ZW.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_AR.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_BO.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_CL.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_CO.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_CR.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_DO.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_EC.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_ES.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_GT.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_HN.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_MX.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_NI.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_PA.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_PE.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_PR.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_PY.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_SV.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_US.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_UY.java,
	  src/classpath/gnu/java/locale/LocaleInformation_es_VE.java,
	  src/classpath/gnu/java/locale/LocaleInformation_et_EE.java,
	  src/classpath/gnu/java/locale/LocaleInformation_eu_ES.java,
	  src/classpath/gnu/java/locale/LocaleInformation_fa_IR.java,
	  src/classpath/gnu/java/locale/LocaleInformation_fi_FI.java,
	  src/classpath/gnu/java/locale/LocaleInformation_fo_FO.java,
	  src/classpath/gnu/java/locale/LocaleInformation_fr_BE.java,
	  src/classpath/gnu/java/locale/LocaleInformation_fr_CA.java,
	  src/classpath/gnu/java/locale/LocaleInformation_fr_CH.java,
	  src/classpath/gnu/java/locale/LocaleInformation_fr_FR.java,
	  src/classpath/gnu/java/locale/LocaleInformation_fr_LU.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ga_IE.java,
	  src/classpath/gnu/java/locale/LocaleInformation_gd_GB.java,
	  src/classpath/gnu/java/locale/LocaleInformation_gl_ES.java,
	  src/classpath/gnu/java/locale/LocaleInformation_gv_GB.java,
	  src/classpath/gnu/java/locale/LocaleInformation_he_IL.java,
	  src/classpath/gnu/java/locale/LocaleInformation_hi_IN.java,
	  src/classpath/gnu/java/locale/LocaleInformation_hr_HR.java,
	  src/classpath/gnu/java/locale/LocaleInformation_hu_HU.java,
	  src/classpath/gnu/java/locale/LocaleInformation_id_ID.java,
	  src/classpath/gnu/java/locale/LocaleInformation_it_CH.java,
	  src/classpath/gnu/java/locale/LocaleInformation_it_IT.java,
	  src/classpath/gnu/java/locale/LocaleInformation_iw_IL.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ja_JP.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ka_GE.java,
	  src/classpath/gnu/java/locale/LocaleInformation_kl_GL.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ko_KR.java,
	  src/classpath/gnu/java/locale/LocaleInformation_kw_GB.java,
	  src/classpath/gnu/java/locale/LocaleInformation_lt_LT.java,
	  src/classpath/gnu/java/locale/LocaleInformation_lv_LV.java,
	  src/classpath/gnu/java/locale/LocaleInformation_mi_NZ.java,
	  src/classpath/gnu/java/locale/LocaleInformation_mk_MK.java,
	  src/classpath/gnu/java/locale/LocaleInformation_mr_IN.java,
	  src/classpath/gnu/java/locale/LocaleInformation_mt_MT.java,
	  src/classpath/gnu/java/locale/LocaleInformation_nl.java,
	  src/classpath/gnu/java/locale/LocaleInformation_nl_BE.java,
	  src/classpath/gnu/java/locale/LocaleInformation_nl_NL.java,
	  src/classpath/gnu/java/locale/LocaleInformation_nn_NO.java,
	  src/classpath/gnu/java/locale/LocaleInformation_no_NO.java,
	  src/classpath/gnu/java/locale/LocaleInformation_oc_FR.java,
	  src/classpath/gnu/java/locale/LocaleInformation_pl_PL.java,
	  src/classpath/gnu/java/locale/LocaleInformation_pt_BR.java,
	  src/classpath/gnu/java/locale/LocaleInformation_pt_PT.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ro_RO.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ru_RU.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ru_UA.java,
	  src/classpath/gnu/java/locale/LocaleInformation_se_NO.java,
	  src/classpath/gnu/java/locale/LocaleInformation_sk_SK.java,
	  src/classpath/gnu/java/locale/LocaleInformation_sl_SI.java,
	  src/classpath/gnu/java/locale/LocaleInformation_sq_AL.java,
	  src/classpath/gnu/java/locale/LocaleInformation_sr_YU.java,
	  src/classpath/gnu/java/locale/LocaleInformation_sv_FI.java,
	  src/classpath/gnu/java/locale/LocaleInformation_sv_SE.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ta_IN.java,
	  src/classpath/gnu/java/locale/LocaleInformation_te_IN.java,
	  src/classpath/gnu/java/locale/LocaleInformation_tg_TJ.java,
	  src/classpath/gnu/java/locale/LocaleInformation_tl_PH.java,
	  src/classpath/gnu/java/locale/LocaleInformation_tr_TR.java,
	  src/classpath/gnu/java/locale/LocaleInformation_uk_UA.java,
	  src/classpath/gnu/java/locale/LocaleInformation_ur_PK.java,
	  src/classpath/gnu/java/locale/LocaleInformation_uz_UZ.java,
	  src/classpath/gnu/java/locale/LocaleInformation_vi_VN.java,
	  src/classpath/gnu/java/locale/LocaleInformation_yi_US.java,
	  src/classpath/gnu/java/locale/LocaleInformation_zh_CN.java,
	  src/classpath/gnu/java/locale/LocaleInformation_zh_HK.java,
	  src/classpath/gnu/java/locale/LocaleInformation_zh_SG.java,
	  src/classpath/gnu/java/locale/LocaleInformation_zh_TW.java,
	  src/classpath/gnu/java/locale/Makefile.am,
	  src/classpath/gnu/java/locale/Makefile.in,
	  src/classpath/gnu/java/locale/iso3166-a3.properties,
	  src/classpath/gnu/java/locale/iso3166.properties,
	  src/classpath/gnu/java/locale/iso3166_de.properties,
	  src/classpath/gnu/java/locale/iso639-a2-old.properties,
	  src/classpath/gnu/java/locale/iso639-a3.properties,
	  src/classpath/gnu/java/locale/iso639.properties,
	  src/classpath/gnu/java/locale/iso639_de.properties,
	  src/classpath/gnu/java/locale/iso639_fr.properties,
	  src/classpath/gnu/java/locale/iso639_ga.properties,
	  src/classpath/gnu/java/math/MPN.java,
	  src/classpath/gnu/java/math/Makefile.am,
	  src/classpath/gnu/java/math/Makefile.in,
	  src/classpath/gnu/java/net/HeaderFieldHelper.java,
	  src/classpath/gnu/java/net/Makefile.am,
	  src/classpath/gnu/java/net/Makefile.in,
	  src/classpath/gnu/java/net/protocol/Makefile.am,
	  src/classpath/gnu/java/net/protocol/Makefile.in,
	  src/classpath/gnu/java/net/protocol/file/FileURLConnection.java,
	  src/classpath/gnu/java/net/protocol/file/Handler.java,
	  src/classpath/gnu/java/net/protocol/file/Makefile.am,
	  src/classpath/gnu/java/net/protocol/file/Makefile.in,
	  src/classpath/gnu/java/net/protocol/http/Handler.java,
	  src/classpath/gnu/java/net/protocol/http/HttpURLConnection.java,
	  src/classpath/gnu/java/net/protocol/http/Makefile.am,
	  src/classpath/gnu/java/net/protocol/http/Makefile.in,
	  src/classpath/gnu/java/net/protocol/http/TODO,
	  src/classpath/gnu/java/net/protocol/jar/Handler.java,
	  src/classpath/gnu/java/net/protocol/jar/JarURLConnection.java,
	  src/classpath/gnu/java/net/protocol/jar/Makefile.am,
	  src/classpath/gnu/java/net/protocol/jar/Makefile.in,
	  src/classpath/gnu/java/nio/DatagramChannelImpl.java,
	  src/classpath/gnu/java/nio/FileLockImpl.java,
	  src/classpath/gnu/java/nio/Makefile.am,
	  src/classpath/gnu/java/nio/Makefile.in,
	  src/classpath/gnu/java/nio/PipeImpl.java,
	  src/classpath/gnu/java/nio/SelectionKeyImpl.java,
	  src/classpath/gnu/java/nio/SelectorImpl.java,
	  src/classpath/gnu/java/nio/SelectorProviderImpl.java,
	  src/classpath/gnu/java/nio/ServerSocketChannelImpl.java,
	  src/classpath/gnu/java/nio/SocketChannelImpl.java,
	  src/classpath/gnu/java/nio/charset/ISO_8859_1.java,
	  src/classpath/gnu/java/nio/charset/Makefile.am,
	  src/classpath/gnu/java/nio/charset/Makefile.in,
	  src/classpath/gnu/java/nio/charset/Provider.java,
	  src/classpath/gnu/java/nio/charset/US_ASCII.java,
	  src/classpath/gnu/java/nio/charset/UTF_16.java,
	  src/classpath/gnu/java/nio/charset/UTF_16BE.java,
	  src/classpath/gnu/java/nio/charset/UTF_16Decoder.java,
	  src/classpath/gnu/java/nio/charset/UTF_16Encoder.java,
	  src/classpath/gnu/java/nio/charset/UTF_16LE.java,
	  src/classpath/gnu/java/nio/charset/UTF_8.java,
	  src/classpath/gnu/java/rmi/Makefile.am,
	  src/classpath/gnu/java/rmi/Makefile.in,
	  src/classpath/gnu/java/rmi/RMIMarshalledObjectInputStream.java,
	  src/classpath/gnu/java/rmi/RMIMarshalledObjectOutputStream.java,
	  src/classpath/gnu/java/rmi/dgc/DGCImpl.java,
	  src/classpath/gnu/java/rmi/dgc/DGCImpl_Skel.java,
	  src/classpath/gnu/java/rmi/dgc/DGCImpl_Stub.java,
	  src/classpath/gnu/java/rmi/dgc/Makefile.am,
	  src/classpath/gnu/java/rmi/dgc/Makefile.in,
	  src/classpath/gnu/java/rmi/registry/Makefile.am,
	  src/classpath/gnu/java/rmi/registry/Makefile.in,
	  src/classpath/gnu/java/rmi/registry/RegistryImpl.java,
	  src/classpath/gnu/java/rmi/registry/RegistryImpl_Skel.java,
	  src/classpath/gnu/java/rmi/registry/RegistryImpl_Stub.java,
	  src/classpath/gnu/java/rmi/server/ConnectionRunnerPool.java,
	  src/classpath/gnu/java/rmi/server/Makefile.am,
	  src/classpath/gnu/java/rmi/server/Makefile.in,
	  src/classpath/gnu/java/rmi/server/ProtocolConstants.java,
	  src/classpath/gnu/java/rmi/server/RMIDefaultSocketFactory.java,
	  src/classpath/gnu/java/rmi/server/RMIHashes.java,
	  src/classpath/gnu/java/rmi/server/RMIObjectInputStream.java,
	  src/classpath/gnu/java/rmi/server/RMIObjectOutputStream.java,
	  src/classpath/gnu/java/rmi/server/UnicastConnection.java,
	  src/classpath/gnu/java/rmi/server/UnicastConnectionManager.java,
	  src/classpath/gnu/java/rmi/server/UnicastRef.java,
	  src/classpath/gnu/java/rmi/server/UnicastRemoteCall.java,
	  src/classpath/gnu/java/rmi/server/UnicastRemoteStub.java,
	  src/classpath/gnu/java/rmi/server/UnicastServer.java,
	  src/classpath/gnu/java/rmi/server/UnicastServerRef.java,
	  src/classpath/gnu/java/security/Engine.java,
	  src/classpath/gnu/java/security/Makefile.am,
	  src/classpath/gnu/java/security/Makefile.in,
	  src/classpath/gnu/java/security/OID.java,
	  src/classpath/gnu/java/security/der/BitString.java,
	  src/classpath/gnu/java/security/der/DER.java,
	  src/classpath/gnu/java/security/der/DEREncodingException.java,
	  src/classpath/gnu/java/security/der/DERReader.java,
	  src/classpath/gnu/java/security/der/DERValue.java,
	  src/classpath/gnu/java/security/der/DERWriter.java,
	  src/classpath/gnu/java/security/der/Makefile.am,
	  src/classpath/gnu/java/security/der/Makefile.in,
	  src/classpath/gnu/java/security/provider/DSAKeyFactory.java,
	  src/classpath/gnu/java/security/provider/DSAKeyPairGenerator.java,
	  src/classpath/gnu/java/security/provider/DSAParameterGenerator.java,
	  src/classpath/gnu/java/security/provider/DSAParameters.java,
	  src/classpath/gnu/java/security/provider/DSASignature.java,
	  src/classpath/gnu/java/security/provider/DefaultPolicy.java,
	  src/classpath/gnu/java/security/provider/Gnu.java,
	  src/classpath/gnu/java/security/provider/GnuDSAPrivateKey.java,
	  src/classpath/gnu/java/security/provider/GnuDSAPublicKey.java,
	  src/classpath/gnu/java/security/provider/MD5.java,
	  src/classpath/gnu/java/security/provider/Makefile.am,
	  src/classpath/gnu/java/security/provider/Makefile.in,
	  src/classpath/gnu/java/security/provider/SHA.java,
	  src/classpath/gnu/java/security/provider/SHA1PRNG.java,
	  src/classpath/gnu/java/security/provider/X509CertificateFactory.java,
	  src/classpath/gnu/java/security/util/Makefile.am,
	  src/classpath/gnu/java/security/util/Makefile.in,
	  src/classpath/gnu/java/security/util/Prime.java,
	  src/classpath/gnu/java/security/x509/Makefile.am,
	  src/classpath/gnu/java/security/x509/Makefile.in,
	  src/classpath/gnu/java/security/x509/X500DistinguishedName.java,
	  src/classpath/gnu/java/security/x509/X509CRL.java,
	  src/classpath/gnu/java/security/x509/X509CRLEntry.java,
	  src/classpath/gnu/java/security/x509/X509Certificate.java,
	  src/classpath/gnu/java/text/BaseBreakIterator.java,
	  src/classpath/gnu/java/text/CharacterBreakIterator.java,
	  src/classpath/gnu/java/text/LineBreakIterator.java,
	  src/classpath/gnu/java/text/Makefile.am,
	  src/classpath/gnu/java/text/Makefile.in,
	  src/classpath/gnu/java/text/SentenceBreakIterator.java,
	  src/classpath/gnu/java/text/WordBreakIterator.java,
	  src/classpath/gnu/java/util/DoubleEnumeration.java,
	  src/classpath/gnu/java/util/EmptyEnumeration.java,
	  src/classpath/gnu/java/util/Makefile.am,
	  src/classpath/gnu/java/util/Makefile.in,
	  src/classpath/gnu/java/util/prefs/FileBasedFactory.java,
	  src/classpath/gnu/java/util/prefs/Makefile.am,
	  src/classpath/gnu/java/util/prefs/Makefile.in,
	  src/classpath/gnu/java/util/prefs/MemoryBasedFactory.java,
	  src/classpath/gnu/java/util/prefs/MemoryBasedPreferences.java,
	  src/classpath/gnu/java/util/prefs/NodeReader.java,
	  src/classpath/gnu/java/util/prefs/NodeWriter.java,
	  src/classpath/gnu/javax/Makefile.am,
	  src/classpath/gnu/javax/Makefile.in,
	  src/classpath/gnu/javax/rmi/Makefile.am,
	  src/classpath/gnu/javax/rmi/Makefile.in,
	  src/classpath/gnu/javax/rmi/PortableServer.java,
	  src/classpath/gnu/javax/rmi/CORBA/DelegateFactory.java,
	  src/classpath/gnu/javax/rmi/CORBA/GetDelegateInstanceException.java,
	  src/classpath/gnu/javax/rmi/CORBA/Makefile.am,
	  src/classpath/gnu/javax/rmi/CORBA/Makefile.in,
	  src/classpath/gnu/javax/rmi/CORBA/PortableRemoteObjectDelegateImpl.java,
	  src/classpath/gnu/javax/rmi/CORBA/StubDelegateImpl.java,
	  src/classpath/gnu/javax/rmi/CORBA/UtilDelegateImpl.java,
	  src/classpath/gnu/javax/rmi/CORBA/ValueHandlerImpl.java,
	  src/classpath/include/Makefile.am,
	  src/classpath/include/Makefile.in,
	  src/classpath/include/config.h.in,
	  src/classpath/include/gnu_java_awt_image_GdkPixbufDecoder.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GdkFontMetrics.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GdkGraphics.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GdkPixbufDecoder.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkButtonPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkCanvasPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkCheckboxGroupPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkCheckboxMenuItemPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkCheckboxPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkChoicePeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkClipboard.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkComponentPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkFileDialogPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkFramePeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkGenericPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkImagePainter.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkLabelPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkListPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkMainThread.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkMenuBarPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkMenuItemPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkMenuPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkPanelPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkScrollPanePeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkScrollbarPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkTextAreaPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkTextComponentPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkTextFieldPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkToolkit.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkWindowPeer.h,
	  src/classpath/include/gnu_java_nio_ByteBufferImpl.h,
	  src/classpath/include/gnu_java_nio_CharBufferImpl.h,
	  src/classpath/include/gnu_java_nio_DoubleBufferImpl.h,
	  src/classpath/include/gnu_java_nio_FileChannelImpl.h,
	  src/classpath/include/gnu_java_nio_FileLockImpl.h,
	  src/classpath/include/gnu_java_nio_FloatBufferImpl.h,
	  src/classpath/include/gnu_java_nio_IntBufferImpl.h,
	  src/classpath/include/gnu_java_nio_LongBufferImpl.h,
	  src/classpath/include/gnu_java_nio_MappedByteFileBuffer.h,
	  src/classpath/include/gnu_java_nio_ShortBufferImpl.h,
	  src/classpath/include/java_io_File.h,
	  src/classpath/include/java_io_FileDescriptor.h,
	  src/classpath/include/java_io_ObjectInputStream.h,
	  src/classpath/include/java_lang_Double.h,
	  src/classpath/include/java_lang_Math.h,
	  src/classpath/include/java_lang_Object.h,
	  src/classpath/include/java_lang_Runtime.h,
	  src/classpath/include/java_lang_Thread.h,
	  src/classpath/include/java_lang_VMClass.h,
	  src/classpath/include/java_lang_VMDouble.h,
	  src/classpath/include/java_lang_VMFloat.h,
	  src/classpath/include/java_lang_VMSystem.h,
	  src/classpath/include/java_lang_reflect_Array.h,
	  src/classpath/include/java_lang_reflect_Constructor.h,
	  src/classpath/include/java_lang_reflect_Field.h,
	  src/classpath/include/java_lang_reflect_Method.h,
	  src/classpath/include/java_lang_reflect_Proxy.h,
	  src/classpath/include/java_net_InetAddress.h,
	  src/classpath/include/java_net_NetworkInterface.h,
	  src/classpath/include/java_net_PlainDatagramSocketImpl.h,
	  src/classpath/include/java_net_PlainSocketImpl.h,
	  src/classpath/include/java_nio_DirectByteBufferImpl.h,
	  src/classpath/include/java_nio_channels_FileChannelImpl.h,
	  src/classpath/include/java_util_TimeZone.h,
	  src/classpath/include/jni.h.in,
	  src/classpath/include/jni_md-x86-linux-gnu.h,
	  src/classpath/java/Makefile.am, src/classpath/java/Makefile.in,
	  src/classpath/java/applet/Applet.java,
	  src/classpath/java/applet/AppletContext.java,
	  src/classpath/java/applet/AppletStub.java,
	  src/classpath/java/applet/AudioClip.java,
	  src/classpath/java/applet/Makefile.am,
	  src/classpath/java/applet/Makefile.in,
	  src/classpath/java/applet/package.html,
	  src/classpath/java/awt/AWTError.java,
	  src/classpath/java/awt/AWTEvent.java,
	  src/classpath/java/awt/AWTEventMulticaster.java,
	  src/classpath/java/awt/AWTException.java,
	  src/classpath/java/awt/AWTKeyStroke.java,
	  src/classpath/java/awt/AWTPermission.java,
	  src/classpath/java/awt/ActiveEvent.java,
	  src/classpath/java/awt/Adjustable.java,
	  src/classpath/java/awt/AlphaComposite.java,
	  src/classpath/java/awt/AttributeValue.java,
	  src/classpath/java/awt/BasicStroke.java,
	  src/classpath/java/awt/BorderLayout.java,
	  src/classpath/java/awt/BufferCapabilities.java,
	  src/classpath/java/awt/Button.java,
	  src/classpath/java/awt/Canvas.java,
	  src/classpath/java/awt/CardLayout.java,
	  src/classpath/java/awt/Checkbox.java,
	  src/classpath/java/awt/CheckboxGroup.java,
	  src/classpath/java/awt/CheckboxMenuItem.java,
	  src/classpath/java/awt/Choice.java,
	  src/classpath/java/awt/Color.java,
	  src/classpath/java/awt/ColorPaintContext.java,
	  src/classpath/java/awt/Component.java,
	  src/classpath/java/awt/ComponentOrientation.java,
	  src/classpath/java/awt/Composite.java,
	  src/classpath/java/awt/CompositeContext.java,
	  src/classpath/java/awt/Container.java,
	  src/classpath/java/awt/ContainerOrderFocusTraversalPolicy.java,
	  src/classpath/java/awt/Cursor.java,
	  src/classpath/java/awt/DefaultFocusTraversalPolicy.java,
	  src/classpath/java/awt/DefaultKeyboardFocusManager.java,
	  src/classpath/java/awt/Dialog.java,
	  src/classpath/java/awt/Dimension.java,
	  src/classpath/java/awt/DisplayMode.java,
	  src/classpath/java/awt/Event.java,
	  src/classpath/java/awt/EventDispatchThread.java,
	  src/classpath/java/awt/EventQueue.java,
	  src/classpath/java/awt/FileDialog.java,
	  src/classpath/java/awt/FlowLayout.java,
	  src/classpath/java/awt/FocusTraversalPolicy.java,
	  src/classpath/java/awt/Font.java,
	  src/classpath/java/awt/FontFormatException.java,
	  src/classpath/java/awt/FontMetrics.java,
	  src/classpath/java/awt/Frame.java,
	  src/classpath/java/awt/GradientPaint.java,
	  src/classpath/java/awt/Graphics.java,
	  src/classpath/java/awt/Graphics2D.java,
	  src/classpath/java/awt/GraphicsConfigTemplate.java,
	  src/classpath/java/awt/GraphicsConfiguration.java,
	  src/classpath/java/awt/GraphicsDevice.java,
	  src/classpath/java/awt/GraphicsEnvironment.java,
	  src/classpath/java/awt/GridBagConstraints.java,
	  src/classpath/java/awt/GridBagLayout.java,
	  src/classpath/java/awt/GridBagLayoutInfo.java,
	  src/classpath/java/awt/GridLayout.java,
	  src/classpath/java/awt/HeadlessException.java,
	  src/classpath/java/awt/IllegalComponentStateException.java,
	  src/classpath/java/awt/Image.java,
	  src/classpath/java/awt/ImageCapabilities.java,
	  src/classpath/java/awt/Insets.java,
	  src/classpath/java/awt/ItemSelectable.java,
	  src/classpath/java/awt/JobAttributes.java,
	  src/classpath/java/awt/KeyEventDispatcher.java,
	  src/classpath/java/awt/KeyEventPostProcessor.java,
	  src/classpath/java/awt/KeyboardFocusManager.java,
	  src/classpath/java/awt/Label.java,
	  src/classpath/java/awt/LayoutManager.java,
	  src/classpath/java/awt/LayoutManager2.java,
	  src/classpath/java/awt/List.java,
	  src/classpath/java/awt/Makefile.am,
	  src/classpath/java/awt/Makefile.in,
	  src/classpath/java/awt/MediaTracker.java: merge from gnuclasspath
	  branch. I hope I didn't miss or revert any modifications from
	  head accidently

2003-11-21 19:07  jowenn

	* src/native/vm/: Constructor.c, Field.c, Method.c, VMRuntime.c,
	  VMThread.c: will be replaced by modified versions

2003-11-21 19:05  jowenn

	* Makefile.am, acconfig.h, asmpart.h, builtin.c, src/vm/builtin.c,
	  src/vm/jit/asmpart.h, builtin.h, configure.in, global.h,
	  headers.c, src/cacaoh/headers.c, src/vm/builtin.h,
	  src/vm/global.h, jit.c, jit.h, jni.c, src/native/jni.c, jni.h,
	  src/native/jni.h, loader.c, src/vm/loader.c, loader.h, main.c,
	  src/cacao/cacao.c, src/vm/loader.h, main.h, natcalls.h, native.c,
	  native.h, nativecalls.h, tables.c, src/cacao/cacao.h,
	  src/native/natcalls.h, src/native/native.c, src/native/native.h,
	  src/native/nativecalls.inc, src/vm/tables.c, tables.h,
	  src/vm/tables.h,
	  src/classpath/gnu/java/lang/SystemClassLoader.java,
	  src/classpath/java/lang/JOWENNTest1.java, src/vm/jit/Makefile.am,
	  src/vm/jit/codegen.inc, src/vm/jit/jit.c, src/vm/jit/jit.h,
	  src/vm/jit/inline/inline.c, src/vm/jit/inline/inline.h,
	  src/vm/jit/parse.c, src/vm/jit/parse.h,
	  src/vm/jit/inline/parseRT.c, src/vm/jit/inline/parseRT.h,
	  src/vm/jit/inline/parseRTflags.h,
	  src/vm/jit/inline/parseRTprint.h, src/vm/jit/reg.h,
	  src/vm/jit/reg.inc, src/vm/jit/inline/parseRTstats.c,
	  src/vm/jit/inline/parseRTstats.h, src/vm/jit/inline/sets.c,
	  src/vm/jit/stack.c, src/vm/jit/inline/sets.h, src/vm/jit/stack.h,
	  src/vm/jit/alpha/Makefile.am, src/vm/jit/alpha/asmpart.S,
	  src/vm/jit/alpha/codegen.c, src/vm/jit/alpha/codegen.h,
	  src/vm/jit/alpha/disass.c, src/vm/jit/alpha/disass.h,
	  src/vm/jit/alpha/types.h, src/vm/jit/i386/Makefile.am,
	  src/vm/jit/i386/ansidecl.h, src/vm/jit/i386/asmpart.S,
	  src/vm/jit/i386/bfd.h, src/vm/jit/i386/codegen.c,
	  src/vm/jit/i386/codegen.h, src/vm/jit/i386/dis-asm.h,
	  src/vm/jit/i386/dis-buf.c, src/vm/jit/i386/disass.c,
	  src/vm/jit/i386/disass.h, src/vm/jit/i386/i386-dis.c,
	  src/vm/jit/i386/types.h, src/vm/jit/loop/Makefile.am,
	  src/vm/jit/loop/analyze.c, src/vm/jit/loop/analyze.h,
	  src/vm/jit/loop/graph.c, src/vm/jit/loop/graph.h,
	  src/vm/jit/loop/loop.c, src/vm/jit/loop/loop.h,
	  src/vm/jit/loop/tracing.c, src/vm/jit/loop/tracing.h,
	  src/vm/jit/mips/Makefile.am, src/vm/jit/mips/asmpart.S,
	  src/vm/jit/mips/codegen.c, src/vm/jit/mips/codegen.h,
	  src/vm/jit/mips/disass.c, src/vm/jit/mips/disass.h,
	  src/vm/jit/mips/types.h, src/vm/jit/powerpc/Makefile.am,
	  src/vm/jit/powerpc/asmpart.S, src/vm/jit/powerpc/codegen.c,
	  src/vm/jit/powerpc/codegen.h, src/vm/jit/powerpc/dis-asm.h,
	  src/vm/jit/powerpc/disass.c, src/vm/jit/powerpc/disass.h,
	  src/vm/jit/powerpc/ppc-dis.c, src/vm/jit/powerpc/ppc-opc.c,
	  src/vm/jit/powerpc/ppc.h, src/vm/jit/powerpc/types.h,
	  src/vm/jit/x86_64/Makefile.am, src/vm/jit/x86_64/ansidecl.h,
	  src/vm/jit/x86_64/asmpart.S, src/vm/jit/x86_64/bfd.h,
	  src/vm/jit/x86_64/codegen.c, src/vm/jit/x86_64/codegen.h,
	  src/vm/jit/x86_64/dis-asm.h, src/vm/jit/x86_64/dis-buf.c,
	  src/vm/jit/x86_64/disass.c, src/vm/jit/x86_64/disass.h,
	  src/vm/jit/x86_64/i386-dis.c, src/vm/jit/x86_64/types.h,
	  src/mm/Makefile.am, src/mm/boehm.c, src/mm/boehm.h,
	  src/native/vm/VMRuntime.c, src/mm/memory.c,
	  src/threads/green/Makefile.am, src/threads/green/threadio.c,
	  src/threads/green/threads.c, src/threads/green/threads.h,
	  src/toolbox/Makefile.am, src/toolbox/chain.h, src/mm/memory.h,
	  tests/Makefile.am, tests/fp.java, tests/fp.output,
	  tests/jctest.java, tests/jctest.output: modifications merged from
	  HEAD (hopefully all).

2003-11-20 23:49  jowenn

	* unzip.c, src/vm/unzip.c, unzip.h, src/vm/unzip.h: missing files

2003-11-20 16:18  carolyn

	* main.c, src/cacao/cacao.c, src/vm/jit/inline/parseRT.c,
	  src/vm/jit/inline/parseRTstats.c: more XTA updates

2003-11-20 16:17  carolyn

	* src/vm/jit/inline/parseRTflags.h: [no log message]

2003-11-20 15:51  carolyn

	* global.h, main.c, src/cacao/cacao.c, src/vm/global.h,
	  src/vm/jit/parse.c, src/vm/jit/inline/parseRT.c,
	  src/vm/jit/inline/parseRT.h, src/vm/jit/inline/parseRTprint.h,
	  src/vm/jit/inline/parseRTstats.c,
	  src/vm/jit/inline/parseRTstats.h, src/vm/jit/inline/sets.c: more
	  XTA updates

2003-11-20 12:17  jowenn

	* Makefile.am, acconfig.h, asmpart.h, builtin.c, src/vm/builtin.c,
	  src/vm/jit/asmpart.h, configure.in, headers.c, jni.c,
	  src/cacaoh/headers.c, src/native/jni.c, jni.h, loader.c,
	  loader.h, src/native/jni.h, src/vm/loader.c, src/vm/loader.h,
	  native.c, tables.c, tables.h, src/native/native.c,
	  src/vm/tables.c, src/vm/tables.h, doc/handbook/powerpc.tex,
	  src/classpath/doc/hacking.info,
	  src/classpath/doc/vmintegration.info,
	  src/classpath/gnu/classpath/Configuration.java.in,
	  src/classpath/gnu/java/awt/BitwiseXORComposite.java,
	  src/classpath/gnu/java/awt/ClasspathToolkit.java,
	  src/classpath/gnu/java/awt/Makefile.am,
	  src/classpath/gnu/java/awt/image/.cvsignore,
	  src/classpath/gnu/java/awt/image/GdkPixbufDecoder.java,
	  src/classpath/gnu/java/awt/image/GtkOffScreenDecoder.java,
	  src/classpath/gnu/java/awt/image/ImageDecoder.java,
	  src/classpath/gnu/java/awt/image/Makefile.am,
	  src/classpath/gnu/java/awt/peer/.cvsignore,
	  src/classpath/gnu/java/awt/peer/ClasspathFontPeer.java,
	  src/classpath/gnu/java/awt/peer/GLightweightPeer.java,
	  src/classpath/gnu/java/awt/peer/Makefile.am,
	  src/classpath/gnu/java/awt/peer/gtk/.cvsignore,
	  src/classpath/gnu/java/awt/peer/gtk/GdkClasspathFontPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GdkGlyphVector.java,
	  src/classpath/gnu/java/awt/peer/gtk/GdkGraphics.java,
	  src/classpath/gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	  src/classpath/gnu/java/awt/peer/gtk/GdkPixbufDecoder.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkContainerPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkDialogPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkFramePeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkLabelPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkMainThread.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkMenuItemPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkTextAreaPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkTextFieldPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkToolkit.java,
	  src/classpath/gnu/java/awt/peer/gtk/GtkWindowPeer.java,
	  src/classpath/gnu/java/awt/peer/gtk/Makefile.am,
	  src/classpath/gnu/java/awt/peer/gtk/Test.java,
	  src/classpath/gnu/java/awt/peer/gtk/TestAWT.java,
	  src/classpath/include/gnu_java_awt_peer_gtk_GdkPixbufDecoder.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkButtonPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkComponentPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkLabelPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkMenuItemPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkTextAreaPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkTextFieldPeer.h,
	  src/classpath/include/gnu_java_awt_peer_gtk_GtkWindowPeer.h,
	  src/classpath/java/awt/ActiveEvent.java,
	  src/classpath/java/awt/BasicStroke.java,
	  src/classpath/java/awt/Component.java,
	  src/classpath/java/awt/Dialog.java,
	  src/classpath/java/awt/FlowLayout.java,
	  src/classpath/java/awt/Frame.java,
	  src/classpath/java/awt/Toolkit.java,
	  src/classpath/java/awt/Window.java,
	  src/classpath/java/awt/color/.cvsignore,
	  src/classpath/java/awt/datatransfer/.cvsignore,
	  src/classpath/java/awt/datatransfer/ClipboardOwner.java,
	  src/classpath/java/awt/datatransfer/FlavorMap.java,
	  src/classpath/java/awt/datatransfer/Transferable.java,
	  src/classpath/java/awt/dnd/.cvsignore,
	  src/classpath/java/awt/dnd/Autoscroll.java,
	  src/classpath/java/awt/dnd/peer/.cvsignore,
	  src/classpath/java/awt/dnd/peer/DragSourceContextPeer.java,
	  src/classpath/java/awt/dnd/peer/DropTargetContextPeer.java,
	  src/classpath/java/awt/dnd/peer/DropTargetPeer.java,
	  src/classpath/java/awt/event/.cvsignore,
	  src/classpath/java/awt/event/KeyEvent.java,
	  src/classpath/java/awt/font/.cvsignore,
	  src/classpath/java/awt/font/FontRenderContext.java,
	  src/classpath/java/awt/font/MultipleMaster.java,
	  src/classpath/java/awt/font/OpenType.java,
	  src/classpath/java/awt/geom/.cvsignore,
	  src/classpath/java/awt/geom/AffineTransform.java,
	  src/classpath/java/awt/geom/Arc2D.java,
	  src/classpath/java/awt/geom/CubicCurve2D.java,
	  src/classpath/java/awt/geom/FlatteningPathIterator.java,
	  src/classpath/java/awt/geom/GeneralPath.java,
	  src/classpath/java/awt/geom/PathIterator.java,
	  src/classpath/java/awt/geom/QuadCurve2D.java,
	  src/classpath/java/awt/geom/Rectangle2D.java,
	  src/classpath/java/awt/geom/RoundRectangle2D.java,
	  src/classpath/java/awt/geom/doc-files/CubicCurve2D-1.png,
	  src/classpath/java/awt/geom/doc-files/CubicCurve2D-2.png,
	  src/classpath/java/awt/geom/doc-files/CubicCurve2D-3.png,
	  src/classpath/java/awt/geom/doc-files/CubicCurve2D-4.png,
	  src/classpath/java/awt/geom/doc-files/CubicCurve2D-5.png,
	  src/classpath/java/awt/geom/doc-files/FlatteningPathIterator-1.html,
	  src/classpath/java/awt/geom/doc-files/QuadCurve2D-1.png,
	  src/classpath/java/awt/geom/doc-files/QuadCurve2D-2.png,
	  src/classpath/java/awt/geom/doc-files/QuadCurve2D-3.png,
	  src/classpath/java/awt/geom/doc-files/QuadCurve2D-4.png,
	  src/classpath/java/awt/geom/doc-files/QuadCurve2D-5.png,
	  src/classpath/java/awt/im/.cvsignore,
	  src/classpath/java/awt/im/spi/.cvsignore,
	  src/classpath/java/awt/im/spi/InputMethodDescriptor.java,
	  src/classpath/java/awt/image/.cvsignore,
	  src/classpath/java/awt/image/BufferedImage.java,
	  src/classpath/java/awt/image/ImageConsumer.java,
	  src/classpath/java/awt/image/ImageObserver.java,
	  src/classpath/java/awt/image/ImageProducer.java,
	  src/classpath/java/awt/image/IndexColorModel.java,
	  src/classpath/java/awt/image/RGBImageFilter.java,
	  src/classpath/java/awt/image/Raster.java,
	  src/classpath/java/awt/image/RasterOp.java,
	  src/classpath/java/awt/image/SinglePixelPackedSampleModel.java,
	  src/classpath/java/awt/image/WritableRaster.java,
	  src/classpath/java/awt/image/renderable/.cvsignore,
	  src/classpath/java/awt/image/renderable/RenderableImage.java,
	  src/classpath/java/awt/peer/.cvsignore,
	  src/classpath/java/awt/peer/ButtonPeer.java,
	  src/classpath/java/awt/peer/CheckboxMenuItemPeer.java,
	  src/classpath/java/awt/peer/CheckboxPeer.java,
	  src/classpath/java/awt/peer/ChoicePeer.java,
	  src/classpath/java/awt/peer/ComponentPeer.java,
	  src/classpath/java/awt/peer/ContainerPeer.java,
	  src/classpath/java/awt/peer/DialogPeer.java,
	  src/classpath/java/awt/peer/FileDialogPeer.java,
	  src/classpath/java/awt/peer/FramePeer.java,
	  src/classpath/java/awt/peer/LabelPeer.java,
	  src/classpath/java/awt/peer/ListPeer.java,
	  src/classpath/java/awt/peer/MenuBarPeer.java,
	  src/classpath/java/awt/peer/MenuComponentPeer.java,
	  src/classpath/java/awt/peer/MenuItemPeer.java,
	  src/classpath/java/awt/peer/MenuPeer.java,
	  src/classpath/java/awt/peer/PopupMenuPeer.java,
	  src/classpath/java/awt/peer/RobotPeer.java,
	  src/classpath/java/awt/peer/ScrollPanePeer.java,
	  src/classpath/java/awt/peer/ScrollbarPeer.java,
	  src/classpath/java/awt/peer/TextAreaPeer.java,
	  src/classpath/java/awt/peer/TextComponentPeer.java,
	  src/classpath/java/awt/peer/TextFieldPeer.java,
	  src/classpath/java/awt/peer/WindowPeer.java,
	  src/classpath/java/awt/print/.cvsignore,
	  src/classpath/java/awt/print/Pageable.java,
	  src/classpath/java/awt/print/Printable.java,
	  src/classpath/java/awt/print/PrinterGraphics.java,
	  src/classpath/java/lang/Class.java,
	  src/classpath/java/lang/JOWENNTest1.java,
	  src/classpath/lib/classes, src/classpath/lib/classes.1,
	  src/classpath/lib/java.dep,
	  src/classpath/native/jni/gtk-peer/.cvsignore,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCanvasPeer.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPanelPeer.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollPanePeer.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextComponentPeer.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextFieldPeer.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c,
	  src/classpath/native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c,
	  src/classpath/native/jni/gtk-peer/gthread-jni.c,
	  src/classpath/native/jni/gtk-peer/gtkpeer.h,
	  src/native/vm/VMObjectStreamClass.c, src/native/vm/VMSystem.c,
	  src/threads/green/locks.c: fix for  CallStatic*. Not the tst
	  directory can be completely built with cacao as vm (at least on
	  i386). \ Updated awt version. Hopefully this helps getting cacao
	  to run with awt. remaining problem: threading. \ Crash fix for
	  Float.toString. The static initializer for Double did not get
	  called. (preinitializing double now) \ very slow zip archive
	  class store support on systems where zlib is installed. Has to be
	  enabled with --enable-zlib=yes. \ I am going to optimize that
	  later Almost complete Call*Function implementation, except the
	  ones with an argument array

2003-11-16 19:08  edwin

	* loader.c, src/vm/loader.c, tests/TestArrayClasses.java,
	  tests/TestArrayClasses.output: More tests for array classes

2003-11-16 11:41  stefan

	* headers.c, src/cacaoh/headers.c: [no log message]

2003-11-16 01:06  stefan

	* src/vm/jit/mips/codegen.c: Easier native stub generation

2003-11-16 00:52  stefan

	* src/vm/jit/mips/: asmpart.S, codegen.c: Let the assembler
	  assemble asm_calljavafunction

2003-11-15 23:38  stefan

	* jni.c, src/native/jni.c: Don't use GCNEW

2003-11-15 17:16  stefan

	* src/vm/jit/alpha/asmpart.S: [no log message]

2003-11-15 13:14  stefan

	* src/vm/jit/: jit.c, stack.c: Better BUILTINTABLE

2003-11-15 12:07  stefan

	* tests/Makefile.am: [no log message]

2003-11-15 00:51  stefan

	* src/vm/jit/: jit.c, mips/codegen.c, mips/codegen.h, mips/types.h:
	  MIPS FP fixes (float->int, compare)

2003-11-14 21:19  stefan

	* src/vm/jit/mips/codegen.c: Turn off flush-to-zero

2003-11-14 17:06  stefan

	* src/vm/jit/alpha/codegen.c: Removed unused, buggy FP operations

2003-11-14 15:46  edwin

	* tests/: TestArrayClasses.java, TestArrayClasses.output: More
	  tests for array classes

2003-11-14 14:50  edwin

	* src/native/vm/VMClass.c, tests/TestArrayClasses.java,
	  tests/TestArrayClasses.output, tests/TestBase.java: Tests for
	  array classes

2003-11-14 12:45  edwin

	* builtin.c, builtin.h, src/vm/builtin.c, src/vm/builtin.h,
	  global.h, headers.c, jit.c, jni.c, loader.c,
	  src/cacaoh/headers.c, src/native/jni.c, src/vm/global.h,
	  src/vm/loader.c, loader.h, native.c, tables.c, tables.h,
	  src/classpath/gnu/java/lang/SystemClassLoader.java,
	  src/classpath/native/target/generic/target_generic_file.h,
	  src/native/native.c, src/vm/loader.h, src/vm/tables.c,
	  src/vm/tables.h,
	  src/classpath/native/target/generic/target_generic_network.h,
	  src/vm/jit/parse.c, src/native/vm/VMClass.c,
	  src/native/vm/VMObject.c, src/native/vm/VMSecurityManager.c,
	  src/native/vm/VMSystem.c: New array class implementation (first
	  patch)

2003-11-14 10:21  stefan

	* src/vm/jit/jit.c: Fixed BUILTINTABLE

2003-11-14 00:00  stefan

	* src/vm/jit/alpha/codegen.c: nasty fp fix

2003-11-13 23:10  jowenn

	* src/native/vm/VMSystem.c: simple hello world on alpha works now

2003-11-13 16:07  twisti

	* tests/: fp.java, fp.output: Added double mul and div test up to
	  infinity.

2003-11-13 15:44  twisti

	* tests/: fp.java, fp.output: - only count to 50 - also check fdiv

2003-11-13 15:30  twisti

	* src/vm/jit/x86_64/codegen.c: LMULCONST fix.

2003-11-13 15:12  twisti

	* tests/: jctest.java, jctest.output: Added some corner cases to
	  testconst and fixed the output.

2003-11-13 15:06  twisti

	* builtin.c, src/vm/builtin.c: Changed SUPPORT_LONG_MULDIV to
	  SUPPORT_LONG_MUL and SUPPORT_LONG_DIV. We need this on i386.

2003-11-13 15:02  twisti

	* src/vm/jit/: jit.c, stack.c, alpha/types.h, i386/types.h,
	  mips/types.h, powerpc/types.h, x86_64/types.h: Changed
	  SUPPORT_LONG_MULDIV to SUPPORT_LONG_MUL and SUPPORT_LONG_DIV. We
	  need this on i386.

2003-11-13 15:01  twisti

	* Makefile.in: Always changed, too annoying.

2003-11-13 14:57  twisti

	* src/vm/jit/inline/sets.c: Code indent and included some headers.

2003-11-13 14:56  twisti

	* src/vm/jit/i386/codegen.c: - added IF_LNE == 0 optimization -
	  removed wrong case in IF_LEQ

2003-11-13 14:50  twisti

	* src/vm/jit/inline/parseRTstats.c: Added some includes.

2003-11-13 14:48  twisti

	* src/vm/jit/: parse.c, inline/parseRT.c: Code indent.

2003-11-13 10:39  stefan

	* Makefile.am, src/vm/jit/Makefile.am, src/mm/Makefile.am,
	  src/vm/jit/loop/Makefile.am: more

2003-11-13 10:20  stefan

	* src/vm/jit/: Makefile.am, alpha/Makefile.am, mips/Makefile.am,
	  x86_64/Makefile.am: repaired make dist

2003-11-13 01:57  stefan

	* src/vm/jit/alpha/codegen.c: Undefined behaviour

2003-11-13 00:56  stefan

	* src/vm/jit/powerpc/asmpart.S: idiv,irem

2003-11-13 00:21  jowenn

	* src/classpath/lib/Makefile: that should be the last missing
	  precompiles files

2003-11-12 22:53  stefan

	* src/vm/jit/stack.c: Boeser twisti

2003-11-12 14:17  twisti

	* builtin.c, src/vm/builtin.c: #ifdef'ed builtin_exception for
	  later use.

2003-11-12 14:14  twisti

	* builtin.c, src/vm/builtin.c: - code indent - removed warnings

2003-11-12 14:00  twisti

	* src/vm/jit/x86_64/codegen.c: Pass method to reg_init()

2003-11-12 02:18  twisti

	* src/vm/jit/powerpc/codegen.c: Fixed == 0 bug for some IF_Lxx

2003-11-12 01:48  stefan

	* src/vm/jit/Makefile.am: Build offsets.h before it's needed

2003-11-12 01:36  twisti

	* src/vm/jit/powerpc/codegen.c: It seems there is no REG_ZERO

2003-11-12 01:27  twisti

	* src/vm/jit/powerpc/codegen.c: Implemented ICMD_IF_Lxx

2003-11-12 00:06  twisti

	* src/vm/jit/: jit.c, jit.h, stack.c: Fixed builtintable stuff.

2003-11-11 23:14  twisti

	* src/vm/jit/stack.c: Temporary workaround, has to be fixed later.

2003-11-11 23:13  twisti

	* src/vm/jit/: jit.c, jit.h: Added builtintable again, we need it
	  for powerpc.

2003-11-11 22:23  twisti

	* src/vm/jit/powerpc/codegen.c: Removed unused ICACHE

2003-11-11 20:03  carolyn

	* main.c, src/cacao/cacao.c, src/vm/jit/inline/parseRT.c,
	  src/vm/jit/inline/parseRT.h, src/vm/jit/inline/parseRTprint.h,
	  src/vm/jit/inline/parseRTstats.c, src/vm/jit/inline/sets.c: XTA
	  w/ interfaces & alloc space with NEW & FREE after main method

2003-11-10 18:11  jowenn

	* src/classpath/: doc/hacking.info, doc/vmintegration.info,
	  lib/classes1.tgz, lib/gen-classlist.sh, lib/gen_nio.sh: I hope
	  find . -name "*" | perl -p -i -e "s/^.*CVS.*$//" | grep
	  "^\\..*\\..*$" | xargs -n 150 --maxprocs=1 cvs add did get now
	  all missing files

2003-11-09 23:46  stefan

	* doc/handbook/powerpc.tex: [no log message]

2003-11-09 21:12  twisti

	* src/vm/jit/powerpc/codegen.c: Pass method to reg_init()

2003-11-09 21:12  twisti

	* src/vm/jit/powerpc/: codegen.c, codegen.h: Moved variables into
	  .c file.

2003-11-09 21:08  twisti

	* src/vm/jit/mips/: codegen.c, codegen.h: Moved variables into .c
	  file

2003-11-09 21:05  twisti

	* asmpart.h, src/vm/jit/asmpart.h: Define _ASMPART_H

2003-11-09 21:04  twisti

	* native.c, src/native/native.c: Code indent.

2003-11-09 20:54  twisti

	* src/vm/jit/alpha/: codegen.c, codegen.h: Move variables into .c
	  file, keep defines in .h

2003-11-09 20:50  twisti

	* loader.c, loader.h, src/vm/loader.c, src/vm/loader.h: Further
	  changes.

2003-11-09 20:46  twisti

	* src/vm/jit/codegen.inc: Warnings fixes.

2003-11-09 20:45  twisti

	* src/vm/jit/jit.c: Include codegen.h

2003-11-09 20:44  twisti

	* src/vm/jit/i386/Makefile.am: Cleaned up.

2003-11-09 20:42  twisti

	* src/vm/jit/: reg.h, reg.inc: Pass method to reg_init()

2003-11-09 20:42  twisti

	* src/vm/jit/i386/: codegen.c, codegen.h: Further code changes.

2003-11-09 20:38  twisti

	* src/vm/jit/i386/: disass.c, disass.h: Removed unused variables.

2003-11-09 20:37  twisti

	* src/vm/jit/i386/asmpart.S: Fixed segfault with -O2

2003-11-09 20:15  twisti

	* tables.c, src/vm/tables.c: Removed runverbose.

2003-11-09 20:14  twisti

	* headers.c, src/cacaoh/headers.c: Define runverbose and
	  collectverbose.

2003-11-09 20:09  twisti

	* main.c, src/cacao/cacao.c: Added global compiler switches.

2003-11-09 20:08  twisti

	* main.h, src/cacao/cacao.h: Export global compiler switches.

2003-11-09 20:07  twisti

	* src/mm/: boehm.c, boehm.h: Warning fixes.

2003-11-09 19:04  jowenn

	* src/native/vm/: VMClass.c, VMRuntime.c: compile fixes for alpha
	  and replacement for the precompiled classfiles (they had versoin
	  47.0)

2003-11-09 19:01  jowenn

	* jni.c, src/native/jni.c, native.c, src/native/native.c,
	  src/classpath/lib/classes, src/classpath/lib/classes.1,
	  src/classpath/lib/java.dep: compile fixes for alpha and
	  replacement for the precompiled classfiles (they had versoin
	  47.0)

2003-11-09 18:37  twisti

	* src/vm/jit/inline/: inline.c, inline.h: - removed warnings -
	  function prototypes

2003-11-09 18:34  twisti

	* src/vm/jit/stack.c: - removed warnings - replaced alloca with
	  DMNEW

2003-11-09 18:31  twisti

	* src/vm/jit/loop/: analyze.c, graph.c, tracing.c: - removed
	  warnings - replaced malloc with DNEW

2003-11-09 18:26  twisti

	* src/mm/: memory.c, memory.h: Code restructuring.

2003-11-07 19:48  jowenn

	* src/: classpath/native/jni/gtk-peer/gtkpeer.h,
	  classpath/vm/reference/java/lang/Thread.java,
	  native/include/java_lang_Thread.h, native/vm/VMThread.c,
	  threads/green/threads.c, threads/green/threads.h:  threads are
	  working now. structures where out of sync

2003-11-07 09:53  twisti

	* src/vm/jit/x86_64/: codegen.c, codegen.h: - removed code
	  generation defines - replaced cc map with opc

2003-11-06 17:05  twisti

	* src/vm/jit/inline/: inline.c, inline.h: Pass method to
	  inline_init()

2003-11-06 17:04  twisti

	* src/vm/jit/jit.c: Inlining bugfix.

2003-11-06 16:43  twisti

	* src/threads/green/: threads.c, threads.h: Machine dependent
	  threads.h file removed and included here.

2003-11-06 15:42  twisti

	* src/vm/jit/powerpc/: Makefile.am, asmpart.S, codegen.c,
	  codegen.h, dis-asm.h, disass.c, disass.h, ppc-dis.c, ppc-opc.c,
	  ppc.h, types.h: Major file restructuring.

2003-11-04 22:16  jowenn

	* asmpart.h, src/vm/jit/asmpart.h, builtin.c, builtin.h,
	  src/vm/builtin.c, src/vm/builtin.h, global.h, headers.c, jni.c,
	  src/cacaoh/headers.c, src/native/jni.c, src/vm/global.h,
	  loader.c, main.c, native.c, src/cacao/cacao.c,
	  src/native/native.c, src/vm/loader.c, tables.c, src/vm/tables.c,
	  src/classpath/gnu/java/lang/SystemClassLoader.java,
	  src/classpath/java/lang/Double.java,
	  src/classpath/native/jni/java-net/java_net_InetAddress.c,
	  src/classpath/native/target/generic/target_generic_file.h,
	  src/classpath/native/target/generic/target_generic_network.h,
	  src/classpath/vm/reference/java/lang/Thread.java,
	  src/native/vm/Constructor.c, src/native/vm/VMObject.c,
	  src/native/vm/VMSecurityManager.c, src/native/vm/VMSystem.c,
	  src/native/vm/VMThread.c, src/threads/green/threads.c: 1) support
	  for cloning of arrays 2) Fix in javastring handling (offset) 3)
	  Ending \0 is added to the end of utf strings now 4) new function
	  for calling java methods (i386 only -> other platforms don't
	  compile right now)

	  ==> javac from /usr/local/lib/java/classes (a7) can now be run
	  socktest from tst/network works now as expected tst/network/httpd
	  works as expected

	  :(  somehow double NaN values get truncated from
	  0x7ff8000000000000 to 0x80000000000000. Have to track that down
	  :( During creation of threads something strange happens to some
	  vftbls :(

2003-11-03 20:06  twisti

	* src/vm/jit/mips/: Makefile.am, codegen.c, codegen.h: Further
	  changes.

2003-11-03 16:55  twisti

	* src/vm/jit/mips/Makefile.am: Further changes.

2003-11-03 16:47  twisti

	* src/vm/jit/mips/: Makefile.am, asmpart.S, codegen.c, codegen.h,
	  disass.c, disass.h, types.h: Major file restructuring.

2003-11-03 01:37  twisti

	* src/mm/boehm.h: Major file restructuring.

2003-11-03 01:33  twisti

	* loader.c, main.c, tables.c, src/cacao/cacao.c, src/vm/loader.c,
	  src/vm/tables.c, src/vm/jit/parse.c, src/vm/jit/i386/disass.h,
	  src/vm/jit/inline/parseRTstats.h: Further changes.

2003-11-03 00:39  twisti

	* src/vm/jit/: reg.h, reg.inc, i386/disass.c: Further changes.

2003-11-03 00:30  twisti

	* src/vm/jit/x86_64/asmpart.S: Why was there the i386 version?
	  Hmm...

2003-11-03 00:20  twisti

	* src/vm/jit/x86_64/: Makefile.am, ansidecl.h, asmpart.S, bfd.h,
	  codegen.c, codegen.h, dis-asm.h, dis-buf.c, disass.c, disass.h,
	  i386-dis.c, types.h: Major file restructuring.

2003-11-02 23:56  twisti

	* src/vm/jit/alpha/codegen.c: Forgot to convert mcode_ to codegen_

2003-11-02 23:51  twisti

	* src/vm/jit/loop/: Makefile.am, analyze.c, analyze.h, graph.c,
	  graph.h, loop.c, loop.h, tracing.c, tracing.h: Major file
	  restructuring.

2003-11-02 23:48  twisti

	* Makefile.am, Makefile.in, acconfig.h, asmpart.h,
	  src/vm/jit/asmpart.h, builtin.c, builtin.h, callargs.h,
	  config.h.in, configure, configure.in, global.h, src/vm/builtin.c,
	  src/vm/builtin.h, src/vm/global.h, headers.c, jit.c, jit.h,
	  jni.c, jni.h, src/cacaoh/headers.c, src/native/jni.c,
	  src/native/jni.h, loader.c, loader.h, main.c, natcalls.h,
	  native.c, native.h, nativecalls.h, tables.c, src/cacao/cacao.c,
	  src/native/natcalls.h, src/native/native.c, src/native/native.h,
	  src/native/nativecalls.inc, src/vm/loader.c, src/vm/loader.h,
	  src/vm/tables.c, tables.h, src/vm/tables.h,
	  src/vm/jit/Makefile.am, src/vm/jit/codegen.inc, src/vm/jit/jit.c,
	  src/vm/jit/inline/inline.c, src/vm/jit/inline/inline.h,
	  src/vm/jit/jit.h, src/vm/jit/parse.c, src/vm/jit/parse.h,
	  src/vm/jit/inline/parseRT.c, src/vm/jit/inline/parseRT.h,
	  src/vm/jit/inline/parseRTprint.h,
	  src/vm/jit/inline/parseRTstats.c, src/vm/jit/reg.h,
	  src/vm/jit/reg.inc, src/vm/jit/inline/parseRTstats.h,
	  src/vm/jit/inline/sets.c, src/vm/jit/stack.c, src/vm/jit/stack.h,
	  src/vm/jit/alpha/Makefile.am, src/vm/jit/alpha/asmpart.S,
	  src/vm/jit/inline/sets.h, src/vm/jit/alpha/codegen.c,
	  src/vm/jit/alpha/codegen.h, src/vm/jit/alpha/disass.c,
	  src/vm/jit/alpha/disass.h, src/vm/jit/alpha/types.h,
	  src/vm/jit/i386/Makefile.am, src/vm/jit/i386/ansidecl.h,
	  src/vm/jit/i386/asmpart.S, src/vm/jit/i386/bfd.h,
	  src/vm/jit/i386/codegen.c, src/vm/jit/i386/codegen.h,
	  src/vm/jit/i386/dis-asm.h, src/vm/jit/i386/dis-buf.c,
	  src/vm/jit/i386/disass.c, src/vm/jit/i386/disass.h,
	  src/vm/jit/i386/i386-dis.c, src/vm/jit/i386/types.h,
	  src/mm/Makefile.am, src/mm/boehm.c,
	  src/threads/green/Makefile.am, src/threads/green/threadio.c,
	  src/threads/green/threads.c, src/mm/memory.c, src/mm/memory.h,
	  src/toolbox/Makefile.am, src/toolbox/chain.h, tests/Makefile.in:
	  Major file restructuring.

2003-11-02 14:31  stefan

	* doc/handbook/powerpc.tex: [no log message]

2003-11-01 21:50  twisti

	* src/vm/jit/parse.c: Convert -ieee to -noieee so we are
	  calculating correctly as default.

2003-11-01 21:47  twisti

	* builtin.c, jit.c, jit.h, main.c, src/cacao/cacao.c,
	  src/vm/builtin.c: Convert -ieee to -noieee so we are caculate
	  correctly as default.

2003-11-01 21:20  twisti

	* src/threads/green/threadio.c: Compile without warnings.

2003-11-01 20:46  twisti

	* global.h, src/vm/global.h: Removed JIT_MARKER_SUPPORT

2003-10-30 21:58  twisti

	* builtin.c, builtin.h, headers.c, src/cacaoh/headers.c,
	  src/vm/builtin.c, src/vm/builtin.h: asm_ defines for f2i
	  conversions.

2003-10-30 18:40  jowenn

	* src/classpath/: gnu/classpath/Configuration.java.in,
	  gnu/classpath/Makefile.am, gnu/classpath/Makefile.in,
	  gnu/classpath/RawData.java,
	  gnu/java/awt/image/GdkPixbufDecoder.java,
	  gnu/java/awt/image/GtkOffScreenDecoder.java,
	  gnu/java/awt/image/ImageDecoder.java,
	  gnu/java/awt/image/Makefile.am, gnu/java/awt/image/Makefile.in,
	  gnu/java/awt/image/XBMDecoder.java,
	  gnu/java/awt/peer/gtk/GdkFontMetrics.java,
	  gnu/java/awt/peer/gtk/GdkGraphics.java,
	  gnu/java/awt/peer/gtk/GtkArg.java,
	  gnu/java/awt/peer/gtk/GtkArgList.java,
	  gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	  gnu/java/awt/peer/gtk/GtkCanvasPeer.java,
	  gnu/java/awt/peer/gtk/GtkCheckboxGroupPeer.java,
	  gnu/java/awt/peer/gtk/GtkCheckboxPeer.java,
	  gnu/java/awt/peer/gtk/GtkChoicePeer.java,
	  gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	  gnu/java/awt/peer/gtk/GtkContainerPeer.java,
	  gnu/java/awt/peer/gtk/GtkDialogPeer.java,
	  gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
	  gnu/java/awt/peer/gtk/GtkFontPeer.java,
	  gnu/java/awt/peer/gtk/GtkFramePeer.java,
	  gnu/java/awt/peer/gtk/GtkGenericPeer.java,
	  gnu/java/awt/peer/gtk/GtkImage.java,
	  gnu/java/awt/peer/gtk/GtkImagePainter.java,
	  gnu/java/awt/peer/gtk/GtkLabelPeer.java,
	  gnu/java/awt/peer/gtk/GtkListPeer.java,
	  gnu/java/awt/peer/gtk/GtkMainThread.java,
	  gnu/java/awt/peer/gtk/GtkMenuBarPeer.java,
	  gnu/java/awt/peer/gtk/GtkMenuComponentPeer.java,
	  gnu/java/awt/peer/gtk/GtkMenuItemPeer.java,
	  gnu/java/awt/peer/gtk/GtkMenuPeer.java,
	  gnu/java/awt/peer/gtk/GtkPanelPeer.java,
	  gnu/java/awt/peer/gtk/GtkPopupMenuPeer.java,
	  gnu/java/awt/peer/gtk/GtkScrollPanePeer.java,
	  gnu/java/awt/peer/gtk/GtkScrollbarPeer.java,
	  gnu/java/awt/peer/gtk/GtkTextAreaPeer.java,
	  gnu/java/awt/peer/gtk/GtkTextComponentPeer.java,
	  gnu/java/awt/peer/gtk/GtkTextFieldPeer.java,
	  gnu/java/awt/peer/gtk/GtkToolkit.java,
	  gnu/java/awt/peer/gtk/Makefile.am,
	  gnu/java/awt/peer/gtk/Makefile.in,
	  gnu/java/beans/EmptyBeanInfo.java,
	  gnu/java/beans/ExplicitBeanInfo.java, gnu/java/beans/TODO,
	  gnu/java/beans/editors/ColorEditor.java,
	  gnu/java/beans/editors/FontEditor.java,
	  gnu/java/beans/editors/Makefile.am,
	  gnu/java/beans/editors/Makefile.in,
	  gnu/java/beans/editors/NativeBooleanEditor.java,
	  gnu/java/beans/editors/NativeByteEditor.java,
	  gnu/java/beans/editors/NativeDoubleEditor.java,
	  gnu/java/beans/editors/NativeFloatEditor.java,
	  gnu/java/beans/editors/NativeIntEditor.java,
	  gnu/java/beans/editors/NativeLongEditor.java,
	  gnu/java/beans/editors/NativeShortEditor.java,
	  gnu/java/beans/editors/StringEditor.java,
	  gnu/java/beans/editors/TODO,
	  gnu/java/io/ASN1ParsingException.java,
	  gnu/java/io/Base64InputStream.java,
	  gnu/java/io/EncodingManager.java, gnu/java/io/Makefile.am,
	  gnu/java/io/Makefile.in, gnu/java/io/NullOutputStream.java,
	  gnu/java/io/ObjectIdentityWrapper.java,
	  gnu/java/io/decode/Decoder.java,
	  gnu/java/io/decode/Decoder8859_1.java,
	  gnu/java/io/decode/Decoder8859_2.java,
	  gnu/java/io/decode/Decoder8859_3.java,
	  gnu/java/io/decode/Decoder8859_4.java,
	  gnu/java/io/decode/Decoder8859_5.java,
	  gnu/java/io/decode/DecoderEightBitLookup.java,
	  gnu/java/io/decode/DecoderUTF8.java,
	  gnu/java/io/decode/Makefile.am, gnu/java/io/decode/Makefile.in,
	  gnu/java/io/encode/Encoder.java,
	  gnu/java/io/encode/Encoder8859_1.java,
	  gnu/java/io/encode/Encoder8859_2.java,
	  gnu/java/io/encode/Encoder8859_3.java,
	  gnu/java/io/encode/Encoder8859_4.java,
	  gnu/java/io/encode/Encoder8859_5.java,
	  gnu/java/io/encode/EncoderEightBitLookup.java,
	  gnu/java/io/encode/EncoderUTF8.java,
	  gnu/java/io/encode/Makefile.am, gnu/java/io/encode/Makefile.in,
	  gnu/java/lang/CharData.java, gnu/java/lang/reflect/Makefile.am,
	  gnu/java/lang/reflect/Makefile.in,
	  gnu/java/lang/reflect/TypeSignature.java,
	  gnu/java/locale/Calendar_en.java,
	  gnu/java/locale/LocaleInformation_ar_IQ.java,
	  gnu/java/locale/LocaleInformation_ar_JO.java,
	  gnu/java/locale/LocaleInformation_de_AT.java,
	  gnu/java/locale/LocaleInformation_de_BE.java,
	  gnu/java/locale/LocaleInformation_en_GB.java,
	  gnu/java/locale/LocaleInformation_es_ES.java,
	  gnu/java/locale/LocaleInformation_es_SV.java,
	  gnu/java/locale/LocaleInformation_eu_ES.java,
	  gnu/java/locale/LocaleInformation_fr_BE.java,
	  gnu/java/locale/LocaleInformation_it_CH.java,
	  gnu/java/locale/LocaleInformation_no_NO.java,
	  gnu/java/locale/LocaleInformation_pt_PT.java,
	  gnu/java/locale/LocaleInformation_sv_SE.java,
	  gnu/java/locale/LocaleInformation_ta_IN.java,
	  gnu/java/locale/LocaleInformation_ur_PK.java,
	  gnu/java/locale/iso3166.properties,
	  gnu/java/locale/iso639_fr.properties, gnu/java/math/MPN.java,
	  gnu/java/math/Makefile.am, gnu/java/math/Makefile.in,
	  gnu/java/net/HeaderFieldHelper.java, gnu/java/net/Makefile.am,
	  gnu/java/net/Makefile.in,
	  gnu/java/net/protocol/file/FileURLConnection.java,
	  gnu/java/net/protocol/file/Handler.java,
	  gnu/java/net/protocol/http/Handler.java,
	  gnu/java/net/protocol/http/HttpURLConnection.java,
	  gnu/java/net/protocol/http/Makefile.am,
	  gnu/java/net/protocol/http/Makefile.in,
	  gnu/java/net/protocol/http/TODO,
	  gnu/java/net/protocol/jar/Handler.java,
	  gnu/java/net/protocol/jar/JarURLConnection.java,
	  gnu/java/net/protocol/jar/Makefile.am,
	  gnu/java/net/protocol/jar/Makefile.in,
	  gnu/java/nio/DatagramChannelImpl.java,
	  gnu/java/nio/FileLockImpl.java, gnu/java/nio/Makefile.am,
	  gnu/java/nio/Makefile.in, gnu/java/nio/PipeImpl.java,
	  gnu/java/nio/SelectionKeyImpl.java,
	  gnu/java/nio/SelectorImpl.java,
	  gnu/java/nio/SelectorProviderImpl.java,
	  gnu/java/nio/ServerSocketChannelImpl.java,
	  gnu/java/nio/SocketChannelImpl.java,
	  gnu/java/nio/charset/ISO_8859_1.java,
	  gnu/java/nio/charset/Makefile.am,
	  gnu/java/nio/charset/Makefile.in,
	  gnu/java/nio/charset/Provider.java,
	  gnu/java/nio/charset/US_ASCII.java,
	  gnu/java/nio/charset/UTF_16.java,
	  gnu/java/nio/charset/UTF_16BE.java,
	  gnu/java/nio/charset/UTF_16Decoder.java,
	  gnu/java/nio/charset/UTF_16Encoder.java,
	  gnu/java/nio/charset/UTF_16LE.java,
	  gnu/java/nio/charset/UTF_8.java, gnu/java/rmi/dgc/DGCImpl.java,
	  gnu/java/rmi/dgc/DGCImpl_Skel.java,
	  gnu/java/rmi/dgc/DGCImpl_Stub.java, gnu/java/rmi/dgc/Makefile.am,
	  gnu/java/rmi/dgc/Makefile.in, gnu/java/rmi/registry/Makefile.am,
	  gnu/java/rmi/registry/Makefile.in,
	  gnu/java/rmi/registry/RegistryImpl.java,
	  gnu/java/rmi/registry/RegistryImpl_Skel.java,
	  gnu/java/rmi/registry/RegistryImpl_Stub.java,
	  gnu/java/rmi/server/ConnectionRunnerPool.java,
	  gnu/java/rmi/server/Makefile.am, gnu/java/rmi/server/Makefile.in,
	  gnu/java/rmi/server/ProtocolConstants.java,
	  gnu/java/rmi/server/RMIDefaultSocketFactory.java,
	  gnu/java/rmi/server/RMIHashes.java,
	  gnu/java/rmi/server/RMIObjectInputStream.java,
	  gnu/java/rmi/server/RMIObjectOutputStream.java,
	  gnu/java/rmi/server/UnicastConnection.java,
	  gnu/java/rmi/server/UnicastConnectionManager.java,
	  gnu/java/rmi/server/UnicastRef.java,
	  gnu/java/rmi/server/UnicastRemoteCall.java,
	  gnu/java/rmi/server/UnicastRemoteStub.java,
	  gnu/java/rmi/server/UnicastServer.java,
	  gnu/java/rmi/server/UnicastServerRef.java,
	  gnu/java/security/der/BitString.java,
	  gnu/java/security/der/DER.java,
	  gnu/java/security/der/DEREncodingException.java,
	  gnu/java/security/der/DERReader.java,
	  gnu/java/security/der/DERValue.java,
	  gnu/java/security/der/DERWriter.java,
	  gnu/java/security/der/Makefile.am,
	  gnu/java/security/der/Makefile.in,
	  gnu/java/security/provider/DSAKeyFactory.java,
	  gnu/java/security/provider/DSAKeyPairGenerator.java,
	  gnu/java/security/provider/DSAParameterGenerator.java,
	  gnu/java/security/provider/DSAParameters.java,
	  gnu/java/security/provider/DSASignature.java,
	  gnu/java/security/provider/DefaultPolicy.java,
	  gnu/java/security/provider/Gnu.java,
	  gnu/java/security/provider/GnuDSAPrivateKey.java,
	  gnu/java/security/provider/GnuDSAPublicKey.java,
	  gnu/java/security/provider/MD5.java,
	  gnu/java/security/provider/Makefile.am,
	  gnu/java/security/provider/Makefile.in,
	  gnu/java/security/provider/SHA.java,
	  gnu/java/security/provider/SHA1PRNG.java,
	  gnu/java/security/provider/X509CertificateFactory.java,
	  gnu/java/security/util/Makefile.am,
	  gnu/java/security/util/Prime.java,
	  gnu/java/security/x509/Makefile.am,
	  gnu/java/security/x509/Makefile.in,
	  gnu/java/security/x509/X500DistinguishedName.java,
	  gnu/java/security/x509/X509CRL.java,
	  gnu/java/security/x509/X509CRLEntry.java,
	  gnu/java/security/x509/X509Certificate.java,
	  gnu/java/text/BaseBreakIterator.java,
	  gnu/java/text/CharacterBreakIterator.java,
	  gnu/java/text/LineBreakIterator.java, gnu/java/text/Makefile.am,
	  gnu/java/text/Makefile.in,
	  gnu/java/text/SentenceBreakIterator.java,
	  gnu/java/text/WordBreakIterator.java,
	  gnu/java/util/DoubleEnumeration.java,
	  gnu/java/util/EmptyEnumeration.java, gnu/java/util/Makefile.am,
	  gnu/java/util/Makefile.in,
	  gnu/java/util/prefs/FileBasedFactory.java,
	  gnu/java/util/prefs/Makefile.am, gnu/java/util/prefs/Makefile.in,
	  gnu/java/util/prefs/MemoryBasedFactory.java,
	  gnu/java/util/prefs/MemoryBasedPreferences.java,
	  gnu/java/util/prefs/NodeReader.java,
	  gnu/java/util/prefs/NodeWriter.java, gnu/javax/Makefile.am,
	  gnu/javax/Makefile.in, gnu/javax/rmi/Makefile.am,
	  gnu/javax/rmi/Makefile.in, gnu/javax/rmi/PortableServer.java,
	  gnu/javax/rmi/CORBA/DelegateFactory.java,
	  gnu/javax/rmi/CORBA/GetDelegateInstanceException.java,
	  gnu/javax/rmi/CORBA/Makefile.am, gnu/javax/rmi/CORBA/Makefile.in,
	  gnu/javax/rmi/CORBA/PortableRemoteObjectDelegateImpl.java,
	  gnu/javax/rmi/CORBA/StubDelegateImpl.java,
	  gnu/javax/rmi/CORBA/UtilDelegateImpl.java,
	  gnu/javax/rmi/CORBA/ValueHandlerImpl.java,
	  include/gnu_java_awt_image_GdkPixbufDecoder.h,
	  include/gnu_java_awt_peer_gtk_GtkCanvasPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkCheckboxGroupPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkCheckboxPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkChoicePeer.h,
	  include/gnu_java_awt_peer_gtk_GtkComponentPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkFileDialogPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkFramePeer.h,
	  include/gnu_java_awt_peer_gtk_GtkGenericPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkImagePainter.h,
	  include/gnu_java_awt_peer_gtk_GtkLabelPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkListPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkMainThread.h,
	  include/gnu_java_awt_peer_gtk_GtkMenuBarPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkMenuItemPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkMenuPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkScrollPanePeer.h,
	  include/gnu_java_awt_peer_gtk_GtkTextAreaPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkTextFieldPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkWindowPeer.h,
	  include/gnu_java_nio_ByteBufferImpl.h,
	  include/gnu_java_nio_FileChannelImpl.h,
	  include/gnu_java_nio_MappedByteFileBuffer.h,
	  include/java_io_File.h, include/java_io_ObjectInputStream.h,
	  include/java_lang_Object.h, include/java_lang_Runtime.h,
	  include/java_lang_Thread.h, include/java_lang_VMClass.h,
	  include/java_lang_VMDouble.h, include/java_lang_reflect_Array.h,
	  include/java_lang_reflect_Proxy.h,
	  include/java_net_InetAddress.h, include/java_util_TimeZone.h,
	  include/jni.h.in, java/applet/Applet.java,
	  java/applet/AppletContext.java, java/applet/AppletStub.java,
	  java/applet/AudioClip.java, java/applet/Makefile.am,
	  java/applet/Makefile.in, java/applet/package.html,
	  java/awt/color/CMMException.java, java/awt/color/ColorSpace.java,
	  java/awt/color/ICC_ColorSpace.java,
	  java/awt/color/ICC_Profile.java,
	  java/awt/color/ICC_ProfileGray.java,
	  java/awt/color/ICC_ProfileRGB.java, java/awt/color/Makefile.am,
	  java/awt/color/Makefile.in,
	  java/awt/color/ProfileDataException.java,
	  java/awt/color/package.html, java/awt/dnd/Autoscroll.java,
	  java/awt/dnd/DnDConstants.java,
	  java/awt/dnd/DnDEventMulticaster.java,
	  java/awt/dnd/DragGestureEvent.java,
	  java/awt/dnd/DragGestureListener.java,
	  java/awt/dnd/DragGestureRecognizer.java,
	  java/awt/dnd/DragSource.java,
	  java/awt/dnd/DragSourceAdapter.java,
	  java/awt/dnd/DragSourceContext.java,
	  java/awt/dnd/DragSourceDragEvent.java,
	  java/awt/dnd/DragSourceDropEvent.java,
	  java/awt/dnd/DragSourceEvent.java,
	  java/awt/dnd/DragSourceListener.java,
	  java/awt/dnd/DragSourceMotionListener.java,
	  java/awt/dnd/DropTarget.java,
	  java/awt/dnd/DropTargetAdapter.java,
	  java/awt/dnd/DropTargetContext.java,
	  java/awt/dnd/DropTargetDragEvent.java,
	  java/awt/dnd/DropTargetDropEvent.java,
	  java/awt/dnd/DropTargetEvent.java,
	  java/awt/dnd/DropTargetListener.java,
	  java/awt/dnd/InvalidDnDOperationException.java,
	  java/awt/dnd/Makefile.am, java/awt/dnd/Makefile.in,
	  java/awt/dnd/MouseDragGestureRecognizer.java,
	  java/awt/dnd/package.html,
	  java/awt/dnd/peer/DragSourceContextPeer.java,
	  java/awt/dnd/peer/DropTargetContextPeer.java,
	  java/awt/dnd/peer/Makefile.am, java/awt/dnd/peer/Makefile.in,
	  java/awt/dnd/peer/package.html,
	  java/awt/event/AWTEventListener.java,
	  java/awt/event/ActionEvent.java,
	  java/awt/event/ActionListener.java,
	  java/awt/event/AdjustmentEvent.java,
	  java/awt/event/ComponentListener.java,
	  java/awt/event/ContainerAdapter.java,
	  java/awt/event/ContainerEvent.java,
	  java/awt/event/FocusAdapter.java, java/awt/event/FocusEvent.java,
	  java/awt/event/FocusListener.java,
	  java/awt/event/InputMethodListener.java,
	  java/awt/event/InvocationEvent.java,
	  java/awt/event/KeyAdapter.java, java/awt/event/KeyEvent.java,
	  java/awt/event/Makefile.am, java/awt/event/Makefile.in,
	  java/awt/event/MouseAdapter.java, java/awt/event/MouseEvent.java,
	  java/awt/event/MouseMotionAdapter.java,
	  java/awt/event/MouseMotionListener.java,
	  java/awt/event/MouseWheelListener.java,
	  java/awt/event/PaintEvent.java, java/awt/event/TextListener.java,
	  java/awt/event/WindowAdapter.java,
	  java/awt/event/WindowEvent.java,
	  java/awt/event/WindowFocusListener.java,
	  java/awt/font/FontRenderContext.java,
	  java/awt/font/GlyphJustificationInfo.java,
	  java/awt/font/GlyphMetrics.java, java/awt/font/GlyphVector.java,
	  java/awt/font/GraphicAttribute.java,
	  java/awt/font/ImageGraphicAttribute.java,
	  java/awt/font/LineBreakMeasurer.java,
	  java/awt/font/LineMetrics.java, java/awt/font/Makefile.am,
	  java/awt/font/Makefile.in, java/awt/font/MultipleMaster.java,
	  java/awt/font/NumericShaper.java, java/awt/font/OpenType.java,
	  java/awt/font/ShapeGraphicAttribute.java,
	  java/awt/font/TextAttribute.java, java/awt/font/TextHitInfo.java,
	  java/awt/font/TextLayout.java, java/awt/font/TextMeasurer.java,
	  java/awt/font/TransformAttribute.java,
	  java/awt/font/package.html, java/awt/geom/AffineTransform.java,
	  java/awt/geom/Arc2D.java, java/awt/geom/Area.java,
	  java/awt/geom/CubicCurve2D.java, java/awt/geom/Dimension2D.java,
	  java/awt/geom/Ellipse2D.java,
	  java/awt/geom/FlatteningPathIterator.java,
	  java/awt/geom/GeneralPath.java,
	  java/awt/geom/IllegalPathStateException.java,
	  java/awt/geom/Line2D.java, java/awt/geom/Makefile.am,
	  java/awt/geom/Makefile.in,
	  java/awt/geom/NoninvertibleTransformException.java,
	  java/awt/geom/PathIterator.java, java/awt/geom/Point2D.java,
	  java/awt/geom/QuadCurve2D.java,
	  java/awt/geom/RectangularShape.java,
	  java/awt/geom/RoundRectangle2D.java,
	  java/awt/im/InputSubset.java, java/awt/im/spi/InputMethod.java,
	  java/awt/im/spi/InputMethodContext.java,
	  java/awt/im/spi/InputMethodDescriptor.java,
	  java/awt/im/spi/Makefile.am, java/awt/im/spi/Makefile.in,
	  java/awt/im/spi/package.html, java/awt/image/BufferedImage.java,
	  java/awt/image/ColorModel.java,
	  java/awt/image/DataBufferByte.java,
	  java/awt/image/FilteredImageSource.java,
	  java/awt/image/RenderedImage.java,
	  java/awt/image/TileObserver.java,
	  java/awt/image/VolatileImage.java,
	  java/awt/image/WritableRenderedImage.java,
	  java/awt/image/renderable/ContextualRenderedImageFactory.java,
	  java/awt/image/renderable/Makefile.am,
	  java/awt/image/renderable/Makefile.in,
	  java/awt/image/renderable/ParameterBlock.java,
	  java/awt/image/renderable/RenderContext.java,
	  java/awt/image/renderable/RenderableImage.java,
	  java/awt/image/renderable/RenderableImageOp.java,
	  java/awt/image/renderable/RenderableImageProducer.java,
	  java/awt/image/renderable/RenderedImageFactory.java,
	  java/awt/peer/ButtonPeer.java, java/awt/peer/CanvasPeer.java,
	  java/awt/peer/CheckboxMenuItemPeer.java,
	  java/awt/peer/CheckboxPeer.java, java/awt/peer/ChoicePeer.java,
	  java/awt/peer/ComponentPeer.java,
	  java/awt/peer/ContainerPeer.java, java/awt/peer/DialogPeer.java,
	  java/awt/peer/FileDialogPeer.java, java/awt/peer/FontPeer.java,
	  java/awt/peer/FramePeer.java, java/awt/peer/LabelPeer.java,
	  java/awt/peer/LightweightPeer.java, java/awt/peer/ListPeer.java,
	  java/awt/peer/Makefile.am, java/awt/peer/Makefile.in,
	  java/awt/peer/MenuBarPeer.java,
	  java/awt/peer/MenuComponentPeer.java,
	  java/awt/peer/MenuItemPeer.java, java/awt/peer/MenuPeer.java,
	  java/awt/peer/PanelPeer.java, java/awt/peer/PopupMenuPeer.java,
	  java/awt/peer/RobotPeer.java, java/awt/peer/ScrollPanePeer.java,
	  java/awt/peer/ScrollbarPeer.java,
	  java/awt/peer/TextAreaPeer.java,
	  java/awt/peer/TextComponentPeer.java,
	  java/awt/peer/TextFieldPeer.java, java/awt/peer/WindowPeer.java,
	  java/awt/peer/package.html, java/awt/print/Book.java,
	  java/awt/print/Makefile.am, java/awt/print/PageFormat.java,
	  java/awt/print/Printable.java,
	  java/awt/print/PrinterException.java,
	  java/awt/print/PrinterGraphics.java,
	  java/awt/print/PrinterJob.java, java/beans/DesignMode.java,
	  java/beans/IndexedPropertyDescriptor.java, java/beans/TODO,
	  java/beans/VetoableChangeListener.java,
	  java/beans/beancontext/BeanContextEvent.java,
	  java/beans/beancontext/BeanContextServiceProviderBeanInfo.java,
	  java/io/FilterInputStream.java,
	  java/io/InvalidObjectException.java,
	  java/io/NotActiveException.java,
	  java/io/ObjectStreamConstants.java,
	  java/io/PipedOutputStream.java, java/io/Serializable.java,
	  java/io/SyncFailedException.java,
	  java/lang/IllegalAccessException.java, java/lang/Math.java,
	  java/lang/ref/Makefile.am, java/lang/ref/Makefile.in,
	  java/lang/ref/PhantomReference.java,
	  java/lang/ref/Reference.java, java/lang/ref/ReferenceQueue.java,
	  java/lang/ref/SoftReference.java,
	  java/lang/ref/WeakReference.java, java/lang/ref/package.html,
	  java/lang/reflect/AccessibleObject.java,
	  java/lang/reflect/Array.java,
	  java/lang/reflect/InvocationHandler.java,
	  java/lang/reflect/InvocationTargetException.java,
	  java/lang/reflect/Makefile.am, java/lang/reflect/Makefile.in,
	  java/lang/reflect/Member.java, java/lang/reflect/Modifier.java,
	  java/lang/reflect/Proxy.java, java/lang/reflect/README,
	  java/lang/reflect/ReflectPermission.java, java/lang/reflect/TODO,
	  java/lang/reflect/UndeclaredThrowableException.java,
	  java/lang/reflect/package.html, java/math/BigDecimal.java,
	  java/math/BigInteger.java, java/math/Makefile.am,
	  java/math/Makefile.in, java/math/package.html,
	  java/net/ContentHandler.java, java/net/FileNameMap.java,
	  java/net/NetworkInterface.java, java/net/SocketAddress.java,
	  java/net/SocketException.java, java/net/SocketImplFactory.java,
	  java/net/TODO, java/nio/Buffer.java,
	  java/nio/CharBufferImpl.java, java/nio/CharViewBufferImpl.java,
	  java/nio/FloatBuffer.java, java/nio/FloatViewBufferImpl.java,
	  java/nio/InvalidMarkException.java,
	  java/nio/MappedByteBuffer.java,
	  java/nio/ReadOnlyBufferException.java,
	  java/nio/channels/AlreadyConnectedException.java,
	  java/nio/channels/AsynchronousCloseException.java,
	  java/nio/channels/ClosedSelectorException.java,
	  java/nio/channels/ConnectionPendingException.java,
	  java/nio/channels/DatagramChannel.java,
	  java/nio/channels/FileLockInterruptionException.java,
	  java/nio/channels/InterruptibleChannel.java,
	  java/nio/channels/NonWritableChannelException.java,
	  java/nio/channels/NotYetBoundException.java,
	  java/nio/channels/ReadableByteChannel.java,
	  java/nio/channels/SelectionKey.java,
	  java/nio/channels/Selector.java,
	  java/nio/channels/SocketChannel.java,
	  java/nio/channels/UnresolvedAddressException.java,
	  java/nio/channels/spi/AbstractInterruptibleChannel.java,
	  java/nio/channels/spi/AbstractSelectableChannel.java,
	  java/nio/channels/spi/AbstractSelectionKey.java,
	  java/nio/channels/spi/AbstractSelector.java,
	  java/nio/channels/spi/Makefile.am,
	  java/nio/channels/spi/Makefile.in,
	  java/nio/channels/spi/SelectorProvider.java,
	  java/nio/channels/spi/package.html,
	  java/nio/charset/CharacterCodingException.java,
	  java/nio/charset/Charset.java,
	  java/nio/charset/CharsetDecoder.java,
	  java/nio/charset/CharsetEncoder.java,
	  java/nio/charset/CoderMalfunctionError.java,
	  java/nio/charset/CoderResult.java,
	  java/nio/charset/CodingErrorAction.java,
	  java/nio/charset/IllegalCharsetNameException.java,
	  java/nio/charset/Makefile.am, java/nio/charset/Makefile.in,
	  java/nio/charset/MalformedInputException.java,
	  java/nio/charset/UnmappableCharacterException.java,
	  java/nio/charset/UnsupportedCharsetException.java,
	  java/nio/charset/package.html,
	  java/nio/charset/spi/CharsetProvider.java,
	  java/nio/charset/spi/Makefile.am,
	  java/nio/charset/spi/Makefile.in,
	  java/nio/charset/spi/package.html, java/rmi/Remote.java,
	  java/rmi/ServerException.java,
	  java/rmi/ServerRuntimeException.java,
	  java/rmi/activation/Activatable.java,
	  java/rmi/activation/ActivateFailedException.java,
	  java/rmi/activation/ActivationDesc.java,
	  java/rmi/activation/ActivationException.java,
	  java/rmi/activation/ActivationGroup.java,
	  java/rmi/activation/ActivationGroupDesc.java,
	  java/rmi/activation/ActivationGroupID.java,
	  java/rmi/activation/ActivationID.java,
	  java/rmi/activation/ActivationInstantiator.java,
	  java/rmi/activation/ActivationMonitor.java,
	  java/rmi/activation/ActivationSystem.java,
	  java/rmi/activation/Activator.java,
	  java/rmi/activation/Makefile.am, java/rmi/activation/Makefile.in,
	  java/rmi/activation/UnknownGroupException.java,
	  java/rmi/activation/UnknownObjectException.java,
	  java/rmi/activation/package.html, java/rmi/dgc/DGC.java,
	  java/rmi/dgc/Lease.java, java/rmi/dgc/Makefile.am,
	  java/rmi/dgc/Makefile.in, java/rmi/dgc/VMID.java,
	  java/rmi/dgc/package.html, java/rmi/registry/LocateRegistry.java,
	  java/rmi/registry/Makefile.am, java/rmi/registry/Makefile.in,
	  java/rmi/registry/Registry.java,
	  java/rmi/registry/RegistryHandler.java,
	  java/rmi/registry/package.html,
	  java/rmi/server/RMIClassLoaderSpi.java,
	  java/rmi/server/RMIFailureHandler.java,
	  java/rmi/server/RemoteServer.java,
	  java/rmi/server/ServerNotActiveException.java,
	  java/rmi/server/SkeletonMismatchException.java,
	  java/rmi/server/SocketSecurityException.java,
	  java/rmi/server/UnicastRemoteObject.java,
	  java/rmi/server/Unreferenced.java, java/security/acl/Acl.java,
	  java/security/acl/AclEntry.java,
	  java/security/acl/AclNotFoundException.java,
	  java/security/acl/Group.java,
	  java/security/acl/LastOwnerException.java,
	  java/security/acl/Makefile.am, java/security/acl/Makefile.in,
	  java/security/acl/NotOwnerException.java,
	  java/security/acl/Owner.java, java/security/acl/Permission.java,
	  java/security/acl/package.html, java/security/cert/CRL.java,
	  java/security/cert/CRLException.java,
	  java/security/cert/CRLSelector.java,
	  java/security/cert/CertPath.java,
	  java/security/cert/CertPathBuilder.java,
	  java/security/cert/CertPathBuilderException.java,
	  java/security/cert/CertPathBuilderResult.java,
	  java/security/cert/CertPathBuilderSpi.java,
	  java/security/cert/CertPathParameters.java,
	  java/security/cert/CertPathValidator.java,
	  java/security/cert/CertPathValidatorException.java,
	  java/security/cert/CertPathValidatorResult.java,
	  java/security/cert/CertPathValidatorSpi.java,
	  java/security/cert/CertSelector.java,
	  java/security/cert/CertStore.java,
	  java/security/cert/CertStoreException.java,
	  java/security/cert/CertStoreParameters.java,
	  java/security/cert/CertStoreSpi.java,
	  java/security/cert/Certificate.java,
	  java/security/cert/CertificateException.java,
	  java/security/cert/CertificateExpiredException.java,
	  java/security/cert/CertificateFactory.java,
	  java/security/cert/CertificateParsingException.java,
	  java/security/cert/LDAPCertStoreParameters.java,
	  java/security/cert/Makefile.am, java/security/cert/Makefile.in,
	  java/security/cert/PKIXBuilderParameters.java,
	  java/security/cert/PKIXCertPathBuilderResult.java,
	  java/security/cert/PKIXCertPathChecker.java,
	  java/security/cert/PKIXCertPathValidatorResult.java,
	  java/security/cert/PolicyQualifierInfo.java,
	  java/security/cert/TrustAnchor.java,
	  java/security/cert/X509CRL.java,
	  java/security/cert/X509Certificate.java,
	  java/security/cert/X509Extension.java,
	  java/security/interfaces/DSAKey.java,
	  java/security/interfaces/DSAKeyPairGenerator.java,
	  java/security/interfaces/DSAParams.java,
	  java/security/interfaces/DSAPrivateKey.java,
	  java/security/interfaces/DSAPublicKey.java,
	  java/security/interfaces/Makefile.am,
	  java/security/interfaces/Makefile.in,
	  java/security/interfaces/RSAPrivateKey.java,
	  java/security/interfaces/RSAPublicKey.java,
	  java/security/spec/AlgorithmParameterSpec.java,
	  java/security/spec/DSAParameterSpec.java,
	  java/security/spec/DSAPrivateKeySpec.java,
	  java/security/spec/DSAPublicKeySpec.java,
	  java/security/spec/EncodedKeySpec.java,
	  java/security/spec/InvalidKeySpecException.java,
	  java/security/spec/InvalidParameterSpecException.java,
	  java/security/spec/KeySpec.java, java/security/spec/Makefile.am,
	  java/security/spec/Makefile.in,
	  java/security/spec/PKCS8EncodedKeySpec.java,
	  java/security/spec/PSSParameterSpec.java,
	  java/security/spec/RSAKeyGenParameterSpec.java,
	  java/security/spec/RSAMultiPrimePrivateCrtKeySpec.java,
	  java/security/spec/RSAOtherPrimeInfo.java,
	  java/security/spec/RSAPrivateCrtKeySpec.java,
	  java/security/spec/RSAPrivateKeySpec.java,
	  java/security/spec/RSAPublicKeySpec.java,
	  java/security/spec/X509EncodedKeySpec.java,
	  java/security/spec/package.html,
	  java/sql/BatchUpdateException.java,
	  java/sql/CallableStatement.java, java/sql/Clob.java,
	  java/sql/Connection.java, java/text/Annotation.java,
	  java/text/AttributedCharacterIterator.java,
	  java/text/AttributedStringIterator.java,
	  java/text/BreakIterator.java, java/text/ChoiceFormat.java,
	  java/text/CollationElementIterator.java,
	  java/text/CollationKey.java, java/text/Collator.java,
	  java/text/DateFormatSymbols.java, java/text/DecimalFormat.java,
	  java/text/DecimalFormatSymbols.java,
	  java/text/FieldPosition.java, java/text/Format.java,
	  java/text/Makefile.am, java/text/Makefile.in,
	  java/text/MessageFormat.java, java/text/ParsePosition.java,
	  java/text/RuleBasedCollator.java,
	  java/text/StringCharacterIterator.java,
	  java/util/jar/Attributes.java, java/util/jar/JarEntry.java,
	  java/util/jar/JarException.java, java/util/jar/JarFile.java,
	  java/util/jar/JarInputStream.java,
	  java/util/jar/JarOutputStream.java, java/util/jar/Makefile.am,
	  java/util/jar/Makefile.in, java/util/jar/Manifest.java,
	  java/util/jar/package.html,
	  java/util/logging/ConsoleHandler.java,
	  java/util/logging/ErrorManager.java,
	  java/util/logging/FileHandler.java,
	  java/util/logging/Filter.java, java/util/logging/Formatter.java,
	  java/util/logging/Handler.java, java/util/logging/Level.java,
	  java/util/logging/LogManager.java,
	  java/util/logging/LogRecord.java, java/util/logging/Logger.java,
	  java/util/logging/LoggingPermission.java,
	  java/util/logging/Makefile.am, java/util/logging/Makefile.in,
	  java/util/logging/MemoryHandler.java,
	  java/util/logging/SimpleFormatter.java,
	  java/util/logging/SocketHandler.java,
	  java/util/logging/StreamHandler.java,
	  java/util/logging/XMLFormatter.java,
	  java/util/logging/package.html,
	  java/util/prefs/AbstractPreferences.java,
	  java/util/prefs/BackingStoreException.java,
	  java/util/prefs/InvalidPreferencesFormatException.java,
	  java/util/prefs/Makefile.am, java/util/prefs/Makefile.in,
	  java/util/prefs/NodeChangeEvent.java,
	  java/util/prefs/NodeChangeListener.java,
	  java/util/prefs/PreferenceChangeEvent.java,
	  java/util/prefs/PreferenceChangeListener.java,
	  java/util/prefs/Preferences.java,
	  java/util/prefs/PreferencesFactory.java,
	  java/util/prefs/package.html, java/util/regex/Makefile.am,
	  java/util/regex/Makefile.in, java/util/regex/Matcher.java,
	  java/util/regex/Pattern.java,
	  java/util/regex/PatternSyntaxException.java,
	  java/util/regex/package.html, java/util/zip/Adler32.java,
	  java/util/zip/CRC32.java, java/util/zip/CheckedOutputStream.java,
	  java/util/zip/Deflater.java, java/util/zip/DeflaterEngine.java,
	  java/util/zip/DeflaterOutputStream.java,
	  java/util/zip/DeflaterPending.java,
	  java/util/zip/GZIPInputStream.java,
	  java/util/zip/GZIPOutputStream.java, java/util/zip/Inflater.java,
	  java/util/zip/InflaterHuffmanTree.java,
	  java/util/zip/Makefile.am, java/util/zip/Makefile.in,
	  java/util/zip/OutputWindow.java,
	  java/util/zip/StreamManipulator.java,
	  java/util/zip/ZipConstants.java, java/util/zip/ZipException.java,
	  java/util/zip/ZipFile.java, java/util/zip/ZipInputStream.java,
	  java/util/zip/ZipOutputStream.java,
	  javax/accessibility/Accessible.java,
	  javax/accessibility/AccessibleAction.java,
	  javax/accessibility/AccessibleBundle.java,
	  javax/accessibility/AccessibleComponent.java,
	  javax/accessibility/AccessibleContext.java,
	  javax/accessibility/AccessibleEditableText.java,
	  javax/accessibility/AccessibleExtendedComponent.java,
	  javax/accessibility/AccessibleExtendedTable.java,
	  javax/accessibility/AccessibleHyperlink.java,
	  javax/accessibility/AccessibleHypertext.java,
	  javax/accessibility/AccessibleIcon.java,
	  javax/accessibility/AccessibleKeyBinding.java,
	  javax/accessibility/AccessibleRelation.java,
	  javax/accessibility/AccessibleRelationSet.java,
	  javax/accessibility/AccessibleResourceBundle.java,
	  javax/accessibility/AccessibleRole.java,
	  javax/accessibility/AccessibleSelection.java,
	  javax/accessibility/AccessibleState.java,
	  javax/accessibility/AccessibleStateSet.java,
	  javax/accessibility/AccessibleTable.java,
	  javax/accessibility/AccessibleText.java,
	  javax/accessibility/AccessibleValue.java,
	  javax/accessibility/Makefile.am, javax/accessibility/Makefile.in,
	  javax/accessibility/package.html,
	  javax/naming/directory/Attribute.java,
	  javax/naming/directory/AttributeInUseException.java,
	  javax/naming/directory/AttributeModificationException.java,
	  javax/naming/directory/Attributes.java,
	  javax/naming/directory/BasicAttribute.java,
	  javax/naming/directory/BasicAttributes.java,
	  javax/naming/directory/DirContext.java,
	  javax/naming/directory/InitialDirContext.java,
	  javax/naming/directory/InvalidAttributeIdentifierException.java,
	  javax/naming/directory/InvalidAttributeValueException.java,
	  javax/naming/directory/InvalidAttributesException.java,
	  javax/naming/directory/InvalidSearchControlsException.java,
	  javax/naming/directory/InvalidSearchFilterException.java,
	  javax/naming/directory/Makefile.am,
	  javax/naming/directory/Makefile.in,
	  javax/naming/directory/ModificationItem.java,
	  javax/naming/directory/NoSuchAttributeException.java,
	  javax/naming/directory/SchemaViolationException.java,
	  javax/naming/directory/SearchControls.java,
	  javax/naming/directory/SearchResult.java,
	  javax/naming/event/EventContext.java,
	  javax/naming/event/EventDirContext.java,
	  javax/naming/event/Makefile.am, javax/naming/event/Makefile.in,
	  javax/naming/event/NamespaceChangeListener.java,
	  javax/naming/event/NamingEvent.java,
	  javax/naming/event/NamingExceptionEvent.java,
	  javax/naming/event/NamingListener.java,
	  javax/naming/event/ObjectChangeListener.java,
	  javax/naming/ldap/Control.java,
	  javax/naming/ldap/ControlFactory.java,
	  javax/naming/ldap/ExtendedResponse.java,
	  javax/naming/ldap/HasControls.java,
	  javax/naming/ldap/InitialLdapContext.java,
	  javax/naming/ldap/LdapContext.java,
	  javax/naming/ldap/LdapReferralException.java,
	  javax/naming/ldap/Makefile.am, javax/naming/ldap/Makefile.in,
	  javax/naming/ldap/UnsolicitedNotificationEvent.java,
	  javax/naming/ldap/UnsolicitedNotificationListener.java,
	  javax/naming/spi/DirObjectFactory.java,
	  javax/naming/spi/DirStateFactory.java,
	  javax/naming/spi/DirectoryManager.java,
	  javax/naming/spi/InitialContextFactory.java,
	  javax/naming/spi/InitialContextFactoryBuilder.java,
	  javax/naming/spi/Makefile.am, javax/naming/spi/Makefile.in,
	  javax/naming/spi/NamingManager.java,
	  javax/naming/spi/ObjectFactory.java,
	  javax/naming/spi/ObjectFactoryBuilder.java,
	  javax/naming/spi/ResolveResult.java,
	  javax/naming/spi/Resolver.java,
	  javax/naming/spi/StateFactory.java, javax/print/Makefile.am,
	  javax/print/Makefile.in, javax/print/attribute/Attribute.java,
	  javax/print/attribute/AttributeSet.java,
	  javax/print/attribute/Makefile.am,
	  javax/print/attribute/Makefile.in,
	  javax/print/attribute/package.html, javax/rmi/BAD_OPERATION.java,
	  javax/rmi/Makefile.am, javax/rmi/Makefile.in, javax/rmi/ORB.java,
	  javax/rmi/PortableRemoteObject.java,
	  javax/rmi/CORBA/ClassDesc.java, javax/rmi/CORBA/Makefile.am,
	  javax/rmi/CORBA/Makefile.in, javax/rmi/CORBA/ObjectImpl.java,
	  javax/rmi/CORBA/PortableRemoteObjectDelegate.java,
	  javax/rmi/CORBA/Stub.java, javax/rmi/CORBA/StubDelegate.java,
	  javax/rmi/CORBA/SystemException.java, javax/rmi/CORBA/Tie.java,
	  javax/rmi/CORBA/Util.java, javax/rmi/CORBA/UtilDelegate.java,
	  javax/rmi/CORBA/ValueHandler.java, javax/security/Makefile.am,
	  javax/security/Makefile.in, javax/security/auth/Makefile.am,
	  javax/security/auth/Makefile.in,
	  javax/security/auth/x500/Makefile.am,
	  javax/security/auth/x500/Makefile.in,
	  javax/security/auth/x500/X500Principal.java,
	  javax/sql/ConnectionEventListener.java,
	  javax/sql/ConnectionPoolDataSource.java, javax/sql/Makefile.am,
	  javax/sql/PooledConnection.java, javax/sql/RowSetEvent.java,
	  javax/sql/RowSetInternal.java, javax/sql/XADataSource.java,
	  javax/swing/JFrame.java, javax/swing/border/Border.java,
	  javax/swing/border/EmptyBorder.java,
	  javax/swing/border/EtchedBorder.java,
	  javax/swing/colorchooser/AbstractColorChooserPanel.java,
	  javax/swing/colorchooser/ColorChooserComponentFactory.java,
	  javax/swing/colorchooser/ColorSelectionModel.java,
	  javax/swing/colorchooser/DefaultColorSelectionModel.java,
	  javax/swing/colorchooser/Makefile.am,
	  javax/swing/colorchooser/Makefile.in,
	  javax/swing/colorchooser/package.html,
	  javax/swing/event/AncestorEvent.java,
	  javax/swing/event/DocumentEvent.java,
	  javax/swing/event/EventListenerList.java,
	  javax/swing/event/HyperlinkEvent.java,
	  javax/swing/event/InternalFrameAdapter.java,
	  javax/swing/event/InternalFrameEvent.java,
	  javax/swing/event/InternalFrameListener.java,
	  javax/swing/event/ListDataEvent.java,
	  javax/swing/event/MenuEvent.java,
	  javax/swing/event/MenuKeyListener.java,
	  javax/swing/event/TableColumnModelEvent.java,
	  javax/swing/event/TableModelEvent.java,
	  javax/swing/event/TableModelListener.java,
	  javax/swing/event/TreeExpansionEvent.java,
	  javax/swing/event/TreeSelectionEvent.java,
	  javax/swing/event/TreeSelectionListener.java,
	  javax/swing/filechooser/FileFilter.java,
	  javax/swing/filechooser/FileSystemView.java,
	  javax/swing/filechooser/FileView.java,
	  javax/swing/filechooser/Makefile.am,
	  javax/swing/filechooser/Makefile.in,
	  javax/swing/filechooser/package.html,
	  javax/swing/plaf/ActionMapUIResource.java,
	  javax/swing/plaf/ColorChooserUI.java,
	  javax/swing/plaf/ColorUIResource.java,
	  javax/swing/plaf/ComponentInputMapUIResource.java,
	  javax/swing/plaf/InputMapUIResource.java,
	  javax/swing/plaf/TableHeaderUI.java,
	  javax/swing/plaf/TextUI.java, javax/swing/plaf/ToolBarUI.java,
	  javax/swing/plaf/basic/BasicCheckBoxUI.java,
	  javax/swing/plaf/basic/BasicIconFactory.java,
	  javax/swing/plaf/basic/BasicListUI.java,
	  javax/swing/plaf/basic/BasicRadioButtonUI.java,
	  javax/swing/plaf/basic/BasicScrollPaneUI.java,
	  javax/swing/plaf/basic/BasicSplitPaneDivider.java,
	  javax/swing/plaf/basic/BasicTabbedPaneUI.java,
	  javax/swing/plaf/basic/BasicToggleButtonUI.java,
	  javax/swing/plaf/basic/BasicTreeUI.java,
	  javax/swing/plaf/metal/Makefile.am,
	  javax/swing/plaf/metal/Makefile.in,
	  javax/swing/plaf/metal/MetalLookAndFeel.java,
	  javax/swing/plaf/metal/package.html,
	  javax/swing/table/DefaultTableCellRenderer.java,
	  javax/swing/table/DefaultTableColumnModel.java,
	  javax/swing/table/DefaultTableModel.java,
	  javax/swing/table/TableCellEditor.java,
	  javax/swing/table/TableCellRenderer.java,
	  javax/swing/table/TableColumn.java,
	  javax/swing/table/TableColumnModel.java,
	  javax/swing/text/AbstractDocument.java,
	  javax/swing/text/AttributeSet.java,
	  javax/swing/text/DefaultCaret.java,
	  javax/swing/text/DefaultEditorKit.java,
	  javax/swing/text/EditorKit.java, javax/swing/text/Element.java,
	  javax/swing/text/Keymap.java, javax/swing/text/Makefile.am,
	  javax/swing/text/Makefile.in,
	  javax/swing/text/PlainDocument.java,
	  javax/swing/text/PlainEditorKit.java,
	  javax/swing/text/Segment.java,
	  javax/swing/text/StyledEditorKit.java,
	  javax/swing/text/TextAction.java, javax/swing/text/View.java,
	  javax/swing/text/html/HTML.java,
	  javax/swing/text/html/Makefile.am,
	  javax/swing/text/html/Makefile.in,
	  javax/swing/text/html/package.html,
	  javax/swing/text/html/parser/Makefile.am,
	  javax/swing/text/html/parser/Makefile.in,
	  javax/swing/text/html/parser/ParserDelegator.java,
	  javax/swing/text/html/parser/package.html,
	  javax/swing/tree/AbstractLayoutCache.java,
	  javax/swing/tree/DefaultMutableTreeNode.java,
	  javax/swing/tree/DefaultTreeCellEditor.java,
	  javax/swing/tree/DefaultTreeCellRenderer.java,
	  javax/swing/tree/DefaultTreeModel.java,
	  javax/swing/tree/DefaultTreeSelectionModel.java,
	  javax/swing/tree/ExpandVetoException.java,
	  javax/swing/tree/FixedHeightLayoutCache.java,
	  javax/swing/tree/Makefile.am, javax/swing/tree/Makefile.in,
	  javax/swing/tree/MutableTreeNode.java,
	  javax/swing/tree/RowMapper.java,
	  javax/swing/tree/TreeCellEditor.java,
	  javax/swing/tree/TreeCellRenderer.java,
	  javax/swing/tree/TreeModel.java, javax/swing/tree/TreeNode.java,
	  javax/swing/tree/TreePath.java,
	  javax/swing/tree/TreeSelectionModel.java,
	  javax/swing/tree/VariableHeightLayoutCache.java,
	  javax/swing/tree/package.html,
	  javax/swing/undo/CompoundEdit.java,
	  javax/swing/undo/UndoManager.java,
	  javax/swing/undo/UndoableEditSupport.java,
	  javax/transaction/xa/Makefile.am, native/cni/Makefile.am,
	  native/fdlibm/Makefile.am, native/fdlibm/Makefile.in,
	  native/fdlibm/dtoa.c, native/fdlibm/e_acos.c,
	  native/fdlibm/e_asin.c, native/fdlibm/e_exp.c,
	  native/fdlibm/e_fmod.c, native/fdlibm/e_log.c,
	  native/fdlibm/e_pow.c, native/fdlibm/e_rem_pio2.c,
	  native/fdlibm/e_remainder.c, native/fdlibm/e_scalb.c,
	  native/fdlibm/e_sqrt.c, native/fdlibm/fdlibm.h,
	  native/fdlibm/ieeefp.h, native/fdlibm/k_rem_pio2.c,
	  native/fdlibm/mprec.c, native/fdlibm/mprec.h,
	  native/fdlibm/s_atan.c, native/fdlibm/s_ceil.c,
	  native/fdlibm/s_copysign.c, native/fdlibm/s_cos.c,
	  native/fdlibm/s_fabs.c, native/fdlibm/s_floor.c,
	  native/fdlibm/s_sin.c, native/fdlibm/s_tan.c,
	  native/fdlibm/sf_rint.c, native/fdlibm/w_acos.c,
	  native/fdlibm/w_asin.c, native/fdlibm/w_atan2.c,
	  native/fdlibm/w_exp.c, native/fdlibm/w_fmod.c,
	  native/fdlibm/w_remainder.c, native/fdlibm/w_sqrt.c,
	  native/jni/Makefile.am, native/jni/Makefile.in,
	  native/jni/classpath/Makefile.am,
	  native/jni/classpath/Makefile.in, native/jni/classpath/jcl.c,
	  native/jni/classpath/jcl.h, native/jni/classpath/jnilink.c,
	  native/jni/classpath/jnilink.h,
	  native/jni/classpath/native_state.c,
	  native/jni/classpath/native_state.h,
	  native/jni/classpath/primlib.c, native/jni/classpath/primlib.h,
	  native/jni/gtk-peer/Makefile.am, native/jni/gtk-peer/Makefile.in,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCanvasPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxMenuItemPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuBarPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPanelPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollBarPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollPanePeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextComponentPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextFieldPeer.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkToolkit.c,
	  native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c,
	  native/jni/gtk-peer/gthread-jni.c,
	  native/jni/gtk-peer/gthread-jni.h, native/jni/gtk-peer/gtkpeer.h,
	  native/jni/java-io/java_io_File.c,
	  native/jni/java-io/java_io_ObjectInputStream.c,
	  native/jni/java-lang/Makefile.am,
	  native/jni/java-lang/Makefile.in,
	  native/jni/java-lang/java_lang_Double.c,
	  native/jni/java-lang/java_lang_Math.c,
	  native/jni/java-lang/java_lang_Object.c,
	  native/jni/java-lang/java_lang_VMDouble.c,
	  native/jni/java-lang/java_lang_VMFloat.c,
	  native/jni/java-lang/java_lang_VMSystem.c,
	  native/jni/java-lang/java_lang_reflect_Array.c,
	  native/jni/java-net/Makefile.am,
	  native/jni/java-net/java_net_InetAddress.c,
	  native/jni/java-nio/Makefile.am, native/jni/java-nio/Makefile.in,
	  native/jni/java-nio/java_nio_DirectByteBufferImpl.c,
	  native/jni/java-nio/java_nio_FileChannelImpl.c,
	  native/jni/java-nio/java_nio_FileLockImpl.c,
	  native/jni/java-util/Makefile.am,
	  native/jni/java-util/Makefile.in,
	  native/jni/java-util/java_util_TimeZone.c,
	  native/target/Makefile.am, native/target/Makefile.in,
	  native/target/readme.txt, native/target/Linux/Makefile.am,
	  native/target/Linux/Makefile.in,
	  native/target/Linux/target_native.h,
	  native/target/Linux/target_native_file.h,
	  native/target/Linux/target_native_io.h,
	  native/target/Linux/target_native_math_float.h,
	  native/target/Linux/target_native_math_int.h,
	  native/target/Linux/target_native_misc.h,
	  native/target/Linux/target_native_network.h,
	  native/target/generic/Makefile.am,
	  native/target/generic/Makefile.in,
	  native/target/generic/target_generic.h,
	  native/target/generic/target_generic_file.h,
	  native/target/generic/target_generic_io.h,
	  native/target/generic/target_generic_math_float.h,
	  native/target/generic/target_generic_math_int.h,
	  native/target/generic/target_generic_misc.h,
	  native/target/generic/target_generic_network.h,
	  resource/gnu/Makefile.am, resource/gnu/Makefile.in,
	  resource/gnu/java/Makefile.am, resource/gnu/java/Makefile.in,
	  resource/gnu/java/awt/Makefile.am,
	  resource/gnu/java/awt/Makefile.in,
	  resource/gnu/java/awt/peer/Makefile.am,
	  resource/gnu/java/awt/peer/Makefile.in,
	  resource/gnu/java/awt/peer/gtk/Makefile.am,
	  resource/gnu/java/awt/peer/gtk/Makefile.in,
	  resource/gnu/java/awt/peer/gtk/font.properties,
	  resource/java/security/Makefile.am,
	  resource/java/security/Makefile.in,
	  resource/java/security/classpath.security,
	  resource/java/util/iso639_fr.properties, vm/Makefile.am,
	  vm/Makefile.in, vm/reference/Makefile.am,
	  vm/reference/Makefile.in, vm/reference/java/Makefile.am,
	  vm/reference/java/Makefile.in, vm/reference/java/io/Makefile.am,
	  vm/reference/java/io/Makefile.in,
	  vm/reference/java/io/VMObjectStreamClass.java,
	  vm/reference/java/lang/Makefile.am,
	  vm/reference/java/lang/Makefile.in,
	  vm/reference/java/lang/Runtime.java,
	  vm/reference/java/lang/Thread.java,
	  vm/reference/java/lang/VMClass.java,
	  vm/reference/java/lang/VMClassLoader.java,
	  vm/reference/java/lang/VMDouble.java,
	  vm/reference/java/lang/VMFloat.java,
	  vm/reference/java/lang/VMObject.java,
	  vm/reference/java/lang/VMSecurityManager.java,
	  vm/reference/java/lang/VMString.java,
	  vm/reference/java/lang/VMSystem.java,
	  vm/reference/java/lang/VMThrowable.java,
	  vm/reference/java/lang/reflect/Constructor.java,
	  vm/reference/java/lang/reflect/Field.java,
	  vm/reference/java/lang/reflect/Makefile.am,
	  vm/reference/java/lang/reflect/Makefile.in,
	  vm/reference/java/lang/reflect/Method.java: missing files

2003-10-30 18:19  jowenn

	* src/: classpath/native/Makefile.am, classpath/native/Makefile.in,
	  classpath/native/cni/Makefile.in,
	  classpath/native/fdlibm/e_atan2.c,
	  classpath/native/fdlibm/java-assert.h,
	  classpath/native/fdlibm/k_cos.c, classpath/native/fdlibm/k_sin.c,
	  classpath/native/fdlibm/k_tan.c,
	  classpath/native/fdlibm/s_rint.c,
	  classpath/native/fdlibm/s_scalbn.c,
	  classpath/native/fdlibm/sf_fabs.c,
	  classpath/native/fdlibm/strtod.c,
	  classpath/native/fdlibm/w_log.c, classpath/native/fdlibm/w_pow.c,
	  classpath/native/jni/java-io/FileDescriptor.c,
	  classpath/native/jni/java-io/Makefile.am,
	  classpath/native/jni/java-io/Makefile.in,
	  classpath/native/jni/java-io/javaio.c,
	  classpath/native/jni/java-io/javaio.h,
	  classpath/native/jni/java-net/Makefile.in,
	  classpath/native/jni/java-net/java_net_NetworkInterface.c,
	  classpath/native/jni/java-net/java_net_PlainDatagramSocketImpl.c,
	  classpath/native/jni/java-net/java_net_PlainSocketImpl.c,
	  classpath/native/jni/java-net/javanet.c,
	  classpath/native/jni/java-net/javanet.h,
	  classpath/resource/Makefile.am, classpath/resource/Makefile.in,
	  classpath/resource/orp-1.0.8.patch,
	  classpath/resource/orp-1.0.9.patch,
	  classpath/resource/java/Makefile.am,
	  classpath/resource/java/Makefile.in,
	  classpath/resource/java/util/Makefile.am,
	  classpath/resource/java/util/Makefile.in,
	  classpath/resource/java/util/iso3166-a3.properties,
	  classpath/resource/java/util/iso3166.properties,
	  classpath/resource/java/util/iso3166_de.properties,
	  classpath/resource/java/util/iso639-a2-old.properties,
	  classpath/resource/java/util/iso639-a3.properties,
	  classpath/resource/java/util/iso639.properties,
	  classpath/resource/java/util/iso639_de.properties,
	  classpath/resource/java/util/iso639_ga.properties,
	  vm/jit/parse.c: slightly modified classpath 0.06

2003-10-30 18:15  jowenn

	* src/classpath/: javax/swing/JRadioButtonMenuItem.java,
	  javax/swing/JRootPane.java, javax/swing/JScrollBar.java,
	  javax/swing/JScrollPane.java, javax/swing/JSeparator.java,
	  javax/swing/JSlider.java, javax/swing/JSplitPane.java,
	  javax/swing/JTabbedPane.java, javax/swing/JTable.java,
	  javax/swing/JTextField.java, javax/swing/JTextPane.java,
	  javax/swing/JToggleButton.java, javax/swing/JToolBar.java,
	  javax/swing/JToolTip.java, javax/swing/JTree.java,
	  javax/swing/JViewport.java, javax/swing/JWindow.java,
	  javax/swing/KeyStroke.java, javax/swing/ListCellRenderer.java,
	  javax/swing/ListModel.java, javax/swing/ListSelectionModel.java,
	  javax/swing/LookAndFeel.java, javax/swing/Makefile.am,
	  javax/swing/Makefile.in, javax/swing/MenuElement.java,
	  javax/swing/MenuSelectionManager.java,
	  javax/swing/MutableComboBoxModel.java,
	  javax/swing/OverlayLayout.java, javax/swing/Popup.java,
	  javax/swing/PopupFactory.java, javax/swing/ProgressMonitor.java,
	  javax/swing/ProgressMonitorInputStream.java,
	  javax/swing/Renderer.java, javax/swing/RepaintManager.java,
	  javax/swing/RootPaneContainer.java,
	  javax/swing/ScrollPaneConstants.java,
	  javax/swing/ScrollPaneLayout.java, javax/swing/Scrollable.java,
	  javax/swing/SingleSelectionModel.java,
	  javax/swing/SizeRequirements.java, javax/swing/SizeSequence.java,
	  javax/swing/SpinnerModel.java, javax/swing/SwingConstants.java,
	  javax/swing/SwingUtilities.java, javax/swing/Timer.java,
	  javax/swing/ToggleButtonModel.java,
	  javax/swing/ToolTipManager.java, javax/swing/UIDefaults.java,
	  javax/swing/UIManager.java,
	  javax/swing/UnsupportedLookAndFeelException.java,
	  javax/swing/ViewportLayout.java,
	  javax/swing/WindowConstants.java, javax/swing/package.html,
	  javax/swing/border/AbstractBorder.java,
	  javax/swing/border/BevelBorder.java,
	  javax/swing/border/CompoundBorder.java,
	  javax/swing/border/LineBorder.java,
	  javax/swing/border/Makefile.am, javax/swing/border/Makefile.in,
	  javax/swing/border/MatteBorder.java,
	  javax/swing/border/SoftBevelBorder.java,
	  javax/swing/border/TitledBorder.java,
	  javax/swing/border/package.html,
	  javax/swing/event/AncestorListener.java,
	  javax/swing/event/CaretEvent.java,
	  javax/swing/event/CaretListener.java,
	  javax/swing/event/CellEditorListener.java,
	  javax/swing/event/ChangeEvent.java,
	  javax/swing/event/ChangeListener.java,
	  javax/swing/event/DocumentListener.java,
	  javax/swing/event/HyperlinkListener.java,
	  javax/swing/event/ListDataListener.java,
	  javax/swing/event/ListSelectionEvent.java,
	  javax/swing/event/ListSelectionListener.java,
	  javax/swing/event/Makefile.am, javax/swing/event/Makefile.in,
	  javax/swing/event/MenuDragMouseEvent.java,
	  javax/swing/event/MenuDragMouseListener.java,
	  javax/swing/event/MenuKeyEvent.java,
	  javax/swing/event/MenuListener.java,
	  javax/swing/event/MouseInputAdapter.java,
	  javax/swing/event/MouseInputListener.java,
	  javax/swing/event/PopupMenuEvent.java,
	  javax/swing/event/PopupMenuListener.java,
	  javax/swing/event/SwingPropertyChangeSupport.java,
	  javax/swing/event/TableColumnModelListener.java,
	  javax/swing/event/TreeExpansionListener.java,
	  javax/swing/event/TreeModelEvent.java,
	  javax/swing/event/TreeModelListener.java,
	  javax/swing/event/TreeWillExpandListener.java,
	  javax/swing/event/UndoableEditEvent.java,
	  javax/swing/event/UndoableEditListener.java,
	  javax/swing/event/package.html,
	  javax/swing/plaf/BorderUIResource.java,
	  javax/swing/plaf/ButtonUI.java, javax/swing/plaf/ComboBoxUI.java,
	  javax/swing/plaf/ComponentUI.java,
	  javax/swing/plaf/DesktopIconUI.java,
	  javax/swing/plaf/DesktopPaneUI.java,
	  javax/swing/plaf/DimensionUIResource.java,
	  javax/swing/plaf/FileChooserUI.java,
	  javax/swing/plaf/FontUIResource.java,
	  javax/swing/plaf/IconUIResource.java,
	  javax/swing/plaf/InsetsUIResource.java,
	  javax/swing/plaf/InternalFrameUI.java,
	  javax/swing/plaf/LabelUI.java, javax/swing/plaf/ListUI.java,
	  javax/swing/plaf/Makefile.am, javax/swing/plaf/Makefile.in,
	  javax/swing/plaf/MenuBarUI.java,
	  javax/swing/plaf/MenuItemUI.java,
	  javax/swing/plaf/OptionPaneUI.java,
	  javax/swing/plaf/PanelUI.java, javax/swing/plaf/PopupMenuUI.java,
	  javax/swing/plaf/ProgressBarUI.java,
	  javax/swing/plaf/RootPaneUI.java,
	  javax/swing/plaf/ScrollBarUI.java,
	  javax/swing/plaf/ScrollPaneUI.java,
	  javax/swing/plaf/SeparatorUI.java,
	  javax/swing/plaf/SliderUI.java,
	  javax/swing/plaf/SplitPaneUI.java,
	  javax/swing/plaf/TabbedPaneUI.java,
	  javax/swing/plaf/TableUI.java, javax/swing/plaf/ToolTipUI.java,
	  javax/swing/plaf/TreeUI.java, javax/swing/plaf/UIResource.java,
	  javax/swing/plaf/ViewportUI.java, javax/swing/plaf/package.html,
	  javax/swing/plaf/basic/BasicBorders.java,
	  javax/swing/plaf/basic/BasicButtonUI.java,
	  javax/swing/plaf/basic/BasicDefaults.java,
	  javax/swing/plaf/basic/BasicGraphicsUtils.java,
	  javax/swing/plaf/basic/BasicLabelUI.java,
	  javax/swing/plaf/basic/BasicLookAndFeel.java,
	  javax/swing/plaf/basic/BasicOptionPaneUI.java,
	  javax/swing/plaf/basic/BasicPanelUI.java,
	  javax/swing/plaf/basic/BasicSplitPaneUI.java,
	  javax/swing/plaf/basic/BasicTextUI.java,
	  javax/swing/plaf/basic/BasicViewportUI.java,
	  javax/swing/plaf/basic/Makefile.am,
	  javax/swing/plaf/basic/Makefile.in,
	  javax/swing/plaf/basic/package.html,
	  javax/swing/table/AbstractTableModel.java,
	  javax/swing/table/JTableHeader.java,
	  javax/swing/table/Makefile.am, javax/swing/table/Makefile.in,
	  javax/swing/table/TableModel.java,
	  javax/swing/table/package.html,
	  javax/swing/text/BadLocationException.java,
	  javax/swing/text/Caret.java,
	  javax/swing/text/CharacterIterator.java,
	  javax/swing/text/ComponentView.java,
	  javax/swing/text/Document.java,
	  javax/swing/text/DocumentFilter.java,
	  javax/swing/text/GapContent.java,
	  javax/swing/text/JTextComponent.java,
	  javax/swing/text/MutableAttributeSet.java,
	  javax/swing/text/NavigationFilter.java,
	  javax/swing/text/Position.java, javax/swing/text/Style.java,
	  javax/swing/text/StyledDocument.java,
	  javax/swing/text/ViewFactory.java, javax/swing/text/package.html,
	  javax/swing/undo/AbstractUndoableEdit.java,
	  javax/swing/undo/CannotRedoException.java,
	  javax/swing/undo/CannotUndoException.java,
	  javax/swing/undo/Makefile.am, javax/swing/undo/Makefile.in,
	  javax/swing/undo/StateEdit.java,
	  javax/swing/undo/StateEditable.java,
	  javax/swing/undo/UndoableEdit.java,
	  javax/swing/undo/package.html,
	  javax/transaction/HeuristicCommitException.java,
	  javax/transaction/HeuristicMixedException.java,
	  javax/transaction/HeuristicRollbackException.java,
	  javax/transaction/InvalidTransactionException.java,
	  javax/transaction/Makefile.am, javax/transaction/Makefile.in,
	  javax/transaction/NotSupportedException.java,
	  javax/transaction/RollbackException.java,
	  javax/transaction/Status.java,
	  javax/transaction/Synchronization.java,
	  javax/transaction/SystemException.java,
	  javax/transaction/Transaction.java,
	  javax/transaction/TransactionManager.java,
	  javax/transaction/TransactionRequiredException.java,
	  javax/transaction/TransactionRolledbackException.java,
	  javax/transaction/UserTransaction.java,
	  javax/transaction/xa/Makefile.in,
	  javax/transaction/xa/XAException.java,
	  javax/transaction/xa/XAResource.java,
	  javax/transaction/xa/Xid.java, lib/Makefile.am, lib/Makefile.in,
	  lib/classes, lib/classes.1, lib/compile-classes,
	  lib/gen-classlist.sh.in, lib/gen_nio.sh.in, lib/glibj.zip,
	  lib/java.dep, lib/mkcollections.pl.in, lib/resources,
	  lib/standard.omit: slightly modified classpath 0.06

2003-10-30 18:12  jowenn

	* src/classpath/: AUTHORS, BUGS, COPYING, ChangeLog, HACKING,
	  INSTALL, LICENSE, Makefile.am, Makefile.in, NEWS, README,
	  THANKYOU, TODO, acinclude.m4, aclocal.m4, config.guess,
	  config.sub, configure, configure.in, depcomp, install-sh,
	  ltmain.sh, mauve-classpath, missing, mkinstalldirs, stamp-h.in,
	  doc/Makefile.am, doc/Makefile.in, doc/hacking.texinfo,
	  doc/texinfo.tex, doc/vmintegration.texinfo, doc/api/Makefile.am,
	  doc/api/Makefile.in, doc/api/classpath-copyright.xml,
	  external/Makefile.am, external/Makefile.in, external/README,
	  gnu/Makefile.am, gnu/Makefile.in, gnu/java/Makefile.am,
	  gnu/java/Makefile.in, gnu/java/awt/BitMaskExtent.java,
	  gnu/java/awt/Buffers.java, gnu/java/awt/ComponentDataBlitOp.java,
	  gnu/java/awt/EventModifier.java,
	  gnu/java/awt/GLightweightPeer.java, gnu/java/awt/Makefile.am,
	  gnu/java/awt/Makefile.in, gnu/java/awt/peer/Makefile.am,
	  gnu/java/awt/peer/Makefile.in,
	  gnu/java/awt/peer/gtk/GtkCheckboxMenuItemPeer.java,
	  gnu/java/awt/peer/gtk/GtkClipboard.java,
	  gnu/java/awt/peer/gtk/GtkOffScreenImage.java,
	  gnu/java/awt/peer/gtk/GtkWindowPeer.java,
	  gnu/java/beans/BeanInfoEmbryo.java,
	  gnu/java/beans/IntrospectionIncubator.java,
	  gnu/java/beans/Makefile.am, gnu/java/beans/Makefile.in,
	  gnu/java/io/ClassLoaderObjectInputStream.java,
	  gnu/java/io/PlatformHelper.java, gnu/java/lang/ArrayHelper.java,
	  gnu/java/lang/ClassHelper.java,
	  gnu/java/lang/ClassLoaderHelper.java,
	  gnu/java/lang/MainThread.java, gnu/java/lang/Makefile.am,
	  gnu/java/lang/Makefile.in, gnu/java/lang/SystemClassLoader.java,
	  gnu/java/locale/Calendar.java, gnu/java/locale/Calendar_de.java,
	  gnu/java/locale/Calendar_nl.java,
	  gnu/java/locale/LocaleInformation.java,
	  gnu/java/locale/LocaleInformation_af_ZA.java,
	  gnu/java/locale/LocaleInformation_ar_AE.java,
	  gnu/java/locale/LocaleInformation_ar_BH.java,
	  gnu/java/locale/LocaleInformation_ar_DZ.java,
	  gnu/java/locale/LocaleInformation_ar_EG.java,
	  gnu/java/locale/LocaleInformation_ar_IN.java,
	  gnu/java/locale/LocaleInformation_ar_KW.java,
	  gnu/java/locale/LocaleInformation_ar_LB.java,
	  gnu/java/locale/LocaleInformation_ar_LY.java,
	  gnu/java/locale/LocaleInformation_ar_MA.java,
	  gnu/java/locale/LocaleInformation_ar_OM.java,
	  gnu/java/locale/LocaleInformation_ar_QA.java,
	  gnu/java/locale/LocaleInformation_ar_SD.java,
	  gnu/java/locale/LocaleInformation_ar_SY.java,
	  gnu/java/locale/LocaleInformation_ar_TN.java,
	  gnu/java/locale/LocaleInformation_ar_YE.java,
	  gnu/java/locale/LocaleInformation_be_BY.java,
	  gnu/java/locale/LocaleInformation_bn_IN.java,
	  gnu/java/locale/LocaleInformation_br_FR.java,
	  gnu/java/locale/LocaleInformation_bs_BA.java,
	  gnu/java/locale/LocaleInformation_ca_ES.java,
	  gnu/java/locale/LocaleInformation_cs_CZ.java,
	  gnu/java/locale/LocaleInformation_cy_GB.java,
	  gnu/java/locale/LocaleInformation_da_DK.java,
	  gnu/java/locale/LocaleInformation_de.java,
	  gnu/java/locale/LocaleInformation_de_CH.java,
	  gnu/java/locale/LocaleInformation_de_DE.java,
	  gnu/java/locale/LocaleInformation_de_LU.java,
	  gnu/java/locale/LocaleInformation_el_GR.java,
	  gnu/java/locale/LocaleInformation_en.java,
	  gnu/java/locale/LocaleInformation_en_AU.java,
	  gnu/java/locale/LocaleInformation_en_BW.java,
	  gnu/java/locale/LocaleInformation_en_CA.java,
	  gnu/java/locale/LocaleInformation_en_DK.java,
	  gnu/java/locale/LocaleInformation_en_HK.java,
	  gnu/java/locale/LocaleInformation_en_IE.java,
	  gnu/java/locale/LocaleInformation_en_IN.java,
	  gnu/java/locale/LocaleInformation_en_NZ.java,
	  gnu/java/locale/LocaleInformation_en_PH.java,
	  gnu/java/locale/LocaleInformation_en_SG.java,
	  gnu/java/locale/LocaleInformation_en_US.java,
	  gnu/java/locale/LocaleInformation_en_ZA.java,
	  gnu/java/locale/LocaleInformation_en_ZW.java,
	  gnu/java/locale/LocaleInformation_es_AR.java,
	  gnu/java/locale/LocaleInformation_es_BO.java,
	  gnu/java/locale/LocaleInformation_es_CL.java,
	  gnu/java/locale/LocaleInformation_es_CO.java,
	  gnu/java/locale/LocaleInformation_es_CR.java,
	  gnu/java/locale/LocaleInformation_es_DO.java,
	  gnu/java/locale/LocaleInformation_es_EC.java,
	  gnu/java/locale/LocaleInformation_es_GT.java,
	  gnu/java/locale/LocaleInformation_es_HN.java,
	  gnu/java/locale/LocaleInformation_es_MX.java,
	  gnu/java/locale/LocaleInformation_es_NI.java,
	  gnu/java/locale/LocaleInformation_es_PA.java,
	  gnu/java/locale/LocaleInformation_es_PE.java,
	  gnu/java/locale/LocaleInformation_es_PR.java,
	  gnu/java/locale/LocaleInformation_es_PY.java,
	  gnu/java/locale/LocaleInformation_es_US.java,
	  gnu/java/locale/LocaleInformation_es_UY.java,
	  gnu/java/locale/LocaleInformation_es_VE.java,
	  gnu/java/locale/LocaleInformation_et_EE.java,
	  gnu/java/locale/LocaleInformation_fa_IR.java,
	  gnu/java/locale/LocaleInformation_fi_FI.java,
	  gnu/java/locale/LocaleInformation_fo_FO.java,
	  gnu/java/locale/LocaleInformation_fr_CA.java,
	  gnu/java/locale/LocaleInformation_fr_CH.java,
	  gnu/java/locale/LocaleInformation_fr_FR.java,
	  gnu/java/locale/LocaleInformation_fr_LU.java,
	  gnu/java/locale/LocaleInformation_ga_IE.java,
	  gnu/java/locale/LocaleInformation_gd_GB.java,
	  gnu/java/locale/LocaleInformation_gl_ES.java,
	  gnu/java/locale/LocaleInformation_gv_GB.java,
	  gnu/java/locale/LocaleInformation_he_IL.java,
	  gnu/java/locale/LocaleInformation_hi_IN.java,
	  gnu/java/locale/LocaleInformation_hr_HR.java,
	  gnu/java/locale/LocaleInformation_hu_HU.java,
	  gnu/java/locale/LocaleInformation_id_ID.java,
	  gnu/java/locale/LocaleInformation_it_IT.java,
	  gnu/java/locale/LocaleInformation_iw_IL.java,
	  gnu/java/locale/LocaleInformation_ja_JP.java,
	  gnu/java/locale/LocaleInformation_ka_GE.java,
	  gnu/java/locale/LocaleInformation_kl_GL.java,
	  gnu/java/locale/LocaleInformation_ko_KR.java,
	  gnu/java/locale/LocaleInformation_kw_GB.java,
	  gnu/java/locale/LocaleInformation_lt_LT.java,
	  gnu/java/locale/LocaleInformation_lv_LV.java,
	  gnu/java/locale/LocaleInformation_mi_NZ.java,
	  gnu/java/locale/LocaleInformation_mk_MK.java,
	  gnu/java/locale/LocaleInformation_mr_IN.java,
	  gnu/java/locale/LocaleInformation_mt_MT.java,
	  gnu/java/locale/LocaleInformation_nl.java,
	  gnu/java/locale/LocaleInformation_nl_BE.java,
	  gnu/java/locale/LocaleInformation_nl_NL.java,
	  gnu/java/locale/LocaleInformation_nn_NO.java,
	  gnu/java/locale/LocaleInformation_oc_FR.java,
	  gnu/java/locale/LocaleInformation_pl_PL.java,
	  gnu/java/locale/LocaleInformation_pt_BR.java,
	  gnu/java/locale/LocaleInformation_ro_RO.java,
	  gnu/java/locale/LocaleInformation_ru_RU.java,
	  gnu/java/locale/LocaleInformation_ru_UA.java,
	  gnu/java/locale/LocaleInformation_se_NO.java,
	  gnu/java/locale/LocaleInformation_sk_SK.java,
	  gnu/java/locale/LocaleInformation_sl_SI.java,
	  gnu/java/locale/LocaleInformation_sq_AL.java,
	  gnu/java/locale/LocaleInformation_sr_YU.java,
	  gnu/java/locale/LocaleInformation_sv_FI.java,
	  gnu/java/locale/LocaleInformation_te_IN.java,
	  gnu/java/locale/LocaleInformation_tg_TJ.java,
	  gnu/java/locale/LocaleInformation_tl_PH.java,
	  gnu/java/locale/LocaleInformation_tr_TR.java,
	  gnu/java/locale/LocaleInformation_uk_UA.java,
	  gnu/java/locale/LocaleInformation_uz_UZ.java,
	  gnu/java/locale/LocaleInformation_vi_VN.java,
	  gnu/java/locale/LocaleInformation_yi_US.java,
	  gnu/java/locale/LocaleInformation_zh_CN.java,
	  gnu/java/locale/LocaleInformation_zh_HK.java,
	  gnu/java/locale/LocaleInformation_zh_SG.java,
	  gnu/java/locale/LocaleInformation_zh_TW.java,
	  gnu/java/locale/Makefile.am, gnu/java/locale/Makefile.in,
	  gnu/java/locale/iso3166-a3.properties,
	  gnu/java/locale/iso3166_de.properties,
	  gnu/java/locale/iso639-a2-old.properties,
	  gnu/java/locale/iso639-a3.properties,
	  gnu/java/locale/iso639.properties,
	  gnu/java/locale/iso639_de.properties,
	  gnu/java/locale/iso639_ga.properties,
	  gnu/java/net/protocol/Makefile.am,
	  gnu/java/net/protocol/Makefile.in,
	  gnu/java/net/protocol/file/Makefile.am,
	  gnu/java/net/protocol/file/Makefile.in, gnu/java/rmi/Makefile.am,
	  gnu/java/rmi/Makefile.in,
	  gnu/java/rmi/RMIMarshalledObjectInputStream.java,
	  gnu/java/rmi/RMIMarshalledObjectOutputStream.java,
	  gnu/java/security/Engine.java, gnu/java/security/Makefile.am,
	  gnu/java/security/Makefile.in, gnu/java/security/OID.java,
	  gnu/java/security/util/Makefile.in, include/Makefile.am,
	  include/Makefile.in, include/config.h.in,
	  include/gnu_java_awt_peer_gtk_GdkFontMetrics.h,
	  include/gnu_java_awt_peer_gtk_GdkGraphics.h,
	  include/gnu_java_awt_peer_gtk_GtkButtonPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkCheckboxMenuItemPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkClipboard.h,
	  include/gnu_java_awt_peer_gtk_GtkPanelPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkScrollbarPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkTextComponentPeer.h,
	  include/gnu_java_awt_peer_gtk_GtkToolkit.h,
	  include/gnu_java_nio_CharBufferImpl.h,
	  include/gnu_java_nio_DoubleBufferImpl.h,
	  include/gnu_java_nio_FileLockImpl.h,
	  include/gnu_java_nio_FloatBufferImpl.h,
	  include/gnu_java_nio_IntBufferImpl.h,
	  include/gnu_java_nio_LongBufferImpl.h,
	  include/gnu_java_nio_ShortBufferImpl.h,
	  include/java_io_FileDescriptor.h, include/java_lang_Double.h,
	  include/java_lang_Math.h, include/java_lang_VMFloat.h,
	  include/java_lang_VMSystem.h,
	  include/java_lang_reflect_Constructor.h,
	  include/java_lang_reflect_Field.h,
	  include/java_lang_reflect_Method.h,
	  include/java_net_NetworkInterface.h,
	  include/java_net_PlainDatagramSocketImpl.h,
	  include/java_net_PlainSocketImpl.h,
	  include/java_nio_DirectByteBufferImpl.h,
	  include/java_nio_channels_FileChannelImpl.h,
	  include/jni_md-x86-linux-gnu.h, java/Makefile.am,
	  java/Makefile.in, java/awt/AWTError.java, java/awt/AWTEvent.java,
	  java/awt/AWTEventMulticaster.java, java/awt/AWTException.java,
	  java/awt/AWTKeyStroke.java, java/awt/AWTPermission.java,
	  java/awt/ActiveEvent.java, java/awt/Adjustable.java,
	  java/awt/AlphaComposite.java, java/awt/AttributeValue.java,
	  java/awt/BasicStroke.java, java/awt/BorderLayout.java,
	  java/awt/BufferCapabilities.java, java/awt/Button.java,
	  java/awt/Canvas.java, java/awt/CardLayout.java,
	  java/awt/Checkbox.java, java/awt/CheckboxGroup.java,
	  java/awt/CheckboxMenuItem.java, java/awt/Choice.java,
	  java/awt/Color.java, java/awt/ColorPaintContext.java,
	  java/awt/Component.java, java/awt/ComponentOrientation.java,
	  java/awt/Composite.java, java/awt/CompositeContext.java,
	  java/awt/Container.java,
	  java/awt/ContainerOrderFocusTraversalPolicy.java,
	  java/awt/Cursor.java, java/awt/DefaultFocusTraversalPolicy.java,
	  java/awt/DefaultKeyboardFocusManager.java, java/awt/Dialog.java,
	  java/awt/Dimension.java, java/awt/DisplayMode.java,
	  java/awt/Event.java, java/awt/EventDispatchThread.java,
	  java/awt/EventQueue.java, java/awt/FileDialog.java,
	  java/awt/FlowLayout.java, java/awt/FocusTraversalPolicy.java,
	  java/awt/Font.java, java/awt/FontFormatException.java,
	  java/awt/FontMetrics.java, java/awt/Frame.java,
	  java/awt/GradientPaint.java, java/awt/Graphics.java,
	  java/awt/Graphics2D.java, java/awt/GraphicsConfigTemplate.java,
	  java/awt/GraphicsConfiguration.java,
	  java/awt/GraphicsDevice.java, java/awt/GraphicsEnvironment.java,
	  java/awt/GridBagConstraints.java, java/awt/GridBagLayout.java,
	  java/awt/GridBagLayoutInfo.java, java/awt/GridLayout.java,
	  java/awt/HeadlessException.java,
	  java/awt/IllegalComponentStateException.java,
	  java/awt/Image.java, java/awt/ImageCapabilities.java,
	  java/awt/Insets.java, java/awt/ItemSelectable.java,
	  java/awt/JobAttributes.java, java/awt/KeyEventDispatcher.java,
	  java/awt/KeyEventPostProcessor.java,
	  java/awt/KeyboardFocusManager.java, java/awt/Label.java,
	  java/awt/LayoutManager.java, java/awt/LayoutManager2.java,
	  java/awt/List.java, java/awt/Makefile.am, java/awt/Makefile.in,
	  java/awt/MediaTracker.java, java/awt/Menu.java,
	  java/awt/MenuBar.java, java/awt/MenuComponent.java,
	  java/awt/MenuContainer.java, java/awt/MenuItem.java,
	  java/awt/MenuShortcut.java, java/awt/PageAttributes.java,
	  java/awt/Paint.java, java/awt/PaintContext.java,
	  java/awt/Panel.java, java/awt/Point.java, java/awt/Polygon.java,
	  java/awt/PopupMenu.java, java/awt/PrintGraphics.java,
	  java/awt/PrintJob.java, java/awt/Rectangle.java,
	  java/awt/RenderingHints.java, java/awt/Robot.java,
	  java/awt/ScrollPane.java, java/awt/ScrollPaneAdjustable.java,
	  java/awt/Scrollbar.java, java/awt/Shape.java,
	  java/awt/Stroke.java, java/awt/SystemColor.java,
	  java/awt/TextArea.java, java/awt/TextComponent.java,
	  java/awt/TextField.java, java/awt/TexturePaint.java,
	  java/awt/Toolkit.java, java/awt/Transparency.java,
	  java/awt/Window.java, java/awt/package.html,
	  java/awt/datatransfer/Clipboard.java,
	  java/awt/datatransfer/ClipboardOwner.java,
	  java/awt/datatransfer/DataFlavor.java,
	  java/awt/datatransfer/FlavorMap.java,
	  java/awt/datatransfer/FlavorTable.java,
	  java/awt/datatransfer/Makefile.am,
	  java/awt/datatransfer/Makefile.in,
	  java/awt/datatransfer/MimeTypeParseException.java,
	  java/awt/datatransfer/StringSelection.java,
	  java/awt/datatransfer/SystemFlavorMap.java,
	  java/awt/datatransfer/Transferable.java,
	  java/awt/datatransfer/UnsupportedFlavorException.java,
	  java/awt/datatransfer/package.html,
	  java/awt/event/AWTEventListenerProxy.java,
	  java/awt/event/AdjustmentListener.java,
	  java/awt/event/ComponentAdapter.java,
	  java/awt/event/ComponentEvent.java,
	  java/awt/event/ContainerListener.java,
	  java/awt/event/HierarchyBoundsAdapter.java,
	  java/awt/event/HierarchyBoundsListener.java,
	  java/awt/event/HierarchyEvent.java,
	  java/awt/event/HierarchyListener.java,
	  java/awt/event/InputEvent.java,
	  java/awt/event/InputMethodEvent.java,
	  java/awt/event/ItemEvent.java, java/awt/event/ItemListener.java,
	  java/awt/event/KeyListener.java,
	  java/awt/event/MouseListener.java,
	  java/awt/event/MouseWheelEvent.java,
	  java/awt/event/TextEvent.java,
	  java/awt/event/WindowListener.java,
	  java/awt/event/WindowStateListener.java,
	  java/awt/event/package.html, java/awt/geom/Rectangle2D.java,
	  java/awt/geom/package.html, java/awt/im/InputContext.java,
	  java/awt/im/InputMethodHighlight.java,
	  java/awt/im/InputMethodRequests.java, java/awt/im/Makefile.am,
	  java/awt/im/Makefile.in, java/awt/im/package.html,
	  java/awt/image/AreaAveragingScaleFilter.java,
	  java/awt/image/BufferStrategy.java,
	  java/awt/image/BufferedImageOp.java,
	  java/awt/image/ComponentColorModel.java,
	  java/awt/image/ComponentSampleModel.java,
	  java/awt/image/CropImageFilter.java,
	  java/awt/image/DataBuffer.java,
	  java/awt/image/DataBufferInt.java,
	  java/awt/image/DataBufferUShort.java,
	  java/awt/image/DirectColorModel.java,
	  java/awt/image/ImageConsumer.java,
	  java/awt/image/ImageFilter.java,
	  java/awt/image/ImageObserver.java,
	  java/awt/image/ImageProducer.java,
	  java/awt/image/ImagingOpException.java,
	  java/awt/image/IndexColorModel.java, java/awt/image/Makefile.am,
	  java/awt/image/Makefile.in,
	  java/awt/image/MemoryImageSource.java,
	  java/awt/image/PackedColorModel.java,
	  java/awt/image/PixelGrabber.java,
	  java/awt/image/RGBImageFilter.java, java/awt/image/Raster.java,
	  java/awt/image/RasterFormatException.java,
	  java/awt/image/RasterOp.java,
	  java/awt/image/ReplicateScaleFilter.java,
	  java/awt/image/SampleModel.java,
	  java/awt/image/SinglePixelPackedSampleModel.java,
	  java/awt/image/WritableRaster.java, java/awt/image/package.html,
	  java/awt/image/renderable/package.html,
	  java/awt/print/Makefile.in, java/awt/print/Pageable.java,
	  java/awt/print/Paper.java,
	  java/awt/print/PrinterAbortException.java,
	  java/awt/print/PrinterIOException.java,
	  java/awt/print/package.html, java/beans/AppletInitializer.java,
	  java/beans/BeanDescriptor.java, java/beans/BeanInfo.java,
	  java/beans/Beans.java, java/beans/Customizer.java,
	  java/beans/EventSetDescriptor.java,
	  java/beans/ExceptionListener.java,
	  java/beans/FeatureDescriptor.java,
	  java/beans/IntrospectionException.java,
	  java/beans/Introspector.java, java/beans/Makefile.am,
	  java/beans/Makefile.in, java/beans/MethodDescriptor.java,
	  java/beans/ParameterDescriptor.java,
	  java/beans/PropertyChangeEvent.java,
	  java/beans/PropertyChangeListener.java,
	  java/beans/PropertyChangeListenerProxy.java,
	  java/beans/PropertyChangeSupport.java,
	  java/beans/PropertyDescriptor.java,
	  java/beans/PropertyEditor.java,
	  java/beans/PropertyEditorManager.java,
	  java/beans/PropertyEditorSupport.java,
	  java/beans/PropertyVetoException.java,
	  java/beans/SimpleBeanInfo.java,
	  java/beans/VetoableChangeListenerProxy.java,
	  java/beans/VetoableChangeSupport.java,
	  java/beans/Visibility.java, java/beans/package.html,
	  java/beans/beancontext/BeanContext.java,
	  java/beans/beancontext/BeanContextChild.java,
	  java/beans/beancontext/BeanContextChildComponentProxy.java,
	  java/beans/beancontext/BeanContextChildSupport.java,
	  java/beans/beancontext/BeanContextContainerProxy.java,
	  java/beans/beancontext/BeanContextMembershipEvent.java,
	  java/beans/beancontext/BeanContextMembershipListener.java,
	  java/beans/beancontext/BeanContextProxy.java,
	  java/beans/beancontext/BeanContextServiceAvailableEvent.java,
	  java/beans/beancontext/BeanContextServiceProvider.java,
	  java/beans/beancontext/BeanContextServiceRevokedEvent.java,
	  java/beans/beancontext/BeanContextServiceRevokedListener.java,
	  java/beans/beancontext/BeanContextServices.java,
	  java/beans/beancontext/BeanContextServicesListener.java,
	  java/beans/beancontext/BeanContextServicesSupport.java,
	  java/beans/beancontext/BeanContextSupport.java,
	  java/beans/beancontext/Makefile.am,
	  java/beans/beancontext/Makefile.in,
	  java/beans/beancontext/package.html,
	  java/io/BufferedInputStream.java,
	  java/io/BufferedOutputStream.java, java/io/BufferedReader.java,
	  java/io/BufferedWriter.java, java/io/ByteArrayInputStream.java,
	  java/io/ByteArrayOutputStream.java, java/io/CharArrayReader.java,
	  java/io/CharArrayWriter.java,
	  java/io/CharConversionException.java, java/io/DataInput.java,
	  java/io/DataInputStream.java, java/io/DataOutput.java,
	  java/io/DataOutputStream.java, java/io/EOFException.java,
	  java/io/Externalizable.java, java/io/File.java,
	  java/io/FileDescriptor.java, java/io/FileFilter.java,
	  java/io/FileInputStream.java, java/io/FileNotFoundException.java,
	  java/io/FileOutputStream.java, java/io/FilePermission.java,
	  java/io/FileReader.java, java/io/FileWriter.java,
	  java/io/FilenameFilter.java, java/io/FilterOutputStream.java,
	  java/io/FilterReader.java, java/io/FilterWriter.java,
	  java/io/IOException.java, java/io/InputStream.java,
	  java/io/InputStreamReader.java,
	  java/io/InterruptedIOException.java,
	  java/io/InvalidClassException.java,
	  java/io/LineNumberInputStream.java,
	  java/io/LineNumberReader.java, java/io/Makefile.am,
	  java/io/Makefile.in, java/io/NotSerializableException.java,
	  java/io/ObjectInput.java, java/io/ObjectInputStream.java,
	  java/io/ObjectInputValidation.java, java/io/ObjectOutput.java,
	  java/io/ObjectOutputStream.java, java/io/ObjectStreamClass.java,
	  java/io/ObjectStreamException.java,
	  java/io/ObjectStreamField.java,
	  java/io/OptionalDataException.java, java/io/OutputStream.java,
	  java/io/OutputStreamWriter.java, java/io/PipedInputStream.java,
	  java/io/PipedReader.java, java/io/PipedWriter.java,
	  java/io/PrintStream.java, java/io/PrintWriter.java,
	  java/io/PushbackInputStream.java, java/io/PushbackReader.java,
	  java/io/RandomAccessFile.java, java/io/Reader.java,
	  java/io/SequenceInputStream.java,
	  java/io/SerializablePermission.java,
	  java/io/StreamCorruptedException.java,
	  java/io/StreamTokenizer.java,
	  java/io/StringBufferInputStream.java, java/io/StringReader.java,
	  java/io/StringWriter.java, java/io/UTFDataFormatException.java,
	  java/io/UnsupportedEncodingException.java,
	  java/io/WriteAbortedException.java, java/io/Writer.java,
	  java/io/package.html, java/lang/AbstractMethodError.java,
	  java/lang/ArithmeticException.java,
	  java/lang/ArrayIndexOutOfBoundsException.java,
	  java/lang/ArrayStoreException.java,
	  java/lang/AssertionError.java, java/lang/Boolean.java,
	  java/lang/Byte.java, java/lang/CharSequence.java,
	  java/lang/Character.java, java/lang/Class.java,
	  java/lang/ClassCastException.java,
	  java/lang/ClassCircularityError.java,
	  java/lang/ClassFormatError.java, java/lang/ClassLoader.java,
	  java/lang/ClassNotFoundException.java,
	  java/lang/CloneNotSupportedException.java,
	  java/lang/Cloneable.java, java/lang/Comparable.java,
	  java/lang/Compiler.java, java/lang/Double.java,
	  java/lang/Error.java, java/lang/Exception.java,
	  java/lang/ExceptionInInitializerError.java, java/lang/Float.java,
	  java/lang/IllegalAccessError.java,
	  java/lang/IllegalArgumentException.java,
	  java/lang/IllegalMonitorStateException.java,
	  java/lang/IllegalStateException.java,
	  java/lang/IllegalThreadStateException.java,
	  java/lang/IncompatibleClassChangeError.java,
	  java/lang/IndexOutOfBoundsException.java,
	  java/lang/InheritableThreadLocal.java,
	  java/lang/InstantiationError.java,
	  java/lang/InstantiationException.java, java/lang/Integer.java,
	  java/lang/InternalError.java,
	  java/lang/InterruptedException.java, java/lang/LinkageError.java,
	  java/lang/Long.java, java/lang/Makefile.am,
	  java/lang/Makefile.in, java/lang/NegativeArraySizeException.java,
	  java/lang/NoClassDefFoundError.java,
	  java/lang/NoSuchFieldError.java,
	  java/lang/NoSuchFieldException.java,
	  java/lang/NoSuchMethodError.java,
	  java/lang/NoSuchMethodException.java,
	  java/lang/NullPointerException.java, java/lang/Number.java,
	  java/lang/NumberFormatException.java, java/lang/Object.java,
	  java/lang/OutOfMemoryError.java, java/lang/Package.java,
	  java/lang/Process.java, java/lang/Runnable.java,
	  java/lang/RuntimeException.java,
	  java/lang/RuntimePermission.java,
	  java/lang/SecurityException.java, java/lang/SecurityManager.java,
	  java/lang/Short.java, java/lang/StackOverflowError.java,
	  java/lang/StackTraceElement.java, java/lang/StrictMath.java,
	  java/lang/String.java, java/lang/StringBuffer.java,
	  java/lang/StringIndexOutOfBoundsException.java,
	  java/lang/System.java, java/lang/ThreadDeath.java,
	  java/lang/ThreadGroup.java, java/lang/ThreadLocal.java,
	  java/lang/Throwable.java, java/lang/UnknownError.java,
	  java/lang/UnsatisfiedLinkError.java,
	  java/lang/UnsupportedClassVersionError.java,
	  java/lang/UnsupportedOperationException.java,
	  java/lang/VerifyError.java, java/lang/VirtualMachineError.java,
	  java/lang/Void.java, java/lang/package.html,
	  java/net/Authenticator.java, java/net/BindException.java,
	  java/net/ConnectException.java,
	  java/net/ContentHandlerFactory.java,
	  java/net/DatagramPacket.java, java/net/DatagramSocket.java,
	  java/net/DatagramSocketImpl.java,
	  java/net/DatagramSocketImplFactory.java,
	  java/net/HttpURLConnection.java, java/net/Inet4Address.java,
	  java/net/Inet6Address.java, java/net/InetAddress.java,
	  java/net/InetSocketAddress.java, java/net/JarURLConnection.java,
	  java/net/Makefile.am, java/net/Makefile.in,
	  java/net/MalformedURLException.java,
	  java/net/MimeTypeMapper.java, java/net/MulticastSocket.java,
	  java/net/NetPermission.java,
	  java/net/NoRouteToHostException.java,
	  java/net/PasswordAuthentication.java,
	  java/net/PlainDatagramSocketImpl.java,
	  java/net/PlainSocketImpl.java,
	  java/net/PortUnreachableException.java,
	  java/net/ProtocolException.java, java/net/STATUS,
	  java/net/ServerSocket.java, java/net/Socket.java,
	  java/net/SocketImpl.java, java/net/SocketInputStream.java,
	  java/net/SocketOptions.java, java/net/SocketOutputStream.java,
	  java/net/SocketPermission.java,
	  java/net/SocketTimeoutException.java, java/net/URI.java,
	  java/net/URISyntaxException.java, java/net/URL.java,
	  java/net/URLClassLoader.java, java/net/URLConnection.java,
	  java/net/URLDecoder.java, java/net/URLEncoder.java,
	  java/net/URLStreamHandler.java,
	  java/net/URLStreamHandlerFactory.java,
	  java/net/UnknownHostException.java,
	  java/net/UnknownServiceException.java, java/net/package.html,
	  java/nio/BufferOverflowException.java,
	  java/nio/BufferUnderflowException.java, java/nio/ByteBuffer.java,
	  java/nio/ByteBufferImpl.java, java/nio/ByteOrder.java,
	  java/nio/CharBuffer.java, java/nio/DirectByteBufferImpl.java,
	  java/nio/DoubleBuffer.java, java/nio/DoubleBufferImpl.java,
	  java/nio/DoubleViewBufferImpl.java,
	  java/nio/FloatBufferImpl.java, java/nio/IntBuffer.java,
	  java/nio/IntBufferImpl.java, java/nio/IntViewBufferImpl.java,
	  java/nio/LongBuffer.java, java/nio/LongBufferImpl.java,
	  java/nio/LongViewBufferImpl.java, java/nio/Makefile.am,
	  java/nio/Makefile.in, java/nio/MappedByteBufferImpl.java,
	  java/nio/ShortBuffer.java, java/nio/ShortBufferImpl.java,
	  java/nio/ShortViewBufferImpl.java, java/nio/package.html,
	  java/nio/channels/ByteChannel.java,
	  java/nio/channels/CancelledKeyException.java,
	  java/nio/channels/Channel.java, java/nio/channels/Channels.java,
	  java/nio/channels/ClosedByInterruptException.java,
	  java/nio/channels/ClosedChannelException.java,
	  java/nio/channels/FileChannel.java,
	  java/nio/channels/FileChannelImpl.java,
	  java/nio/channels/FileLock.java,
	  java/nio/channels/GatheringByteChannel.java,
	  java/nio/channels/IllegalBlockingModeException.java,
	  java/nio/channels/IllegalSelectorException.java,
	  java/nio/channels/Makefile.am, java/nio/channels/Makefile.in,
	  java/nio/channels/NoConnectionPendingException.java,
	  java/nio/channels/NonReadableChannelException.java,
	  java/nio/channels/NotYetConnectedException.java,
	  java/nio/channels/OverlappingFileLockException.java,
	  java/nio/channels/Pipe.java,
	  java/nio/channels/ScatteringByteChannel.java,
	  java/nio/channels/SelectableChannel.java,
	  java/nio/channels/ServerSocketChannel.java,
	  java/nio/channels/UnsupportedAddressTypeException.java,
	  java/nio/channels/WritableByteChannel.java,
	  java/nio/channels/package.html, java/rmi/AccessException.java,
	  java/rmi/AlreadyBoundException.java,
	  java/rmi/ConnectException.java, java/rmi/ConnectIOException.java,
	  java/rmi/Makefile.am, java/rmi/Makefile.in,
	  java/rmi/MarshalException.java, java/rmi/MarshalledObject.java,
	  java/rmi/Naming.java, java/rmi/NoSuchObjectException.java,
	  java/rmi/NotBoundException.java,
	  java/rmi/RMISecurityException.java,
	  java/rmi/RMISecurityManager.java, java/rmi/RemoteException.java,
	  java/rmi/ServerError.java, java/rmi/StubNotFoundException.java,
	  java/rmi/UnexpectedException.java,
	  java/rmi/UnknownHostException.java,
	  java/rmi/UnmarshalException.java, java/rmi/package.html,
	  java/rmi/server/ExportException.java,
	  java/rmi/server/LoaderHandler.java,
